------------------------------------------------------------------------
r12386 | havoc | 2018-04-12 14:44:41 -0700 (Thu, 12 Apr 2018) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_textures.c

Fix a bug where R_GetTexture could return 0 rather than a white texture.
------------------------------------------------------------------------
r12385 | havoc | 2018-04-10 22:28:24 -0700 (Tue, 10 Apr 2018) | 7 lines
Changed paths:
   M /trunk/darkplaces/cl_dyntexture.c
   M /trunk/darkplaces/cl_dyntexture.h
   M /trunk/darkplaces/cl_particles.c
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/cl_video.c
   M /trunk/darkplaces/cl_video.h
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/console.c
   M /trunk/darkplaces/darkplaces-dedicated-vs2017.vcxproj
   M /trunk/darkplaces/darkplaces-sdl2-vs2017.vcxproj
   M /trunk/darkplaces/darkplaces-wgl-vs2017.vcxproj
   M /trunk/darkplaces/draw.h
   M /trunk/darkplaces/ft2.c
   M /trunk/darkplaces/gl_draw.c
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/gl_rsurf.c
   M /trunk/darkplaces/gl_textures.c
   M /trunk/darkplaces/image.c
   M /trunk/darkplaces/image.h
   M /trunk/darkplaces/libcurl.c
   M /trunk/darkplaces/menu.c
   M /trunk/darkplaces/model_alias.c
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/model_shared.h
   M /trunk/darkplaces/model_sprite.c
   M /trunk/darkplaces/prvm_cmds.c
   M /trunk/darkplaces/r_lightning.c
   M /trunk/darkplaces/render.h
   M /trunk/darkplaces/sbar.c
   M /trunk/darkplaces/wad.c
   M /trunk/darkplaces/wad.h

Added Draw_GetPicWidth, Draw_GetPicHeight, Draw_IsPicLoaded functions and moved cachepic_t to live in gl_draw.c (no longer visible to other modules).

Changed Draw_CachePic to use the R_SkinFrame_LoadExternal system, and reworked font loading to use Draw_CachePic rather than keeping track of textures itself.  R_SkinFrame_LoadExternal can now load gfx.wad lumps and gfx/*.lmp files, and the embedded images have been moved to image.c as they are now returned as raw images, suitable for R_SkinFrame_LoadExternal to use.

Reworked cl_video code to not need the cl_dyntexture system (which has been removed); it still uses dynamic texture callbacks (which is a feature of rtexture_t).

Changed the parameters to Mod_LoadCustomMaterial and a few other model_shared.c functions to not assume loadmodel is the owner of memory and textures; this was necessary for Draw_CachePic to be able to use R_SkinFrame_LoadExternal.
------------------------------------------------------------------------
r12384 | havoc | 2018-04-09 23:59:02 -0700 (Mon, 09 Apr 2018) | 1 line
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/model_shared.h
   M /trunk/darkplaces/sv_phys.c
   M /trunk/darkplaces/svvm_cmds.c

Remove the model parameter from NativeContentsFromSuperContents/SuperContentsFromNativeContents functions, none of the current formats need it.
------------------------------------------------------------------------
r12383 | havoc | 2018-04-09 22:11:30 -0700 (Mon, 09 Apr 2018) | 3 lines
Changed paths:
   M /trunk/darkplaces/render.h
   M /trunk/darkplaces/vid_sdl.c

Enable GL_OES_framebuffer_object on Android - it was broken in Android 2.1 but that's been irrelevant for years.

Remove prototype for R_Init, it doesn't exist.
------------------------------------------------------------------------
r12382 | havoc | 2018-04-09 22:10:08 -0700 (Mon, 09 Apr 2018) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_textures.c

Don't bother setting anisotropy on textures twice during startup.
------------------------------------------------------------------------
r12381 | havoc | 2018-04-09 22:09:08 -0700 (Mon, 09 Apr 2018) | 8 lines
Changed paths:
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/draw.h
   M /trunk/darkplaces/gl_draw.c
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/vid_shared.c

Remove v_glslgamma cvar (now assumed to be 1) and corresponding code like R_DrawGamma.

RENDERPATH_GL1* paths no longer support bloom.

Fix a bug in D3D9 renderpath where SHADERPERMUTATION_GAMMARAMPS would crash due to using the wrong variable for the texture unit.

Enable GL_ARB_texture_non_power_of_two on OSX again - the old OSX versions and corresponding hardware that had issues are long gone.

------------------------------------------------------------------------
r12380 | havoc | 2018-04-08 22:58:15 -0700 (Sun, 08 Apr 2018) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/r_sky.c
   M /trunk/darkplaces/render.h

Improved r_sky_scissor - scissor box is tighter as it now computes scissor box for each surface and combines them.
------------------------------------------------------------------------
r12379 | havoc | 2018-04-08 22:29:12 -0700 (Sun, 08 Apr 2018) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/r_sky.c
   M /trunk/darkplaces/render.h

Implemented r_sky_scissor feature (on by default) - this limits rendering of sky to approximately the area of the surfaces.
------------------------------------------------------------------------
r12378 | havoc | 2018-04-08 22:01:24 -0700 (Sun, 08 Apr 2018) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/render.h

Added R_SkinFrame_PurgeSkinFrame to de-duplicate some repeated code.
------------------------------------------------------------------------
r12377 | havoc | 2018-04-08 21:40:24 -0700 (Sun, 08 Apr 2018) | 1 line
Changed paths:
   M /trunk/darkplaces/darkplaces-dedicated-vs2017.vcxproj
   M /trunk/darkplaces/darkplaces-sdl2-vs2017.vcxproj
   M /trunk/darkplaces/darkplaces-wgl-vs2017.vcxproj

Add prvm_offsets.h to VS2017 projects, so it can be searched easily.
------------------------------------------------------------------------
r12376 | havoc | 2018-04-08 21:39:19 -0700 (Sun, 08 Apr 2018) | 12 lines
Changed paths:
   M /trunk/darkplaces/cl_main.c
   M /trunk/darkplaces/cl_particles.c
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/csprogs.c
   M /trunk/darkplaces/csprogs.h
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/gl_rsurf.c
   M /trunk/darkplaces/model_brush.h
   M /trunk/darkplaces/model_shared.h
   M /trunk/darkplaces/mvm_cmds.c
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/r_shadow.h
   M /trunk/darkplaces/r_sprites.c
   M /trunk/darkplaces/render.h
   M /trunk/darkplaces/shader_glsl.h
   M /trunk/darkplaces/shader_hlsl.h

Refactored R_UpdateEntityLighting to CL_UpdateEntityShading, which sets fields like ent->render_modellight_ambient.

Added texture->render_modellight_ambient and similar fields which concretely define how the material is to be rendered, so all of the various tweaks and modifiers are no longer buried in R_SetupShader_Surface which has now been refactored heavily.

Removed R_LightPoint as it's really not necessary - this change will make lit particles a little bit slower as R_CompleteLightPoint is a slightly more expensive function.

Refactored R_CompleteLightPoint to have more consistent code, changed the final color math so that it passes q1bsp/q2bsp lighting through unmodified.

Changed shading of tag_entity attachments - they now use the root entity's origin for shading, this fixes r_shadows where the shadows could go in different directions on CSQC entities (r_shadows code already contained a hack to work around this problem for network entities).

Renamed r_refdef.lightmapintensity and ambient to r_refdef.scene.lightmapintensity and ambientintensity.

------------------------------------------------------------------------
r12375 | havoc | 2018-04-08 19:52:08 -0700 (Sun, 08 Apr 2018) | 8 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/r_shadow.c

Change default value of r_shadows_shadowmapscale from 1 to 0.25, so that
shadows cover a larger part of the level around the eye.

Change the way r_shadows 2 size is calculated so that it uses 1/4th of
the texture atlas size (at default this would be 2048 of 8192) rather
than 2*r_shadow_shadowmapping_maxsize (at default that was 2*512 = 1024
of 8192).

------------------------------------------------------------------------
r12374 | havoc | 2018-04-08 19:39:42 -0700 (Sun, 08 Apr 2018) | 3 lines
Changed paths:
   M /trunk/darkplaces/r_shadow.c

Increase shadowmap bordersize from 4 to 5, thanks Vic for debugging this
- the shadowmap filters need one more pixel than originally thought.

------------------------------------------------------------------------
r12373 | havoc | 2018-04-08 16:59:22 -0700 (Sun, 08 Apr 2018) | 3 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

Fix a bug with height fog which was revealed by removing
RSurf_ActiveWorldEntity.

------------------------------------------------------------------------
r12372 | havoc | 2018-04-07 13:46:54 -0700 (Sat, 07 Apr 2018) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_particles.c

Missed the cl_particles.c edits to remove RSurf_ActiveWorldEntity.  I blame VS2017, just because.
------------------------------------------------------------------------
r12371 | havoc | 2018-04-07 12:27:07 -0700 (Sat, 07 Apr 2018) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_backend.c

Uncomment the texture binding check in R_Mesh_TexBind so that the engine makes less calls.
------------------------------------------------------------------------
r12370 | havoc | 2018-04-07 12:25:34 -0700 (Sat, 07 Apr 2018) | 1 line
Changed paths:
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/clvm_cmds.c

Delete unused Debug_PolygonBegin and associated code.
------------------------------------------------------------------------
r12369 | havoc | 2018-04-07 12:25:02 -0700 (Sat, 07 Apr 2018) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_screen.c

Fix a mistake made when merging R_RenderView call in #12367.
------------------------------------------------------------------------
r12368 | havoc | 2018-04-07 12:20:05 -0700 (Sat, 07 Apr 2018) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_main.c

Configure all of the CL_MeshEntities* meshes the same, the material flags decide whether each thing should cast a shadow.
------------------------------------------------------------------------
r12367 | havoc | 2018-04-07 12:18:49 -0700 (Sat, 07 Apr 2018) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_screen.c

Make the semantics of CL_VM_UpdateView more clear - if CSQC is loaded, it is required to provide the CSQC_UpdateView function, and won't render a view if it does not call that, so we don't need to check its return value.
------------------------------------------------------------------------
r12366 | havoc | 2018-04-07 12:14:39 -0700 (Sat, 07 Apr 2018) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_main.c

Don't duplicate the entity relinking when using CSQC.
------------------------------------------------------------------------
r12365 | divverent | 2018-04-05 13:43:05 -0700 (Thu, 05 Apr 2018) | 4 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

Mark r_fakelight and r_equalize_entities_fullbright DEPRECATED.

Users of these features should migrate to r_fullbright_directed 1, which
is simpler but achieves a similar effect.
------------------------------------------------------------------------
r12364 | divverent | 2018-04-05 13:43:02 -0700 (Thu, 05 Apr 2018) | 10 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

New alternative to fullbright: r_fullbright_directed.

Set this to 1, and anything EF_FULLBRIGHT or fullbright due to
r_fullbright or unlit map (but specifically not sprites and surfaces
with surfaceparm nolightmap) will have a directional effect applied to
them.

This mode is intended for testing maps in early development, and should
not be used for normal gameplay (although it should be rather harmless
there).
------------------------------------------------------------------------
r12363 | divverent | 2018-04-05 13:42:33 -0700 (Thu, 05 Apr 2018) | 1 line
Changed paths:
   M /trunk/darkplaces/keys.c

Add an in_releaseall command for debugging/working around stuck keys.
------------------------------------------------------------------------
r12362 | divverent | 2018-04-05 13:42:29 -0700 (Thu, 05 Apr 2018) | 12 lines
Changed paths:
   M /trunk/darkplaces/keys.c
   M /trunk/darkplaces/keys.h
   M /trunk/darkplaces/vid_agl.c
   M /trunk/darkplaces/vid_glx.c
   M /trunk/darkplaces/vid_shared.c
   M /trunk/darkplaces/vid_wgl.c

Manage resetting the key event state on video reinitialization centrally.

Fixes:
- No key state clear when SDL gets restarted.
- Key state clear was the wrong action - it allows all keys to get pressed
  again, but does not actually release anything in cl_input.c, so e.g. +jump
  binds stay pressed on vid_restart.

Only vid_wgl.c retains some vid-specific handling (reset of key state when
alt-tabbing out and back in) - there's a chance that we may need similar logic
in the other vid drivers; if so, it may be possible to do this in a shared
place too by watching for changes to vid_activewindow.
------------------------------------------------------------------------
r12361 | divverent | 2018-04-04 17:32:02 -0700 (Wed, 04 Apr 2018) | 1 line
Changed paths:
   M /trunk/darkplaces/model_brush.h

Fix "Cully McCullface" bug found by terencehill.
------------------------------------------------------------------------
r12360 | divverent | 2018-04-04 17:31:59 -0700 (Wed, 04 Apr 2018) | 1 line
Changed paths:
   M /trunk/darkplaces/vid_glx.c

Fix compile of vid_glx.c after the update on hwgamma.
------------------------------------------------------------------------
r12359 | havoc | 2018-04-02 22:33:43 -0700 (Mon, 02 Apr 2018) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/gl_draw.c
   M /trunk/darkplaces/menu.c
   M /trunk/darkplaces/vid.h
   M /trunk/darkplaces/vid_agl.c
   M /trunk/darkplaces/vid_glx.c
   M /trunk/darkplaces/vid_null.c
   M /trunk/darkplaces/vid_sdl.c
   M /trunk/darkplaces/vid_shared.c
   M /trunk/darkplaces/vid_wgl.c

Remove v_hwgamma feature as it is not worth maintaining and has severe restrictions on Windows that are unintuitive.
------------------------------------------------------------------------
r12358 | havoc | 2018-04-02 22:14:29 -0700 (Mon, 02 Apr 2018) | 1 line
Changed paths:
   M /trunk/darkplaces/vid_wgl.c

Fix mouse spinning bug in wgl client when the game window is moved left or above the default monitor (negative window position).
------------------------------------------------------------------------
r12357 | havoc | 2018-03-25 14:29:52 -0700 (Sun, 25 Mar 2018) | 3 lines
Changed paths:
   M /trunk/darkplaces/dpsoftrast.c
   M /trunk/darkplaces/dpsoftrast.h
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/qtypes.h

Change shader permutation flags to 64bit.

Added dpuint64 and dpint64 types.
------------------------------------------------------------------------
r12356 | havoc | 2018-03-25 13:04:14 -0700 (Sun, 25 Mar 2018) | 3 lines
Changed paths:
   M /trunk/darkplaces/cl_main.c
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/r_lightning.c
   M /trunk/darkplaces/render.h

Rewrote most of r_lightning.c, it now uses CL_MeshEntities in MESH_PARTICLES rather than its own rendering code.

Changed the texture generation so it is in the same orientation as the external texture to reduce some code duplication, and changed the look of it to more closely mimic the model-based lightning.
------------------------------------------------------------------------
r12355 | havoc | 2018-03-25 12:58:39 -0700 (Sun, 25 Mar 2018) | 5 lines
Changed paths:
   M /trunk/darkplaces/cl_main.c
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/host.c
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/model_shared.h

Add CL_MeshEntities_*, every frame in the client all MESH_ entities are added to the frame if they have any surfaces - surfaces can be created with Mod_Mesh_AddSurface and friends.  These entities have full material rendering support, which should allow reducing the number of special case renderable objects in the scene in future.

Add Mod_Mesh functions - these allow creation of dynamic mesh models.

Add Mod_LoadCustomMaterial which initializes a texture_t using a skinframe and some parameters, useful with Mod_Mesh and CL_MeshEntities.
------------------------------------------------------------------------
r12354 | havoc | 2018-03-25 12:51:29 -0700 (Sun, 25 Mar 2018) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_main.c
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/model_brush.h
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/model_shared.h
   M /trunk/darkplaces/render.h

Various cleanup.
------------------------------------------------------------------------
r12353 | havoc | 2018-03-24 14:35:50 -0700 (Sat, 24 Mar 2018) | 3 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

Change r_showbboxes to have outlined edges of the box, and the box is now rendered as doublesided which feels more consistent when moving in/out of large trigger boxes and similar.

Added r_showbboxes_client which shows bboxes of clientside qc entities.
------------------------------------------------------------------------
r12352 | havoc | 2018-03-24 14:34:21 -0700 (Sat, 24 Mar 2018) | 2 lines
Changed paths:
   M /trunk/darkplaces/sbar.c

Add entity number to showtex overlay.
Add clientside qc entity support to showtex - trace is performed on client and server and the shorter one will be shown.
------------------------------------------------------------------------
r12351 | havoc | 2018-03-24 10:47:32 -0700 (Sat, 24 Mar 2018) | 3 lines
Changed paths:
   M /trunk/darkplaces/cl_collision.c
   M /trunk/darkplaces/cl_collision.h
   M /trunk/darkplaces/cl_input.c
   M /trunk/darkplaces/cl_main.c
   M /trunk/darkplaces/cl_particles.c
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/collision.c
   M /trunk/darkplaces/collision.h
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/model_alias.c
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/model_shared.h
   M /trunk/darkplaces/r_explosion.c
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/sbar.c
   M /trunk/darkplaces/server.h
   M /trunk/darkplaces/sv_move.c
   M /trunk/darkplaces/sv_phys.c
   M /trunk/darkplaces/sv_user.c
   M /trunk/darkplaces/svvm_cmds.c
   M /trunk/darkplaces/view.c

Add skipmaterialflagsmask feature to TraceLine and friends - this allows more sensible skipping of non-occluders by material (MATERIALFLAGMASK_TRANSLUCENT is now useful).

Recreated TracePoint code from TraceLine code to make it set depth variables properly.
------------------------------------------------------------------------
r12350 | havoc | 2018-03-17 00:35:38 -0700 (Sat, 17 Mar 2018) | 1 line
Changed paths:
   M /trunk/darkplaces/svvm_cmds.c

Fix a bug with PRVM_64 where CSQC float stats were sent by aliasing to int64 and returning as int32, now correctly converts to float and then uses a union to get the int32 representation.
------------------------------------------------------------------------
r12349 | havoc | 2018-03-11 12:26:55 -0700 (Sun, 11 Mar 2018) | 3 lines
Changed paths:
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/r_shadow.c

Add r_shadow_culllights_trace feature, this culls rtlights by traceline checks similar to entities.

Add r_shadow_culllights_pvs cvar so that the pvs checks can be turned off, for debugging or otherwise.
------------------------------------------------------------------------
r12348 | havoc | 2018-03-11 12:24:42 -0700 (Sun, 11 Mar 2018) | 3 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/model_shared.h
   M /trunk/darkplaces/render.h
   M /trunk/darkplaces/server.h
   M /trunk/darkplaces/snd_main.c
   M /trunk/darkplaces/sv_main.c

Rework R_CanSeeBox a bit to support an eyejitter feature, and make it available throughout the renderer.

Make TraceLineOfSight check if the trace endpos is within a box, not just if fraction is 1 - this makes it much more likely to say an object is visible when the object overlaps walls and other obstacles as the rays only need to reach the box, it doesn't matter much where it goes inside the box.
------------------------------------------------------------------------
r12347 | havoc | 2018-03-11 12:08:41 -0700 (Sun, 11 Mar 2018) | 5 lines
Changed paths:
   M /trunk/darkplaces/gl_rsurf.c
   M /trunk/darkplaces/model_shared.h
   M /trunk/darkplaces/r_shadow.c

Change shadowless rtlights so that they are not occluded by anything - no pvs checks or portal culling.

This makes r_shadow_deferred 0 look the same as r_shadow_deferred 1 - lights fill their whole area if there are no shadows to block them.

This also fixes a popping issue with r_shadow_deferred 1 where the eye was not in a leaf the light considered to be visible, and thus the light was not drawn (which made quite a difference when you move back and forth between leafs that were and were not lit), since when it was drawn it lit everything in the area.
------------------------------------------------------------------------
r12346 | havoc | 2018-03-11 12:04:22 -0700 (Sun, 11 Mar 2018) | 3 lines
Changed paths:
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/model_shared.h

Don't set MATERIALFLAG_NOSHADOW on SKY materials.  They need to cast shadows to prevent issues in e1m7 and other cases where sky occludes light bleed into other areas.

But when loading Q1BSP, set MATERIALFLAG_NOSHADOW on SKY if it has non-SOLID contents behind it, this supports the e1m5 logo shadow trick.
------------------------------------------------------------------------
r12345 | havoc | 2018-03-11 11:53:55 -0700 (Sun, 11 Mar 2018) | 1 line
Changed paths:
   M /trunk/darkplaces/filematch.c

Fix a couple warnings for unused variables in listdirectory on WIN32.
------------------------------------------------------------------------
r12344 | divverent | 2018-03-05 17:21:11 -0800 (Mon, 05 Mar 2018) | 1 line
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/svvm_cmds.c

Grant access to the FULLVOLUME flag from the QC VM (allows custom background music mods that aren't affected by the volume cvar)
------------------------------------------------------------------------
r12343 | havoc | 2017-11-28 18:50:40 -0800 (Tue, 28 Nov 2017) | 3 lines
Changed paths:
   M /trunk/darkplaces/filematch.c

Remove the forced lower-casing in listdirectory on Windows, as it breaks
the caseinsensitive=false case.

------------------------------------------------------------------------
r12342 | divverent | 2017-10-31 11:50:09 -0700 (Tue, 31 Oct 2017) | 1 line
Changed paths:
   M /trunk/darkplaces/view.c

Fix initialization of gunorg/vieworg when cl_followmodel/cl_leanmodel are disabled.
------------------------------------------------------------------------
r12341 | divverent | 2017-09-28 09:57:52 -0700 (Thu, 28 Sep 2017) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-before_install-xonotic.sh
   M /trunk/darkplaces/.travis-script-xonotic.sh
   M /trunk/darkplaces/.travis.yml

Travis/Xonotic: use Ubuntu's mingw-w64 and fix linux32 dependency hell.
------------------------------------------------------------------------
r12340 | divverent | 2017-09-22 10:09:30 -0700 (Fri, 22 Sep 2017) | 5 lines
Changed paths:
   M /trunk/darkplaces/cl_demo.c

Fix bug with demo time

Some demos may freeze at beginning, this fix this problem.

From: Slava Bacherikov <slava@bacher09.org>
------------------------------------------------------------------------
r12339 | divverent | 2017-09-22 10:09:27 -0700 (Fri, 22 Sep 2017) | 5 lines
Changed paths:
   M /trunk/darkplaces/gl_draw.c

Make work DrawQ_SetClipArea in stereo view modes or when viewsize is lower than 100

NOTE from divVerent: the previous followmodel-related commit was mistakenly attributed to me, but was actually by terencehill too.

Signed-off-by: terencehill <piuntn@gmail.com>
------------------------------------------------------------------------
r12338 | divverent | 2017-09-22 09:46:56 -0700 (Fri, 22 Sep 2017) | 3 lines
Changed paths:
   M /trunk/darkplaces/view.c

Avoid running cl_followmodel and cl_leanmodel code if the relative cvars are turned off

From: Rudolf Polzer <divVerent@xonotic.org>
------------------------------------------------------------------------
r12337 | havoc | 2017-08-29 21:29:14 -0700 (Tue, 29 Aug 2017) | 1 line
Changed paths:
   M /trunk/darkplaces/shader_glsl.h

Fix GLSL shader to only specify invariant gl_Position on the vertex shader, not the fragment shader - woops, this is what I get for not testing that change.
------------------------------------------------------------------------
r12336 | havoc | 2017-08-06 08:33:55 -0700 (Sun, 06 Aug 2017) | 9 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/shader_glsl.h

Use the invariant keyword on gl_Position on GLSL 1.20 or higher and GLSL ES
1.00 or higher, this should resolve zfighting between light polygons and
base surfaces.

A long long time ago this was using ftransform() which ensured invariance but use of the invariant keyword was not added when we switched away from that.

Thanks for the bug report:
https://www.reddit.com/r/quake/comments/6rwwm5/need_some_help_getting_quake_running_with/

------------------------------------------------------------------------
r12335 | divverent | 2017-07-10 05:43:27 -0700 (Mon, 10 Jul 2017) | 9 lines
Changed paths:
   M /trunk/darkplaces/vid_sdl.c

SDL2: combine SDL_KEYDOWN events directly with following SDL_TEXTINPUT events when possible.

This solves ` keypresses that open/close the console also typing in a character
"once and for all". The ability to type the ` character into the console is not
impaired by this as con_closeontoggleconsole's logic to by default ignore the
toggleconsole key when in the console but not at the beginning of the line
still applies.

From: terencehill <piuntn@gmail.com>
------------------------------------------------------------------------
r12334 | divverent | 2017-04-25 19:33:43 -0700 (Tue, 25 Apr 2017) | 17 lines
Changed paths:
   M /trunk/darkplaces/netconn.c

rcon server: add an explicit check against empty password, instead of assuming the calling code is correct.

This logic had a bug in the past that had been introduced by r8886 and
accidentally fixed when introducing multi-account support in r9420. The bug was
that rcon_password being empty led to the empty password being accepted in some
cases, as there was never any explicit logic to handle that in rcon - it was
more "accidentally" rejected by a packet formatting check which does not apply
to srcon as the empty password wouldn't be empty over the wire.

In other words: DP builds from [r8886, r9419] had a serious vulnerability and
the only workaround is to always have rcon_password set.

The check added here will complain and reject in case the calling code for some
reason no longer prevents empty passwords from being accepted.

Also adding comments to the new logic explaining how it prevents the empty
password from being accepted.
------------------------------------------------------------------------
r12333 | havoc | 2017-04-23 15:54:26 -0700 (Sun, 23 Apr 2017) | 2 lines
Changed paths:
   M /trunk/darkplaces/todo

Mark a bug as done.

------------------------------------------------------------------------
r12332 | havoc | 2017-04-23 15:53:08 -0700 (Sun, 23 Apr 2017) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

Fix bug where r_showbboxes broke bloom texture updates by setting GL_CullFace in R_Bloom_MakeTexture.
------------------------------------------------------------------------
r12331 | havoc | 2017-04-23 15:20:45 -0700 (Sun, 23 Apr 2017) | 3 lines
Changed paths:
   M /trunk/darkplaces/collision.c

Fix a bug in collisions between brushes and brushes when the plane is rotating - this case is never used currently but it's definitely a bug worth fixing.

Thanks to Eduard Elin for the bug report.
------------------------------------------------------------------------
r12330 | havoc | 2017-04-23 15:05:47 -0700 (Sun, 23 Apr 2017) | 3 lines
Changed paths:
   M /trunk/darkplaces/menu.c
   M /trunk/darkplaces/vid.h
   M /trunk/darkplaces/vid_shared.c

Removed the gray-out behavior on the gamma settings in the color control menu when hwgamma is unsupported or disabled.

Apply gamma correction to the color boxes in the color control menu when hwgamma is off so that they are an accurate preview.
------------------------------------------------------------------------
r12329 | havoc | 2017-04-23 13:25:39 -0700 (Sun, 23 Apr 2017) | 5 lines
Changed paths:
   M /trunk/darkplaces/menu.c

Fix bugs in ModList_RebuildList such that it no longer lists files in the quake directory as gamedirs.

These bugs were previously hidden by a different behavior in FS_CheckNastyPath until 20140716 where directories with a period in their name were skipped, but that was not a complete solution.

Thanks to klichka for bug report.
------------------------------------------------------------------------
r12328 | havoc | 2017-04-23 12:40:24 -0700 (Sun, 23 Apr 2017) | 1 line
Changed paths:
   A /trunk/darkplaces/darkplaces-dedicated-vs2017.vcxproj
   A /trunk/darkplaces/darkplaces-sdl2-vs2017.vcxproj
   A /trunk/darkplaces/darkplaces-vs2017.sln
   A /trunk/darkplaces/darkplaces-wgl-vs2017.vcxproj

Add VS2017 projects.
------------------------------------------------------------------------
r12327 | divverent | 2017-03-31 14:47:12 -0700 (Fri, 31 Mar 2017) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-script-xonotic.sh

Travis build script: bump the min OS X version.
------------------------------------------------------------------------
r12326 | havoc | 2017-03-18 08:37:30 -0700 (Sat, 18 Mar 2017) | 2 lines
Changed paths:
   M /trunk/darkplaces/todo

Added a bug reported by kristus (tcmod rotate breaking normalmapping)

------------------------------------------------------------------------
r12325 | divverent | 2017-03-08 13:27:37 -0800 (Wed, 08 Mar 2017) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-before_install-xonotic.sh

Use SDL 2.0.5 for Xonotic builds.
------------------------------------------------------------------------
r12324 | divverent | 2017-03-07 11:12:17 -0800 (Tue, 07 Mar 2017) | 1 line
Changed paths:
   M /trunk/darkplaces/r_shadow.c

r_coronas_occlusionquery: don't try using a GL20-requiring feature in the GL11/GL13 render paths
------------------------------------------------------------------------
r12323 | divverent | 2017-03-07 10:33:54 -0800 (Tue, 07 Mar 2017) | 1 line
Changed paths:
   M /trunk/darkplaces/keys.c

Chat: accept K_KP_ENTER to end chat entry too.
------------------------------------------------------------------------
r12322 | havoc | 2017-01-14 11:33:33 -0800 (Sat, 14 Jan 2017) | 4 lines
Changed paths:
   M /trunk/darkplaces/cl_input.c

added separate cl_nopred cvar to use when playing on qw servers since
players expect prediction in quakeworld, now cl_movement is only used on
dp6/dp7 servers.

------------------------------------------------------------------------
r12321 | divverent | 2017-01-11 13:50:45 -0800 (Wed, 11 Jan 2017) | 5 lines
Changed paths:
   M /trunk/darkplaces/.travis-before_install-xonotic.sh
   M /trunk/darkplaces/.travis-script-xonotic.sh
   M /trunk/darkplaces/.travis.yml

Travis changes for Xonotic:

- Do not require root any more.
- Change the i386 build to build on Ubuntu directly, not in a chroot created using debootstrap.
- Remove the -isysroot option for OS X as the path broke after some Travis change.
------------------------------------------------------------------------
r12319 | havoc | 2017-01-07 10:55:51 -0800 (Sat, 07 Jan 2017) | 2 lines
Changed paths:
   M /trunk/darkplaces/quakedef.h

increase MAX_CHANNELS to support quakemash

------------------------------------------------------------------------
r12318 | havoc | 2017-01-02 19:25:39 -0800 (Mon, 02 Jan 2017) | 1 line
Changed paths:
   M /trunk/darkplaces/model_brush.c

Fix some crashes affecting dedicated quake servers where texture->materialshaderpass is NULL.  A few other tweaks to ca_dedicated checks that were redundant.
------------------------------------------------------------------------
r12317 | havoc | 2017-01-01 19:06:22 -0800 (Sun, 01 Jan 2017) | 3 lines
Changed paths:
   M /trunk/darkplaces/r_shadow.c

Remove a confusing part of the description of r_shadow_shadowmapping
cvar.

------------------------------------------------------------------------
r12316 | havoc | 2017-01-01 17:12:46 -0800 (Sun, 01 Jan 2017) | 8 lines
Changed paths:
   M /trunk/darkplaces/sv_phys.c

Fix rogue mission pack (Dissolution of Eternity) plasma launcher which
uses velocity so small initially that SV_CheckVelocity was zeroing it in
the denormal check - the threshold has been lowered by 3 digits since
this was really only meant to detect denormals, not mess with real
numbers

thanks to Roman for this bug report

------------------------------------------------------------------------
r12315 | havoc | 2017-01-01 16:26:06 -0800 (Sun, 01 Jan 2017) | 6 lines
Changed paths:
   M /trunk/darkplaces/r_shadow.c

change shadowmapping atlas from 4096x4096 to 8192x8192 because it looks
bad when it has to degrade shadowmap resolution to fit into 4096x4096
some of the time in start.bsp

this texture size is 256MB and should fit on most video cards...

------------------------------------------------------------------------
r12314 | havoc | 2017-01-01 16:14:36 -0800 (Sun, 01 Jan 2017) | 3 lines
Changed paths:
   M /trunk/darkplaces/bih.c
   M /trunk/darkplaces/bih.h
   M /trunk/darkplaces/darkplaces.txt
   M /trunk/darkplaces/menu.c

Change darkplaces email address to darkplacesengine (on gmail) since
gmail has better spam filtering than the old host

------------------------------------------------------------------------
r12309 | havoc | 2016-12-10 12:57:04 -0800 (Sat, 10 Dec 2016) | 3 lines
Changed paths:
   M /trunk/darkplaces/mathlib.c

Disable the __int128 code path for lehmer 128bit RNG because it doesn't
compile on an old XCode version I use.

------------------------------------------------------------------------
r12308 | havoc | 2016-12-10 12:17:30 -0800 (Sat, 10 Dec 2016) | 2 lines
Changed paths:
   M /trunk/darkplaces/mathlib.c

only use __int128 math on x86_64

------------------------------------------------------------------------
r12307 | havoc | 2016-12-10 11:50:51 -0800 (Sat, 10 Dec 2016) | 1 line
Changed paths:
   M /trunk/darkplaces/model_alias.c

Fix bug in loading additional skins after the ones that exist in the model in mdl loader, which resulted in the missing texture being shown because the skin referenced a texture beyond num_textures.
------------------------------------------------------------------------
r12306 | vic | 2016-12-02 12:19:47 -0800 (Fri, 02 Dec 2016) | 4 lines
Changed paths:
   M /trunk/darkplaces/r_shadow.c

Use tighter bounds for bouncegrid texture

Calculate bounds enclosing all lights instead of using the world bounds.
Maps with unlit monster containers such as e1m7 benefit from reduced RAM usage.
------------------------------------------------------------------------
r12305 | divverent | 2016-11-29 10:20:07 -0800 (Tue, 29 Nov 2016) | 12 lines
Changed paths:
   M /trunk/darkplaces/keys.c

keys: do not send the text event of the toggleconsole bind to the console.

This only affects SDL2's event handling, which sends events in the following order:

(keycode, 0, true)
(0, charcode, true)
(0, charcode, false)
(keycode, 0, false)

The input destination is toggled on the first event, and the console then would
receive the charcode events. Binds work differently though - their action is
queued into the console buffer, and executed at the end of the frame!
------------------------------------------------------------------------
r12304 | havoc | 2016-11-28 19:24:12 -0800 (Mon, 28 Nov 2016) | 7 lines
Changed paths:
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/r_shadow.h

Rewrote bouncegrid path splatting, it now has a cone shape which grows with distance, which reduces the splotchy look (cvars r_shadow_bouncegrid_lightpathsize_initial and r_shadow_bouncegrid_lightpathsize_conespread control this).

Replaced r_shadow_bouncegrid_(static|dynamic)_energyperphoton with r_shadow_bouncegrid_(static|dynamic)_quality cvar which works opposite the old one and is automatically multiplied by spacing^2 so you no longer have to hand-tune it when changing spacing.

Turned off r_shadow_bouncegrid_blur by default - it's still useful but no longer completely necessary.

Replaced r_shadow_bouncegrid_dynamic_stablerandom with r_shadow_bouncegrid_rng_type (which defaults to Lehmer 128bit RNG) and added r_shadow_bouncegrid_rng_seed (which can be set to -1 for the time-based random that stablerandom <= 0 used to trigger).
------------------------------------------------------------------------
r12303 | havoc | 2016-11-27 20:00:44 -0800 (Sun, 27 Nov 2016) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_textures.c

Remove redundant call to R_MakeResizeBufferBigger, which was also breaking C89 by having mixed variables and code.
------------------------------------------------------------------------
r12302 | havoc | 2016-11-27 19:59:54 -0800 (Sun, 27 Nov 2016) | 1 line
Changed paths:
   M /trunk/darkplaces/mathlib.c

Fix __int128 based implementation of mul128, needed more casts.
------------------------------------------------------------------------
r12301 | havoc | 2016-11-27 19:56:16 -0800 (Sun, 27 Nov 2016) | 9 lines
Changed paths:
   M /trunk/darkplaces/mathlib.c
   M /trunk/darkplaces/mathlib.h
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/r_shadow.h

Fix severe bugs in mul128 implementation which was breaking the Lehmer RNG.

Added gcc specific implementation of mul128 using __int128 intrinsic type.

Added unit tests for mul128 implementation.

Added r_shadow_bouncegrid_normalizevectors cvar, default on, this slightly brightens typical scenes, some more affected than others.

Changed the behavior of r_shadow_bouncegrid_dynamic_stablerandom to also affect static mode, changed it to use the light position as the RNG seed, and changed the meaning of stablerandom 1 to be lhcheeserandom again as it is fast and of sufficient quality, the Lehmer RNG is available as stablerandom 2 but it has a framerate hit in dynamic mode that I can't ignore.
------------------------------------------------------------------------
r12300 | havoc | 2016-11-27 14:20:28 -0800 (Sun, 27 Nov 2016) | 3 lines
Changed paths:
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/r_shadow.h

Significant rework of bouncegrid photon distribution and coloring.

r_editlights mode now shows render stats in the overlay.
------------------------------------------------------------------------
r12299 | havoc | 2016-11-27 13:52:57 -0800 (Sun, 27 Nov 2016) | 5 lines
Changed paths:
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/r_shadow.h

Changed bouncegrid to use its own buffers (Mem_Alloc) instead of R_FrameData_Alloc because bouncegrid can be > 500MB per allocation which is unreasonable pressure on R_FrameData_Alloc.

Reduce memory when using r_shadow_bouncegrid_blur by ping-ponging between two buffers rather than three.

Reduce memory when using small values of r_shadow_bouncegrid_(static|dynamic)_spacing by disabling blur and instead effectively increasing r_shadow_bouncegrid_lightpathsize by 2 (the result is identical, just slower).
------------------------------------------------------------------------
r12298 | havoc | 2016-11-27 13:45:11 -0800 (Sun, 27 Nov 2016) | 3 lines
Changed paths:
   M /trunk/darkplaces/mathlib.c
   M /trunk/darkplaces/mathlib.h
   M /trunk/darkplaces/r_shadow.c

Added an implementation of Lehmer random number generator with Lecuyer constant, this is a simple mul128 based RNG with a period of 2^126.

Use the new RNG for bouncegrid traces to hopefully improve the photon distribution compared to lhcheeserandom.
------------------------------------------------------------------------
r12297 | havoc | 2016-11-27 13:42:53 -0800 (Sun, 27 Nov 2016) | 1 line
Changed paths:
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/view.c

Fix one trace I missed when adding skipsupercontentsmask, and a couple other ones in comments.
------------------------------------------------------------------------
r12296 | havoc | 2016-11-27 13:36:38 -0800 (Sun, 27 Nov 2016) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_textures.c

Don't allocate resize buffer for texture upload if the texture does not need to be resized (this helps with memory pressure on the bouncegrid texture which was causing a huge memory alloc every frame in dynamic mode).
------------------------------------------------------------------------
r12295 | havoc | 2016-11-27 13:35:34 -0800 (Sun, 27 Nov 2016) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

Fix infinite loop that occurred in R_FrameData_Alloc if requesting > 256MB (which the per-chunk size was bounded to).
------------------------------------------------------------------------
r12294 | havoc | 2016-11-27 13:29:12 -0800 (Sun, 27 Nov 2016) | 3 lines
Changed paths:
   M /trunk/darkplaces/cl_collision.c
   M /trunk/darkplaces/cl_collision.h
   M /trunk/darkplaces/cl_input.c
   M /trunk/darkplaces/cl_main.c
   M /trunk/darkplaces/cl_particles.c
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/collision.c
   M /trunk/darkplaces/collision.h
   M /trunk/darkplaces/model_alias.c
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/model_shared.h
   M /trunk/darkplaces/r_explosion.c
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/sbar.c
   M /trunk/darkplaces/server.h
   M /trunk/darkplaces/sv_move.c
   M /trunk/darkplaces/sv_phys.c
   M /trunk/darkplaces/sv_user.c
   M /trunk/darkplaces/svvm_cmds.c
   M /trunk/darkplaces/view.c

Add skipsupercontentsmask parameter to all the collision implementations, this allows you to ignore brushes/surfaces matching the specified contents flags, the primary use is ignoring q1bsp sky surfaces which are SUPERCONTENTS_SKY and SUPERCONTENTS_SOLID, since SUPERCONTENTS_SOLID is in the hitsupercontentsmask it will normally block on sky surfaces, but this way it will not if they also have SUPERCONTENTS_SKY set.

Use the new skipsupercontentsmask feature for bouncegrid traces and certain other light traces.
------------------------------------------------------------------------
r12293 | havoc | 2016-11-27 13:00:37 -0800 (Sun, 27 Nov 2016) | 1 line
Changed paths:
   M /trunk/darkplaces/sys_sdl.c

Added a MessageBox call in Sys_Error on Windows, matching the behavior of the wgl client.  The typical error to desktop will be more informative now.
------------------------------------------------------------------------
r12292 | havoc | 2016-11-27 12:59:04 -0800 (Sun, 27 Nov 2016) | 3 lines
Changed paths:
   M /trunk/darkplaces/zone.c
   M /trunk/darkplaces/zone.h

Added developer_memorylargerthanmb cvar which prints (with developer 1) notices about very large memory allocations (16MB and larger by default).

Slightly improved the Mem_Alloc out of memory error to include the size of the failed allocation.
------------------------------------------------------------------------
r12291 | havoc | 2016-11-27 12:56:03 -0800 (Sun, 27 Nov 2016) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_collision.c
   M /trunk/darkplaces/cl_collision.h
   M /trunk/darkplaces/cl_input.c
   M /trunk/darkplaces/cl_main.c
   M /trunk/darkplaces/cl_particles.c
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/collision.c
   M /trunk/darkplaces/collision.h
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/gl_textures.c
   M /trunk/darkplaces/mathlib.c
   M /trunk/darkplaces/mathlib.h
   M /trunk/darkplaces/model_alias.c
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/model_shared.h
   M /trunk/darkplaces/r_explosion.c
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/r_shadow.h
   M /trunk/darkplaces/sbar.c
   M /trunk/darkplaces/server.h
   M /trunk/darkplaces/sv_move.c
   M /trunk/darkplaces/sv_phys.c
   M /trunk/darkplaces/sv_user.c
   M /trunk/darkplaces/svvm_cmds.c
   M /trunk/darkplaces/sys_linux.c
   M /trunk/darkplaces/sys_sdl.c
   M /trunk/darkplaces/view.c
   M /trunk/darkplaces/zone.c
   M /trunk/darkplaces/zone.h

Rollback last change which was meant to be many smaller pieces.
------------------------------------------------------------------------
r12290 | havoc | 2016-11-27 12:53:09 -0800 (Sun, 27 Nov 2016) | 3 lines
Changed paths:
   M /trunk/darkplaces/cl_collision.c
   M /trunk/darkplaces/cl_collision.h
   M /trunk/darkplaces/cl_input.c
   M /trunk/darkplaces/cl_main.c
   M /trunk/darkplaces/cl_particles.c
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/collision.c
   M /trunk/darkplaces/collision.h
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/gl_textures.c
   M /trunk/darkplaces/mathlib.c
   M /trunk/darkplaces/mathlib.h
   M /trunk/darkplaces/model_alias.c
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/model_shared.h
   M /trunk/darkplaces/r_explosion.c
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/r_shadow.h
   M /trunk/darkplaces/sbar.c
   M /trunk/darkplaces/server.h
   M /trunk/darkplaces/sv_move.c
   M /trunk/darkplaces/sv_phys.c
   M /trunk/darkplaces/sv_user.c
   M /trunk/darkplaces/svvm_cmds.c
   M /trunk/darkplaces/sys_linux.c
   M /trunk/darkplaces/sys_sdl.c
   M /trunk/darkplaces/view.c
   M /trunk/darkplaces/zone.c
   M /trunk/darkplaces/zone.h

Added developer_memorylargerthanmb cvar which dprints notices about very large memory allocations (16MB and larger by default).

Slightly improved the Mem_Alloc out of memory error to include the size of the failed allocation.
------------------------------------------------------------------------
r12289 | havoc | 2016-11-27 12:51:15 -0800 (Sun, 27 Nov 2016) | 1 line
Changed paths:
   M /trunk/darkplaces/darkplaces-dedicated-vs2015.vcxproj
   M /trunk/darkplaces/darkplaces-sdl2-vs2015.vcxproj
   M /trunk/darkplaces/darkplaces-wgl-vs2015.vcxproj

Enable /LARGEADDRESSAWARE on win32 builds in MSVS2015, to get 3GB address space rather than 2GB.
------------------------------------------------------------------------
r12288 | havoc | 2016-10-10 20:03:27 -0700 (Mon, 10 Oct 2016) | 1 line
Changed paths:
   M /trunk/darkplaces/r_shadow.c

Fix another bug in R_Shadow_PrepareLights_AddSceneLight - it was not increasing r_shadow_scenemaxlights.
------------------------------------------------------------------------
r12287 | havoc | 2016-10-10 19:56:31 -0700 (Mon, 10 Oct 2016) | 3 lines
Changed paths:
   M /trunk/darkplaces/r_shadow.c

Fix bad memory overrun bug in R_Shadow_PrepareLights_AddSceneLight - it was not multiplying the array size by sizeof.

Thanks to Monster for reporting this bug.
------------------------------------------------------------------------
r12286 | havoc | 2016-10-10 18:05:53 -0700 (Mon, 10 Oct 2016) | 5 lines
Changed paths:
   M /trunk/darkplaces/view.c

Added cl_bob_limit cvar which limits the maximum rage of view bobbing in a smooth way (rather than limiting the velocity and cl_bob independently, it limits the strength of the bob before the sinewave is applied).  By default this is 7 (inspired by the quake limit of +4 to -7 range).

Added cl_bob_limit_heightcheck cvar (off by default) which uses tracelines to limit the maximum value of cl_bob_limit based on the ceiling and floor height.

Added cl_bob_velocity_limit cvar which replaces the hard-coded 400 in a few places for xyspeed purposes.
------------------------------------------------------------------------
r12285 | havoc | 2016-09-13 21:53:02 -0700 (Tue, 13 Sep 2016) | 5 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/gl_rsurf.c
   M /trunk/darkplaces/model_alias.c
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/model_shared.h
   M /trunk/darkplaces/model_sprite.c

Overhauled quake3 shader loading such that it now produces shader passes that could render the material mostly correctly (rendering not yet implemented for the pre/post passes the logic identifies).

Main visible effect of this is that quake3 maps look more correct, but don't have any fancy effects yet.

This changed the loaders for all other formats that produce texture_t as texture->materialshaderpass-> is the new source of truth for several things.
------------------------------------------------------------------------
r12284 | havoc | 2016-09-11 22:13:44 -0700 (Sun, 11 Sep 2016) | 3 lines
Changed paths:
   M /trunk/darkplaces/image.c
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/model_brush.h
   M /trunk/darkplaces/palette.c

Fix Q2BSP texture loading, Q2BSP contents issues, and add support for SURF_ALPHATEST for any maps that might use it, force fullbright rendering on SURF_TRANS33/SURF_TRANS66/SURF_WARP textures which fixes the rain in 3v3gloom3.bsp and chainlink fence textures on tkse.bsp and glass transparency on gloom1se.bsp among others.  Also fix the SURF_FLOWING scroll rate when combined with SURF_WARP.

Also fixed the collision issues caused by stomping over Q1BSP data which caused traceline to break on Q1BSP after loading a Q2BSP map, thanks Supa for that bug report and finding other Q2BSP issues.
------------------------------------------------------------------------
r12283 | havoc | 2016-09-11 17:15:56 -0700 (Sun, 11 Sep 2016) | 5 lines
Changed paths:
   M /trunk/darkplaces/dpsoftrast.h
   M /trunk/darkplaces/gl_rmain.c

Changed naming of glsl/default.glsl and hlsl/default.hlsl to glsl/combined_crc*.glsl and hlsl/combined_crc*.hlsl - these are now effectively versioned by the crc of the builtin shader code, so if customization is applied it must match the current crc of the engine shader.

This should prevent any future shader version compatibility issues (at the cost of customization being harder to maintain).

Refactored shadermodeinfo related code to clean it up and make it more maintainable.
------------------------------------------------------------------------
r12282 | havoc | 2016-09-11 16:06:22 -0700 (Sun, 11 Sep 2016) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rsurf.c

Enable shadowmapping on transparent surfaces.
------------------------------------------------------------------------
r12281 | havoc | 2016-09-11 16:05:08 -0700 (Sun, 11 Sep 2016) | 5 lines
Changed paths:
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/gl_backend.c
   M /trunk/darkplaces/gl_backend.h
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/gl_rsurf.c
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/model_shared.h
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/r_shadow.h
   M /trunk/darkplaces/render.h
   M /trunk/darkplaces/shader_glsl.h
   M /trunk/darkplaces/shader_hlsl.h

Overhauled shadowmap rendering to use an atlas texture, this is overall a speed loss on default settings (-7.7% fps on timedemo demo1, or -3% with r_shadow_deferred) but a gain on realtime world lighting (+21.1% normal, +1.7% with r_shadow_deferred) on NVIDIA GTX 680.

On video drivers with higher framebuffer switching costs, this should be a framerate gain in all situations.

Feature-wise this brings support (in future) for shadowmapping on transparent lit surfaces, and imposes an upper bound on how many pixels of shadowmaps will be rendered in a frame (shadowmap resolution automatically becomes more coarse on frames where they do not fit).
------------------------------------------------------------------------
r12280 | havoc | 2016-09-10 13:24:15 -0700 (Sat, 10 Sep 2016) | 1 line
Changed paths:
   A /trunk/darkplaces/darkplaces-dedicated-vs2015.vcxproj
   A /trunk/darkplaces/darkplaces-sdl2-vs2015.vcxproj
   A /trunk/darkplaces/darkplaces-vs2015.sln
   A /trunk/darkplaces/darkplaces-wgl-vs2015.vcxproj

Added MSVC++ 2015 projects.
------------------------------------------------------------------------
r12279 | havoc | 2016-09-10 12:36:13 -0700 (Sat, 10 Sep 2016) | 5 lines
Changed paths:
   M /trunk/darkplaces/cd_null.c
   M /trunk/darkplaces/cd_sdl.c
   M /trunk/darkplaces/cd_win.c
   M /trunk/darkplaces/cl_input.c
   M /trunk/darkplaces/cl_parse.c
   M /trunk/darkplaces/cl_particles.c
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/cl_video.c
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/collision.c
   M /trunk/darkplaces/console.c
   M /trunk/darkplaces/crypto.c
   M /trunk/darkplaces/csprogs.c
   M /trunk/darkplaces/dpsoftrast.c
   M /trunk/darkplaces/fs.c
   M /trunk/darkplaces/ft2.c
   M /trunk/darkplaces/gl_backend.c
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/glquake.h
   M /trunk/darkplaces/lhnet.c
   M /trunk/darkplaces/libcurl.c
   M /trunk/darkplaces/mathlib.c
   M /trunk/darkplaces/menu.c
   M /trunk/darkplaces/mod_skeletal_animatevertices_generic.c
   M /trunk/darkplaces/mod_skeletal_animatevertices_sse.c
   M /trunk/darkplaces/model_alias.c
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/netconn.c
   M /trunk/darkplaces/netconn.h
   M /trunk/darkplaces/protocol.c
   M /trunk/darkplaces/prvm_exec.c
   M /trunk/darkplaces/prvm_execprogram.h
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/snd_main.c
   M /trunk/darkplaces/snd_mix.c
   M /trunk/darkplaces/sv_main.c
   M /trunk/darkplaces/sv_user.c
   M /trunk/darkplaces/svvm_cmds.c
   M /trunk/darkplaces/vid_sdl.c
   M /trunk/darkplaces/vid_shared.c

Fix MSVC++ 2015 warnings about variable scope and some narrowing conversions without type casts.

Fix some missing type casts in recent r_shadow.c changes that didn't compile as C++ successfully.

Remove r_shadow_shadowmaplod variable which is unused.
------------------------------------------------------------------------
r12278 | havoc | 2016-08-28 00:08:50 -0700 (Sun, 28 Aug 2016) | 2 lines
Changed paths:
   M /trunk/darkplaces/gl_textures.c

Fix a typo in a field name.

------------------------------------------------------------------------
r12277 | havoc | 2016-08-27 22:29:09 -0700 (Sat, 27 Aug 2016) | 9 lines
Changed paths:
   M /trunk/darkplaces/gl_textures.c
   M /trunk/darkplaces/glquake.h
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/r_shadow.h
   M /trunk/darkplaces/vid.h
   M /trunk/darkplaces/vid_sdl.c
   M /trunk/darkplaces/vid_shared.c

Added r_shadow_bouncegrid_lightpathsize which is an alternative to blur
- but in practice this is just slower at a value of 3 than 1 is with
  blur, so blur remains the default approach.

Implemented r_shadow_bouncegrid_floatcolors cvar which uses fp16 and
fp32 float formats to increase dynamic range.

Overhauled the default values of the bouncegrid cvars to look better.

------------------------------------------------------------------------
r12276 | havoc | 2016-08-27 15:28:59 -0700 (Sat, 27 Aug 2016) | 8 lines
Changed paths:
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/r_shadow.h

implemented r_shadow_bouncegrid_blur, this tremendously improves
quality at a cost of processing time, eliminating many rounding error
problems in all levels.

renamed several r_shadow_bouncegrid_* cvars to have a dynamic prefix,
and split spacing so that it can also be different between
static/dynamic modes (static now uses 32).

------------------------------------------------------------------------
r12275 | havoc | 2016-08-27 12:34:06 -0700 (Sat, 27 Aug 2016) | 6 lines
Changed paths:
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/r_shadow.h

Refactored r_shadow_bouncegrid light splatting code, it now makes an
array of light paths and then performs their splatting in a separate
step with an optional sort.

Implemented culling of out-of-view light paths in dynamic mode. 

------------------------------------------------------------------------
r12274 | havoc | 2016-08-27 11:00:00 -0700 (Sat, 27 Aug 2016) | 7 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/r_shadow.h

Refactored r_shadow_bouncegrid code into several functions, changed
photon distribution math to make the photons more stable from frame to
frame (in dynamic mode), the number of photons fired is now based on
r_shadow_bouncegrid_intensityperphoton rather than always going for
maximum photons (accordingly r_shadow_bouncegrid_photons has been
renamed maxphotons and will still apply the old logic if it must).

------------------------------------------------------------------------
r12273 | havoc | 2016-08-26 20:17:49 -0700 (Fri, 26 Aug 2016) | 4 lines
Changed paths:
   M /trunk/darkplaces/r_shadow.c

Fix a serious bug with r_shadow_bouncegrid_static where it used
R_CullBox and other view-dependent performance optimizations when
compiling the static texture - thanks to Vic for finding this bug!

------------------------------------------------------------------------
r12272 | divverent | 2016-08-18 08:28:24 -0700 (Thu, 18 Aug 2016) | 5 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/palette.c
   M /trunk/darkplaces/palette.h

Support alpha textures in Quake if the name starts with '{'.

Note: this is actually a HLBSP feature, though:

Author: ericw on irc.anynet.org
------------------------------------------------------------------------
r12271 | divverent | 2016-08-18 08:03:55 -0700 (Thu, 18 Aug 2016) | 3 lines
Changed paths:
   M /trunk/darkplaces/dpdefs/dpextensions.qc
   M /trunk/darkplaces/server.h
   M /trunk/darkplaces/sv_phys.c
   M /trunk/darkplaces/svvm_cmds.c

Add user defined movetypes extension

From: Mario <mario@smbclan.net>
------------------------------------------------------------------------
r12270 | divverent | 2016-07-29 17:20:55 -0700 (Fri, 29 Jul 2016) | 3 lines
Changed paths:
   M /trunk/darkplaces/sv_phys.c

Don't run MOVETYPE_NOCLIP physics asynchronously

From: Mario <mario@smbclan.net>
------------------------------------------------------------------------
r12269 | divverent | 2016-07-20 07:11:45 -0700 (Wed, 20 Jul 2016) | 1 line
Changed paths:
   M /trunk/darkplaces/fs.c
   M /trunk/darkplaces/quakedef.h

OOPS. Enable USE_RWOPS only on Android.
------------------------------------------------------------------------
r12268 | divverent | 2016-07-20 06:13:40 -0700 (Wed, 20 Jul 2016) | 1 line
Changed paths:
   M /trunk/darkplaces/host_cmd.c
   M /trunk/darkplaces/netconn.c

Stop using bytes >= 128 in format strings. They break on Android.
------------------------------------------------------------------------
r12267 | divverent | 2016-07-20 06:13:30 -0700 (Wed, 20 Jul 2016) | 1 line
Changed paths:
   M /trunk/darkplaces/vid_sdl.c

Fix the show-keyboard logic for non-Steel Storm by factoring out the Steel Storm specific code into generic code.
------------------------------------------------------------------------
r12266 | divverent | 2016-07-20 06:13:20 -0700 (Wed, 20 Jul 2016) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_screen.c

Make the touch outline feature actually work.
------------------------------------------------------------------------
r12265 | divverent | 2016-07-20 06:13:10 -0700 (Wed, 20 Jul 2016) | 1 line
Changed paths:
   M /trunk/darkplaces/fs.c

Add DP_FS_USERDIR macro consistent to DP_FS_BASEDIR.
------------------------------------------------------------------------
r12264 | divverent | 2016-07-20 06:13:00 -0700 (Wed, 20 Jul 2016) | 7 lines
Changed paths:
   M /trunk/darkplaces/filematch.c
   M /trunk/darkplaces/fs.c
   M /trunk/darkplaces/fs.h
   M /trunk/darkplaces/makefile.inc

File system: Android assets support.

For this, we must use SDL_RWops for accessing packs (and files), so
let's emulate file descriptors using them.

The main catch is that SDL_RWops have no dup() equivalent, so we're
emulating that as well. Not particularly fast, but well...
------------------------------------------------------------------------
r12263 | havoc | 2016-07-17 20:42:16 -0700 (Sun, 17 Jul 2016) | 2 lines
Changed paths:
   M /trunk/darkplaces/todo

Add another bug entry

------------------------------------------------------------------------
r12262 | havoc | 2016-07-17 20:23:15 -0700 (Sun, 17 Jul 2016) | 3 lines
Changed paths:
   M /trunk/darkplaces/makefile
   M /trunk/darkplaces/makefile.inc

Refactor DP_MACHINE logic in makefile and makefile.inc because it was
broken on mingw.

------------------------------------------------------------------------
r12261 | havoc | 2016-07-17 19:41:07 -0700 (Sun, 17 Jul 2016) | 3 lines
Changed paths:
   M /trunk/darkplaces/dpsoftrast.c

Fix an error detected by  -Wnarrowing (~0 narrowing to unsigned char,
changed it to 0xFF)

------------------------------------------------------------------------
r12260 | havoc | 2016-07-17 15:32:09 -0700 (Sun, 17 Jul 2016) | 2 lines
Changed paths:
   M /trunk/darkplaces/cl_input.c

Added a couple todo items related to pq_fullpitch

------------------------------------------------------------------------
r12259 | havoc | 2016-07-17 15:31:29 -0700 (Sun, 17 Jul 2016) | 2 lines
Changed paths:
   M /trunk/darkplaces/todo

Added a couple bugs

------------------------------------------------------------------------
r12258 | divverent | 2016-06-27 05:49:37 -0700 (Mon, 27 Jun 2016) | 6 lines
Changed paths:
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/crypto.c
   M /trunk/darkplaces/host_cmd.c
   M /trunk/darkplaces/netconn.c

Add a cvar net_sourceaddresscheck (default 1) to ignore connect replies from the wrong host.

This fixes some existing easy connect takeover exploits (which can,
without this check, even attack local matches).

From: Rudolf Polzer <divVerent@xonotic.org>
------------------------------------------------------------------------
r12257 | divverent | 2016-06-13 12:04:37 -0700 (Mon, 13 Jun 2016) | 3 lines
Changed paths:
   M /trunk/darkplaces/makefile.inc

Fix FTBFS on non-x86 architectures

From: Timothy Pearson <kb9vqf@pearsoncomputing.net>
------------------------------------------------------------------------
r12256 | divverent | 2016-04-25 06:01:25 -0700 (Mon, 25 Apr 2016) | 6 lines
Changed paths:
   M /trunk/darkplaces/fs.c

Support darkplaces.opt from local files too.

If both are present, flags from both get prepended; the execution order is:
[attached darkplaces.opt] [local darkplaces.opt] [command-line flags]

Also added flags -noopt (don't parse darkplaces.opt) and -noselfpack (don't read attached pack).
------------------------------------------------------------------------
r12254 | havoc | 2016-04-04 20:18:33 -0700 (Mon, 04 Apr 2016) | 4 lines
Changed paths:
   A /trunk/darkplaces/Darkplaces.app/Contents/MacOS
   A /trunk/darkplaces/Darkplaces.app/Contents/MacOS/darkplaces-osx-sdl

Added darkplaces-osx-sdl launch script, this has been simplified since
we don't support OSX 10.5 anymore (and thus do not have to worry about
broken x86_64 binary support).

------------------------------------------------------------------------
r12253 | havoc | 2016-04-04 15:18:51 -0700 (Mon, 04 Apr 2016) | 3 lines
Changed paths:
   M /trunk/darkplaces/makefile.inc

Change makefile.inc to use SDL2 by default rather than SDL1.2 - removed
sdl2-* targets since they are not needed now.

------------------------------------------------------------------------
r12252 | divverent | 2016-03-28 06:54:51 -0700 (Mon, 28 Mar 2016) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_collision.c

cl_collision: don't hit network entities of players who don't have a network entity (but rather a shared entity, i.e. a CSQC entity).
------------------------------------------------------------------------
r12251 | havoc | 2016-03-15 20:23:18 -0700 (Tue, 15 Mar 2016) | 5 lines
Changed paths:
   M /trunk/darkplaces/netconn.c

Changed master server IP addresses back to hostnames so they don't go
stale.

Removed dead master servers.

------------------------------------------------------------------------
r12250 | divverent | 2016-03-14 09:29:02 -0700 (Mon, 14 Mar 2016) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-script-xonotic.sh

SDL2 dropped i386 support, so stop compiling against that.
------------------------------------------------------------------------
r12249 | divverent | 2016-03-12 17:38:00 -0800 (Sat, 12 Mar 2016) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-before_install-xonotic.sh

Xonotic's travis script: Build the Linux binaries against SDL 2.0.4.
------------------------------------------------------------------------
r12248 | divverent | 2016-03-12 07:24:01 -0800 (Sat, 12 Mar 2016) | 1 line
Changed paths:
   M /trunk/darkplaces/vid_sdl.c

Fix warning and MSVC build against SDL2.
------------------------------------------------------------------------
r12247 | divverent | 2016-03-07 13:36:27 -0800 (Mon, 07 Mar 2016) | 4 lines
Changed paths:
   M /trunk/darkplaces/cl_input.c
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/mathlib.c
   M /trunk/darkplaces/mathlib.h
   M /trunk/darkplaces/matrixlib.c
   M /trunk/darkplaces/matrixlib.h
   M /trunk/darkplaces/view.c

v_yshearing: Make the cvar take the max angle to apply the effect to; remove the in_pitch hack for this as it is no longer needed then.

This makes Y shearing mode actually useful together with higer FOV (less
noticeable distortion).
------------------------------------------------------------------------
r12246 | divverent | 2016-03-04 12:41:09 -0800 (Fri, 04 Mar 2016) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_input.c
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/gl_backend.c
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/mathlib.c
   M /trunk/darkplaces/mathlib.h
   M /trunk/darkplaces/matrixlib.c
   M /trunk/darkplaces/matrixlib.h
   M /trunk/darkplaces/view.c

v_yshearing: Make view and input behave more like Duke Nukem 3D ;)
------------------------------------------------------------------------
r12245 | divverent | 2016-02-06 17:53:31 -0800 (Sat, 06 Feb 2016) | 3 lines
Changed paths:
   M /trunk/darkplaces/cvar.c

Fix initial state of autocvars.

From: Rudolf Polzer <divverent@xonotic.org>
------------------------------------------------------------------------
r12244 | divverent | 2016-02-06 17:53:23 -0800 (Sat, 06 Feb 2016) | 6 lines
Changed paths:
   M /trunk/darkplaces/progsvm.h
   M /trunk/darkplaces/prvm_cmds.c

Removed leftovers from progid.

Replaced static animatemodel_cache with dynamically allocated per prog
instance.

From: Grigorii Kasymov <kasymovga@xsmail.com>
------------------------------------------------------------------------
r12243 | divverent | 2016-02-06 17:53:20 -0800 (Sat, 06 Feb 2016) | 3 lines
Changed paths:
   M /trunk/darkplaces/cvar.c
   M /trunk/darkplaces/cvar.h
   M /trunk/darkplaces/prvm_edict.c

Removed globaldefindex_progid field from cvar struct.

From: Grigorii Kasymov <kasymovga@xsmail.com>
------------------------------------------------------------------------
r12242 | divverent | 2016-02-06 17:53:16 -0800 (Sat, 06 Feb 2016) | 3 lines
Changed paths:
   M /trunk/darkplaces/cvar.c
   M /trunk/darkplaces/prvm_edict.c

Initialize globalindex for autocvars with -1 to prevent prog corruption.

From: Grigorii Kasymov <kasymovga@xsmail.com>
------------------------------------------------------------------------
r12241 | divverent | 2016-01-04 10:20:35 -0800 (Mon, 04 Jan 2016) | 18 lines
Changed paths:
   M /trunk/darkplaces/model_sprite.c
   M /trunk/darkplaces/prvm_cmds.c

Unbreak Nexuiz weapon animation.

Nexuiz uses h_*.dpm models that are mostly vertex-less (there are 6 dummy ones)
and merely move bones in order to move around the first-person weapon.

This means that these models (or rather, their surface meshes) will be
considered "non-animated" by the rendering code, given their dummy vertices are
never moved by animations.

However, a function to build animation subframes lists from animation group
numbers - which is called by gettaginfo and similar functions that locate
attachment points - falsely looked at the isanimated flag of the surface mesh
to decide whether to really build the list of subframes or not - and this was
wrong, given that statically displayed models that do move tags/bones do exist!

This commit removes this use of the isanimated flag and treats models with
animated and non-animated surface mesh the same for purposes of animation frame
evaluation.
------------------------------------------------------------------------
r12240 | divverent | 2016-01-04 06:45:52 -0800 (Mon, 04 Jan 2016) | 3 lines
Changed paths:
   M /trunk/darkplaces/makefile.inc

Unbreak "make sv-nexuiz" and "make nexuiz".

(There was a typo in the Makefile of this target since r11992).
------------------------------------------------------------------------
r12239 | divverent | 2015-12-28 13:20:56 -0800 (Mon, 28 Dec 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/dpdefs/dpextensions.qc
   M /trunk/darkplaces/svvm_cmds.c

Document DP_SV_DISABLECLIENTPREDICTION.
------------------------------------------------------------------------
r12238 | divverent | 2015-12-28 13:20:53 -0800 (Mon, 28 Dec 2015) | 8 lines
Changed paths:
   M /trunk/darkplaces/dpdefs/dpextensions.qc
   M /trunk/darkplaces/sv_phys.c
   M /trunk/darkplaces/sv_user.c

New feature: disableclientprediction == -1.

This forces client prediction in cases DP's own client side prediction cannot
handle, in particular, in case of non-WALK movetypes on a player entity.

To be useful, this requires CSQC code to perform player prediction instead.

From: Mario <mario@smbclan.net>
------------------------------------------------------------------------
r12237 | divverent | 2015-11-26 06:48:26 -0800 (Thu, 26 Nov 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

Oops. Add more ifdeffery to the NvOptimus stuff :)
------------------------------------------------------------------------
r12236 | divverent | 2015-11-26 06:47:11 -0800 (Thu, 26 Nov 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/prvm_edict.c

Fix prvm_leaktest - it now really supports references from globals.
------------------------------------------------------------------------
r12235 | divverent | 2015-11-26 05:52:27 -0800 (Thu, 26 Nov 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

Set NvOptimusEnablement.
------------------------------------------------------------------------
r12234 | divverent | 2015-11-24 06:58:00 -0800 (Tue, 24 Nov 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/prvm_edict.c

Leaktest: store longer allocation origins.
------------------------------------------------------------------------
r12233 | divverent | 2015-11-24 06:57:58 -0800 (Tue, 24 Nov 2015) | 7 lines
Changed paths:
   M /trunk/darkplaces/csprogs.c
   M /trunk/darkplaces/menu.c
   M /trunk/darkplaces/progsvm.h
   M /trunk/darkplaces/prvm_edict.c
   M /trunk/darkplaces/sv_main.c

Leaktest: disable support for following target/targetname by default.

Instead, mark any entities created during initialization as non-leaky.
This should solve everything that the targetname support was meant to
solve (namely info_notnull entities), but is more general (e.g. would
also work with Xonotic's killtarget/target2/target3/target4 and
target0/name of Doom 3).
------------------------------------------------------------------------
r12232 | divverent | 2015-11-24 05:39:23 -0800 (Tue, 24 Nov 2015) | 5 lines
Changed paths:
   M /trunk/darkplaces/sv_main.c

Make the number of frames used for initial settling configurable.

Quake uses two frames, which should normally be good enough anyway. This
is mainly for mods that use more than 2 frames for initialization to
avoid some minor odd effects to clients that connect that early.
------------------------------------------------------------------------
r12231 | divverent | 2015-11-24 05:33:03 -0800 (Tue, 24 Nov 2015) | 3 lines
Changed paths:
   M /trunk/darkplaces/vid_sdl.c

Fix a recent typo-fix :)

This fixes the centering of the window on Windows by default.
------------------------------------------------------------------------
r12230 | havoc | 2015-11-08 11:33:00 -0800 (Sun, 08 Nov 2015) | 3 lines
Changed paths:
   M /trunk/darkplaces/prvm_cmds.c
   M /trunk/darkplaces/prvm_cmds.h
   M /trunk/darkplaces/prvm_edict.c
   M /trunk/darkplaces/sys_shared.c
   M /trunk/darkplaces/vid_sdl.c

Fix several warnings with gcc-5 and an error with mingw (where
HAVE_CLOCKGETTIME was somehow being defined)

------------------------------------------------------------------------
r12229 | havoc | 2015-11-08 11:18:33 -0800 (Sun, 08 Nov 2015) | 3 lines
Changed paths:
   M /trunk/darkplaces/vid_sdl.c

Fix a type issue where SDL_GLContext * was being used instead of
SDL_GLContext, this did no harm as the variable is never used...

------------------------------------------------------------------------
r12228 | divverent | 2015-10-17 15:36:06 -0700 (Sat, 17 Oct 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/sys_sdl.c

SDL2: add clipboard support for all platforms.
------------------------------------------------------------------------
r12227 | havoc | 2015-10-03 15:34:59 -0700 (Sat, 03 Oct 2015) | 2 lines
Changed paths:
   M /trunk/darkplaces/darkplaces-dedicated-vs2012.vcxproj
   M /trunk/darkplaces/darkplaces-dedicated-vs2013.vcxproj
   M /trunk/darkplaces/darkplaces-sdl-vs2012.vcxproj
   M /trunk/darkplaces/darkplaces-sdl-vs2013.vcxproj
   M /trunk/darkplaces/darkplaces-sdl2-vs2012.vcxproj
   M /trunk/darkplaces/darkplaces-sdl2-vs2013.vcxproj
   M /trunk/darkplaces/darkplaces-wgl-vs2012.vcxproj
   M /trunk/darkplaces/darkplaces-wgl-vs2013.vcxproj

Fix SolutionDir)) typo in Debug builds using VS2012 and VS2013 projects, thanks to Willis for repotting this.

------------------------------------------------------------------------
r12226 | divverent | 2015-08-24 18:27:49 -0700 (Mon, 24 Aug 2015) | 4 lines
Changed paths:
   M /trunk/darkplaces/crypto.c

Fix an annoying bug in the d0_blind_id protocol handling:

If a server uses the protocol but is not signed, the code previously did
not let a client connect to the server more than once per instance.
------------------------------------------------------------------------
r12225 | havoc | 2015-08-09 13:54:26 -0700 (Sun, 09 Aug 2015) | 3 lines
Changed paths:
   M /trunk/darkplaces/darkplaces-dedicated-vs2010.vcxproj
   M /trunk/darkplaces/darkplaces-dedicated-vs2012.vcxproj
   M /trunk/darkplaces/darkplaces-dedicated-vs2013.vcxproj
   M /trunk/darkplaces/darkplaces-sdl-vs2010.vcxproj
   M /trunk/darkplaces/darkplaces-sdl-vs2012.vcxproj
   M /trunk/darkplaces/darkplaces-sdl-vs2013.vcxproj
   M /trunk/darkplaces/darkplaces-sdl2-vs2010.vcxproj
   M /trunk/darkplaces/darkplaces-sdl2-vs2012.vcxproj
   M /trunk/darkplaces/darkplaces-sdl2-vs2013.vcxproj
   M /trunk/darkplaces/darkplaces.rc

Add darkplaces.rc to the vcxproj files for sdl, sdl2 and dedicated targets.

Changed the CompanyName in the darkplaces.rc to "DarkPlaces Contributors", also changed the icon line to better match the standard ICON line in new VS2013 projects in case that matters.
------------------------------------------------------------------------
r12224 | havoc | 2015-08-09 11:30:47 -0700 (Sun, 09 Aug 2015) | 7 lines
Changed paths:
   M /trunk/darkplaces/darkplaces-dedicated-vs2010.vcxproj
   M /trunk/darkplaces/darkplaces-dedicated-vs2012.vcxproj
   M /trunk/darkplaces/darkplaces-dedicated-vs2013.vcxproj
   M /trunk/darkplaces/darkplaces-sdl-vs2010.vcxproj
   M /trunk/darkplaces/darkplaces-sdl-vs2012.vcxproj
   M /trunk/darkplaces/darkplaces-sdl-vs2013.vcxproj
   A /trunk/darkplaces/darkplaces-sdl2-vs2010.vcxproj
   A /trunk/darkplaces/darkplaces-sdl2-vs2012.vcxproj
   A /trunk/darkplaces/darkplaces-sdl2-vs2013.vcxproj
   M /trunk/darkplaces/darkplaces-vs2010.sln
   M /trunk/darkplaces/darkplaces-vs2012.sln
   M /trunk/darkplaces/darkplaces-vs2013.sln
   M /trunk/darkplaces/darkplaces-wgl-vs2010.vcxproj
   M /trunk/darkplaces/darkplaces-wgl-vs2012.vcxproj
   M /trunk/darkplaces/darkplaces-wgl-vs2013.vcxproj
   M /trunk/darkplaces/sys_sdl.c
   M /trunk/darkplaces/vid_sdl.c
   A /trunk/darkplaces/vs2010_sdl2_win32.props
   A /trunk/darkplaces/vs2010_sdl2_win64.props
   A /trunk/darkplaces/vs2012_sdl2_win32.props
   A /trunk/darkplaces/vs2012_sdl2_win64.props

Fixed two compile issues with vid_sdl.c.

Added support for SDL2 compilation in vs2010, vs2012, vs2013.

Changed the build directories for all vs2010, vs2012, vs2013 projects - they are now more consistent (output binaries go into SolutionDir, intermediate files have a fully qualified directory so they don't conflict between builds).

Audited and reduced differences between vs2010, vs2012, vs2013 projects.
------------------------------------------------------------------------
r12223 | havoc | 2015-08-07 21:32:55 -0700 (Fri, 07 Aug 2015) | 2 lines
Changed paths:
   M /trunk/darkplaces/progdefs.h
   M /trunk/darkplaces/prvm_edict.c
   M /trunk/darkplaces/prvm_offsets.h

Revert motorsep's change r12222.

------------------------------------------------------------------------
r12222 | motorsep | 2015-08-05 19:34:11 -0700 (Wed, 05 Aug 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/progdefs.h
   M /trunk/darkplaces/prvm_edict.c
   M /trunk/darkplaces/prvm_offsets.h

+ Added support for Doom 3 entity spawnargs ("name" and "target0") to allow smoother mapping experience using DarkRadiant level editor
------------------------------------------------------------------------
r12221 | divverent | 2015-08-03 10:57:03 -0700 (Mon, 03 Aug 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/vid_wgl.c

Oops, should also have fixed the uses inside AdjustWindowBounds.
------------------------------------------------------------------------
r12220 | divverent | 2015-08-03 10:50:43 -0700 (Mon, 03 Aug 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/vid_wgl.c

Also, rect shouldn't be a reference in AdjustWindowBounds but a pointer. Grr...
------------------------------------------------------------------------
r12219 | divverent | 2015-08-03 10:14:47 -0700 (Mon, 03 Aug 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/vid_wgl.c

Fix type of AdjustWindowBounds - this is C, not C++.
------------------------------------------------------------------------
r12218 | divverent | 2015-08-03 09:48:44 -0700 (Mon, 03 Aug 2015) | 2 lines
Changed paths:
   M /trunk/darkplaces/sv_phys.c

Only abort the move of a MOVETYPE_TOSS entity if it is actually supposed to
stop moving.
------------------------------------------------------------------------
r12217 | divverent | 2015-08-03 09:25:36 -0700 (Mon, 03 Aug 2015) | 8 lines
Changed paths:
   M /trunk/darkplaces/BSDmakefile
   M /trunk/darkplaces/lhnet.c
   M /trunk/darkplaces/makefile
   M /trunk/darkplaces/makefile.inc
   M /trunk/darkplaces/netconn.c

Compile with IPv6 support by default

Invert logic of SUPPORTIPV6 define by changing to NOSUPPORTIPV6.

Include commented-out entry in makefile to allow for disabling IPv6
support should the user be burdened by their operating system.

From: Jeremy Visser <jeremy@visser.name>
------------------------------------------------------------------------
r12216 | divverent | 2015-08-03 09:24:24 -0700 (Mon, 03 Aug 2015) | 5 lines
Changed paths:
   M /trunk/darkplaces/console.c
   M /trunk/darkplaces/keys.c

Color code editing

Console edit line: make the color code visible when the cursor is inside it and r_font_disable_freetype is 0

From: terencehill <piuntn@gmail.com>
------------------------------------------------------------------------
r12215 | divverent | 2015-08-03 09:22:14 -0700 (Mon, 03 Aug 2015) | 3 lines
Changed paths:
   M /trunk/darkplaces/vid_sdl.c
   M /trunk/darkplaces/vid_wgl.c

adjust window position and size to the available desktop area (= screen size adjusted by taskbar location and size)

From: hbeham <horst@beham.biz>
------------------------------------------------------------------------
r12214 | motorsep | 2015-07-19 14:13:29 -0700 (Sun, 19 Jul 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/common.c
   M /trunk/darkplaces/common.h

+ Added a new game, Steel Storm: Revenants
------------------------------------------------------------------------
r12213 | divverent | 2015-06-16 12:59:01 -0700 (Tue, 16 Jun 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/model_brush.c

q1bsp: Warn if a texture has an altframe but no frame.
------------------------------------------------------------------------
r12212 | divverent | 2015-06-16 12:58:57 -0700 (Tue, 16 Jun 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/model_brush.c

q1bsp: Warn if an animated texture has exactly one frame.
------------------------------------------------------------------------
r12211 | divverent | 2015-06-16 12:58:53 -0700 (Tue, 16 Jun 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/model_brush.c

q1bsp: Only warn once per "bad animating texture".
------------------------------------------------------------------------
r12210 | havoc | 2015-06-05 21:17:56 -0700 (Fri, 05 Jun 2015) | 1 line
Changed paths:
   A /trunk/darkplaces/darkplaces-dedicated-vs2013.vcxproj
   A /trunk/darkplaces/darkplaces-sdl-vs2013.vcxproj
   A /trunk/darkplaces/darkplaces-vs2013.sln
   A /trunk/darkplaces/darkplaces-wgl-vs2013.vcxproj
   M /trunk/darkplaces/r_shadow.c

Added MSVC++ 2013 projects, fixed a casting issue in C++ compilation of r_shadow.c.
------------------------------------------------------------------------
r12209 | divverent | 2015-06-01 02:40:54 -0700 (Mon, 01 Jun 2015) | 4 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

Add a cvar: r_water_cameraentitiesonly.

If set, water-style effects are only allowed when CL_VM_TransformView
would be called (in other words, for CSQC-generated cameras/portals).
------------------------------------------------------------------------
r12208 | divverent | 2015-03-21 15:09:26 -0700 (Sat, 21 Mar 2015) | 5 lines
Changed paths:
   M /trunk/darkplaces/r_shadow.c

Add a cvar: r_shadow_realtime_world_importlightentitiesfrommap

0: Never import lights from the .bsp/.ent file on map load.
1: Import lights from the .bsp/.ent file on map load if no rtlights are present.
2: Always use the .bsp/.ent's light entities, ignore rtlights files.
------------------------------------------------------------------------
r12207 | havoc | 2015-03-19 23:43:08 -0700 (Thu, 19 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/model_brush.c

Fix a crash when playing q2bsp maps where t->currentframe is dereferenced, and it is a dangling pointer that was left corrupt by the loader - fixed that as well.
------------------------------------------------------------------------
r12206 | divverent | 2015-03-10 03:45:32 -0700 (Tue, 10 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_particles.c

Limit number of particles created at once.
------------------------------------------------------------------------
r12205 | divverent | 2015-03-09 06:59:44 -0700 (Mon, 09 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_parse.c

TE_EXPLOSION2: don't crash on colorLength == 0.
------------------------------------------------------------------------
r12204 | divverent | 2015-03-09 04:24:27 -0700 (Mon, 09 Mar 2015) | 4 lines
Changed paths:
   M /trunk/darkplaces/libcurl.c
   M /trunk/darkplaces/snd_main.c

Fix a curl-related hang when exiting.

Fix a NULL crash when creating a sound without a worldmodel (harmless
NULL, but exploitable by svc_disconnect svc_sound in a single packet).
------------------------------------------------------------------------
r12203 | divverent | 2015-03-05 04:27:18 -0800 (Thu, 05 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/prvm_cmds.c

Fix rephrased altstr code.
------------------------------------------------------------------------
r12202 | divverent | 2015-03-05 04:27:16 -0800 (Thu, 05 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/collision.c
   M /trunk/darkplaces/collision.h
   M /trunk/darkplaces/csprogs.c
   M /trunk/darkplaces/model_brush.h
   M /trunk/darkplaces/netconn.c

Fix warnings.
------------------------------------------------------------------------
r12201 | divverent | 2015-03-05 04:15:43 -0800 (Thu, 05 Mar 2015) | 3 lines
Changed paths:
   M /trunk/darkplaces/prvm_cmds.c

Rephrase VM_altstr_prepare to no longer annoy Coverity.

(I think the previous code had no bug, but was hard to follow)
------------------------------------------------------------------------
r12200 | divverent | 2015-03-05 03:26:10 -0800 (Thu, 05 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

Fix a coverity false positive.
------------------------------------------------------------------------
r12199 | divverent | 2015-03-05 02:53:02 -0800 (Thu, 05 Mar 2015) | 3 lines
Changed paths:
   M /trunk/darkplaces/image.c

Accessing invalid palette colors now access black.

Was uninitialized before.
------------------------------------------------------------------------
r12198 | divverent | 2015-03-05 02:48:43 -0800 (Thu, 05 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/prvm_cmds.c

Fix overrun in buf_loadfile.
------------------------------------------------------------------------
r12197 | divverent | 2015-03-05 02:48:41 -0800 (Thu, 05 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/keys.c

Fix crash in inputline.
------------------------------------------------------------------------
r12196 | divverent | 2015-03-05 02:48:37 -0800 (Thu, 05 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

Don't crash on too-many-water-planes.
------------------------------------------------------------------------
r12195 | divverent | 2015-03-05 02:48:34 -0800 (Thu, 05 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/csprogs.c

Coverity fix.
------------------------------------------------------------------------
r12194 | divverent | 2015-03-05 02:48:32 -0800 (Thu, 05 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_screen.c

Fix a dpsnprintf use.
------------------------------------------------------------------------
r12193 | divverent | 2015-03-05 02:48:29 -0800 (Thu, 05 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/prvm_cmds.c

Fix an overrun in altstr_prepare.
------------------------------------------------------------------------
r12192 | divverent | 2015-03-05 02:48:27 -0800 (Thu, 05 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/ft2.c

Fix buffer overrun in font loading.
------------------------------------------------------------------------
r12191 | divverent | 2015-03-05 01:33:09 -0800 (Thu, 05 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/sv_main.c

Another NULL with broken worldmodel.
------------------------------------------------------------------------
r12190 | divverent | 2015-03-05 01:28:00 -0800 (Thu, 05 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

Fix a NULL with missing worldmodel.
------------------------------------------------------------------------
r12189 | divverent | 2015-03-05 01:21:45 -0800 (Thu, 05 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_particles.c
   M /trunk/darkplaces/model_brush.c

Fix a dead initialization. Fix a use of an uninitialized value.
------------------------------------------------------------------------
r12188 | divverent | 2015-03-04 09:31:23 -0800 (Wed, 04 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/mdfour.c

Fix a mdfour.c oops, sorry. Forgot the argument.
------------------------------------------------------------------------
r12187 | divverent | 2015-03-04 09:30:20 -0800 (Wed, 04 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/prvm_edict.c

Fix clang-analyzer false positives.
------------------------------------------------------------------------
r12186 | divverent | 2015-03-04 09:30:16 -0800 (Wed, 04 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/zone.c

Fix (harmless) use-after-free in zone.c.
------------------------------------------------------------------------
r12185 | divverent | 2015-03-04 09:30:12 -0800 (Wed, 04 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/view.c

Fix uninitialized gunangles.
------------------------------------------------------------------------
r12184 | divverent | 2015-03-04 09:30:08 -0800 (Wed, 04 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/mdfour.c

Make mdfour thread-safe.
------------------------------------------------------------------------
r12183 | divverent | 2015-03-04 09:30:03 -0800 (Wed, 04 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/fs.c

Fix a return-from-stack error.
------------------------------------------------------------------------
r12182 | divverent | 2015-03-04 06:59:32 -0800 (Wed, 04 Mar 2015) | 5 lines
Changed paths:
   M /trunk/darkplaces/cvar.c

Fix memory corruption in loadconfig while in game/menu.

Autocvars are engine strings to QC, so we can't just let them die.
Instead, reset them to default, which is what the progs would expect
anyway.
------------------------------------------------------------------------
r12181 | divverent | 2015-03-04 05:15:37 -0800 (Wed, 04 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/ft2.c

Fix another buffer overrun in loadfont.
------------------------------------------------------------------------
r12180 | divverent | 2015-03-04 03:49:15 -0800 (Wed, 04 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/fs.c

Fix underflow in various commands when using an empty file name.
------------------------------------------------------------------------
r12179 | divverent | 2015-03-04 03:49:12 -0800 (Wed, 04 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_parse.c

Fix NULL crash in QW_CL_RequestNextDownload without connection.
------------------------------------------------------------------------
r12178 | divverent | 2015-03-04 03:49:10 -0800 (Wed, 04 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/fs.c

Remove some useless paranoid comparisons.
------------------------------------------------------------------------
r12177 | divverent | 2015-03-04 03:49:07 -0800 (Wed, 04 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/crypto.c

Fix some signed/unsigned mess. Not a real problem though.
------------------------------------------------------------------------
r12176 | divverent | 2015-03-04 00:36:58 -0800 (Wed, 04 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/host_cmd.c

Fix overrun in fullinfo.
------------------------------------------------------------------------
r12175 | divverent | 2015-03-04 00:36:55 -0800 (Wed, 04 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/host_cmd.c

Fix NULL in pause command.
------------------------------------------------------------------------
r12174 | divverent | 2015-03-02 13:25:57 -0800 (Mon, 02 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/collision.c

Just in case, make collision cache sequence numbers unsigned too.
------------------------------------------------------------------------
r12173 | divverent | 2015-03-02 13:25:53 -0800 (Mon, 02 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/netconn.c
   M /trunk/darkplaces/netconn.h

Just in case, make QW sequence numbers unsigned too.
------------------------------------------------------------------------
r12172 | divverent | 2015-03-02 13:25:50 -0800 (Mon, 02 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/model_shared.h

Just in case, make loadsequence unsigned too.
------------------------------------------------------------------------
r12171 | divverent | 2015-03-02 13:25:46 -0800 (Mon, 02 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_particles.c
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/gl_rmain.c

Just in case, make decalsequence always unsigned too.
------------------------------------------------------------------------
r12170 | divverent | 2015-03-02 13:25:42 -0800 (Mon, 02 Mar 2015) | 6 lines
Changed paths:
   M /trunk/darkplaces/cl_input.c
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/protocol.c
   M /trunk/darkplaces/protocol.h
   M /trunk/darkplaces/server.h
   M /trunk/darkplaces/sv_user.c

Make the move sequence an unsigned int.

This fixes an out-of-bounds write to movement_count because C's modulo
operation is considered harmful.

Many thanks to afl-fuzz!
------------------------------------------------------------------------
r12169 | divverent | 2015-03-02 13:25:35 -0800 (Mon, 02 Mar 2015) | 3 lines
Changed paths:
   M /trunk/darkplaces/netconn.c

Fix a VERY LONG loop caused by high unreliable sequence numbers.

Many thanks to afl-fuzz!
------------------------------------------------------------------------
r12168 | divverent | 2015-03-02 05:31:35 -0800 (Mon, 02 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/client.h

Remove an unused type.
------------------------------------------------------------------------
r12167 | divverent | 2015-03-02 05:31:32 -0800 (Mon, 02 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/libcurl.h
   M /trunk/darkplaces/netconn.c

Fix warnings for missing prototypes.
------------------------------------------------------------------------
r12166 | divverent | 2015-03-02 05:31:28 -0800 (Mon, 02 Mar 2015) | 1 line
Changed paths:
   A /trunk/darkplaces/darkplaces.cbp

Add a Code::Blocks project file for the SDL build.
------------------------------------------------------------------------
r12165 | divverent | 2015-03-02 00:52:30 -0800 (Mon, 02 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_textures.c

Argh. Fix my last fix :( changed the wrong field to GL_TEXTURE_2D.
------------------------------------------------------------------------
r12164 | divverent | 2015-03-01 10:54:11 -0800 (Sun, 01 Mar 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_textures.c

Fix texture type of renderbuffers (was random crap, now is GL_TEXTURE_2D).
------------------------------------------------------------------------
r12163 | divverent | 2015-02-27 12:21:27 -0800 (Fri, 27 Feb 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/host_cmd.c

Get rid of some funny console spam on some invalid clientcommands.
------------------------------------------------------------------------
r12162 | divverent | 2015-02-27 12:21:24 -0800 (Fri, 27 Feb 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/sv_user.c

Better handle invalid clc_ackframe commands.
------------------------------------------------------------------------
r12161 | divverent | 2015-02-09 03:06:06 -0800 (Mon, 09 Feb 2015) | 3 lines
Changed paths:
   M /trunk/darkplaces/crypto.c
   M /trunk/darkplaces/crypto.h
   M /trunk/darkplaces/dpdefs/csprogsdefs.qc
   M /trunk/darkplaces/dpdefs/dpextensions.qc
   M /trunk/darkplaces/dpdefs/menudefs.qc
   M /trunk/darkplaces/mvm_cmds.c
   M /trunk/darkplaces/netconn.c
   M /trunk/darkplaces/prvm_offsets.h
   M /trunk/darkplaces/sv_main.c

Crypto: handle properly whether the a server key is signed or not.

Provide information about client key being signed or not to QC.
------------------------------------------------------------------------
r12160 | divverent | 2015-02-09 00:54:46 -0800 (Mon, 09 Feb 2015) | 4 lines
Changed paths:
   M /trunk/darkplaces/common.c

Fix an useless NULL check, and a very funny overrun.

The overrun is in initialization of command line arguments, and thus not
exploitable.
------------------------------------------------------------------------
r12159 | divverent | 2015-02-09 00:46:35 -0800 (Mon, 09 Feb 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/collision.h

Fix dodgy use of plane.normal[3] as alias to plane.dist using a union.
------------------------------------------------------------------------
r12158 | divverent | 2015-02-07 13:15:41 -0800 (Sat, 07 Feb 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/fs.c

Oops, fix a printf.
------------------------------------------------------------------------
r12157 | divverent | 2015-02-07 13:15:00 -0800 (Sat, 07 Feb 2015) | 4 lines
Changed paths:
   M /trunk/darkplaces/fs.c

Remove an useless null check.

These functions can't be used in any way without passing a pointer there
anyway.
------------------------------------------------------------------------
r12156 | divverent | 2015-02-07 13:14:56 -0800 (Sat, 07 Feb 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/fs.c

Fix registered/shareware detection.
------------------------------------------------------------------------
r12155 | divverent | 2015-02-07 13:14:52 -0800 (Sat, 07 Feb 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/fs.c

Test return values of remove().
------------------------------------------------------------------------
r12154 | divverent | 2015-02-07 13:14:49 -0800 (Sat, 07 Feb 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/fs.c

Fix userdir detection on Unix systems.
------------------------------------------------------------------------
r12153 | divverent | 2015-02-07 13:14:45 -0800 (Sat, 07 Feb 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/fs.c

Fix pak loading bugs.
------------------------------------------------------------------------
r12152 | divverent | 2015-02-07 13:14:40 -0800 (Sat, 07 Feb 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/fs.c
   M /trunk/darkplaces/fs.h

Make FS_mkdir static, and test for errors.
------------------------------------------------------------------------
r12151 | divverent | 2015-02-07 13:14:36 -0800 (Sat, 07 Feb 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/fs.c

Detect negative name size in pk3s.
------------------------------------------------------------------------
r12150 | divverent | 2015-02-07 13:14:32 -0800 (Sat, 07 Feb 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/fs.c

Check lseek return values.
------------------------------------------------------------------------
r12149 | divverent | 2015-02-07 13:14:27 -0800 (Sat, 07 Feb 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/fs.c

Reject pk3s with obviously broken central directory.
------------------------------------------------------------------------
r12148 | divverent | 2015-02-04 22:50:51 -0800 (Wed, 04 Feb 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/fs.c
   M /trunk/darkplaces/lhnet.c

More coverity.
------------------------------------------------------------------------
r12147 | divverent | 2015-02-04 04:27:19 -0800 (Wed, 04 Feb 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/cmd.c

Fix $# in aliases.
------------------------------------------------------------------------
r12146 | divverent | 2015-02-04 04:24:22 -0800 (Wed, 04 Feb 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/crypto.c

Kill more unreachable code.
------------------------------------------------------------------------
r12145 | divverent | 2015-02-04 04:24:18 -0800 (Wed, 04 Feb 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/crypto.c

Fix check order of keygen_i.
------------------------------------------------------------------------
r12144 | divverent | 2015-02-04 04:24:14 -0800 (Wed, 04 Feb 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/crypto.c

Fix dead code.
------------------------------------------------------------------------
r12143 | divverent | 2015-02-04 04:24:09 -0800 (Wed, 04 Feb 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/lhnet.c

Fix check/write order in LHNETADDRESS_ToString.
------------------------------------------------------------------------
r12142 | divverent | 2015-02-04 04:24:06 -0800 (Wed, 04 Feb 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/netconn.c

Make vabuf static in rcon authentication check as it's returned.
------------------------------------------------------------------------
r12141 | divverent | 2015-02-04 04:24:00 -0800 (Wed, 04 Feb 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/protocol.c

Use the correct bones count when parsing E5_COMPLEXANIMATION.
------------------------------------------------------------------------
r12140 | divverent | 2015-02-04 04:23:55 -0800 (Wed, 04 Feb 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/sv_main.c

Kill an useless NULL check that only confuses.
------------------------------------------------------------------------
r12139 | divverent | 2015-02-03 03:02:51 -0800 (Tue, 03 Feb 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/sv_demo.c

Fix buffer size for injecting netname into demo files.
------------------------------------------------------------------------
r12138 | divverent | 2015-01-31 12:29:57 -0800 (Sat, 31 Jan 2015) | 8 lines
Changed paths:
   M /trunk/darkplaces/cmd.c

Don't match *default.cfg for default config matching.

Only match default.cfg and */default.cfg.

Rationale is that someone in Xonotic created a file called
binds-default.cfg and didn't know about this magic here, leading to
https://gitlab.com/xonotic/xonotic-data.pk3dir/issues/1444 and
https://gitlab.com/xonotic/xonotic-data.pk3dir/issues/1448
------------------------------------------------------------------------
r12137 | divverent | 2015-01-27 05:30:15 -0800 (Tue, 27 Jan 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-script-xonotic.sh

Set the proper @rpath in the OS X binaries.
------------------------------------------------------------------------
r12136 | divverent | 2015-01-18 07:32:27 -0800 (Sun, 18 Jan 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-before_install-xonotic.sh
   M /trunk/darkplaces/.travis-script-xonotic.sh

Try to insert the Xonotic icon another way (without resedit.exe).
------------------------------------------------------------------------
r12135 | divverent | 2015-01-17 09:37:53 -0800 (Sat, 17 Jan 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/model_sprite.c

Set basealpha on sprites too. Makes them visible again :)
------------------------------------------------------------------------
r12134 | divverent | 2015-01-10 06:56:12 -0800 (Sat, 10 Jan 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-script-xonotic.sh

Looks we can get WinXP support back by sacrificing Win2k.
------------------------------------------------------------------------
r12133 | divverent | 2015-01-09 01:02:03 -0800 (Fri, 09 Jan 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-before_install-xonotic.sh
   M /trunk/darkplaces/.travis-script-xonotic.sh

Fix static linking.
------------------------------------------------------------------------
r12132 | divverent | 2015-01-09 00:51:03 -0800 (Fri, 09 Jan 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-before_install-xonotic.sh
   M /trunk/darkplaces/.travis-script-xonotic.sh

Use a newer build chain for win32/win64.
------------------------------------------------------------------------
r12131 | divverent | 2015-01-08 23:08:21 -0800 (Thu, 08 Jan 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-script-xonotic.sh

Disable even mod_skeletal_animatevertices_sse on win32, as it's crashing too. Damn unaligned stack.
------------------------------------------------------------------------
r12130 | divverent | 2015-01-08 11:34:37 -0800 (Thu, 08 Jan 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-script-xonotic.sh

Now that SSE is off, we can also kill -mstackrealign. GCC bug worked around!
------------------------------------------------------------------------
r12129 | divverent | 2015-01-08 08:51:49 -0800 (Thu, 08 Jan 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-script-xonotic.sh

Turn off SSE in the win32 binaries. Damn travis.
------------------------------------------------------------------------
r12128 | divverent | 2015-01-08 08:47:18 -0800 (Thu, 08 Jan 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-script-xonotic.sh

Make 64bit binaries the new default in our travis scripts.
------------------------------------------------------------------------
r12127 | divverent | 2015-01-08 08:47:15 -0800 (Thu, 08 Jan 2015) | 3 lines
Changed paths:
   M /trunk/darkplaces/.travis-before_install-xonotic.sh
   M /trunk/darkplaces/.travis-script-xonotic.sh

Revert "If one compiler fails, try another."

This reverts commit 660001dce93be41b85d5d1e92d4a6afa5de2db33.
------------------------------------------------------------------------
r12126 | divverent | 2015-01-08 08:27:43 -0800 (Thu, 08 Jan 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-before_install-xonotic.sh
   M /trunk/darkplaces/.travis-script-xonotic.sh

If one compiler fails, try another.
------------------------------------------------------------------------
r12125 | divverent | 2015-01-08 08:27:40 -0800 (Thu, 08 Jan 2015) | 3 lines
Changed paths:
   M /trunk/darkplaces/.travis-script-xonotic.sh

Revert "Try using incoming-stack-boundary=2 instead of stackrealign."

This reverts commit 438bc57b1be1f24b067056c8d26c1cf9e0cab26b.
------------------------------------------------------------------------
r12124 | divverent | 2015-01-08 07:35:35 -0800 (Thu, 08 Jan 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-script-xonotic.sh

Try using incoming-stack-boundary=2 instead of stackrealign.
------------------------------------------------------------------------
r12123 | divverent | 2015-01-06 15:26:52 -0800 (Tue, 06 Jan 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-script-xonotic.sh

ODE depends on C++. So let's link that in too...
------------------------------------------------------------------------
r12122 | divverent | 2015-01-06 14:50:42 -0800 (Tue, 06 Jan 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-script-xonotic.sh

Oops, fix whitespace again. Aw man.
------------------------------------------------------------------------
r12121 | divverent | 2015-01-06 14:26:03 -0800 (Tue, 06 Jan 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-script-xonotic.sh

Argh. Fix quotes.
------------------------------------------------------------------------
r12120 | divverent | 2015-01-06 08:36:10 -0800 (Tue, 06 Jan 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-script-xonotic.sh

Oops. Fix whitespace.
------------------------------------------------------------------------
r12119 | divverent | 2015-01-06 07:20:38 -0800 (Tue, 06 Jan 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-script-xonotic.sh

Reformat the makeflags.
------------------------------------------------------------------------
r12118 | divverent | 2015-01-06 07:20:35 -0800 (Tue, 06 Jan 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-script-xonotic.sh

Add missing CFLAGS for ODE.
------------------------------------------------------------------------
r12117 | divverent | 2015-01-06 02:50:47 -0800 (Tue, 06 Jan 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-script-xonotic.sh

Statically link to libjpeg again on Linux. Damn jpeg8 vs jpeg62 still...
------------------------------------------------------------------------
r12116 | divverent | 2015-01-04 05:45:34 -0800 (Sun, 04 Jan 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-script-xonotic.sh

Fix the name again.
------------------------------------------------------------------------
r12115 | divverent | 2015-01-04 05:20:37 -0800 (Sun, 04 Jan 2015) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-script-xonotic.sh

Fix an executable name (darkplaces.exe)
------------------------------------------------------------------------
r12114 | divverent | 2015-01-03 07:58:25 -0800 (Sat, 03 Jan 2015) | 3 lines
Changed paths:
   M /trunk/darkplaces/.travis-script-xonotic.sh

Xonotic/Windows: make SDL the default build.

Rename the executables from xonotic-* to darkplaces-*. They are generic DP binaries, after all.
------------------------------------------------------------------------
r12113 | divverent | 2014-12-29 06:56:27 -0800 (Mon, 29 Dec 2014) | 3 lines
Changed paths:
   M /trunk/darkplaces/vid_sdl.c

SDL2: Fix dprint spam in the console when toggling vid_vsync on/off

Signed-off-by: terencehill <piuntn@gmail.com>
------------------------------------------------------------------------
r12112 | divverent | 2014-12-29 06:55:25 -0800 (Mon, 29 Dec 2014) | 3 lines
Changed paths:
   M /trunk/darkplaces/console.c

Use proper Unicode defined characters for the "..." chat continuation sign

From: Severin Meyer <sev.ch@web.de>
------------------------------------------------------------------------
r12111 | divverent | 2014-12-29 03:11:15 -0800 (Mon, 29 Dec 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-script-xonotic.sh

Realign stack for SDL/win32 builds. Yes, annoying, and costs performance.
------------------------------------------------------------------------
r12110 | eihrul | 2014-12-09 15:30:50 -0800 (Tue, 09 Dec 2014) | 2 lines
Changed paths:
   M /trunk/darkplaces/model_brush.c

fix Con_Printf in Mod_Q2BSP_LoadNodes

------------------------------------------------------------------------
r12109 | eihrul | 2014-12-09 15:08:33 -0800 (Tue, 09 Dec 2014) | 2 lines
Changed paths:
   M /trunk/darkplaces/cl_parse.c
   M /trunk/darkplaces/cl_video.c
   M /trunk/darkplaces/common.c
   M /trunk/darkplaces/gl_rsurf.c

more miscellaneous fixes from graphitemaster

------------------------------------------------------------------------
r12108 | eihrul | 2014-12-09 06:17:22 -0800 (Tue, 09 Dec 2014) | 2 lines
Changed paths:
   M /trunk/darkplaces/gl_backend.c

specify depth and stencil attachments separately (combined attachment is only available in GL >= 3.0)

------------------------------------------------------------------------
r12107 | eihrul | 2014-12-09 05:38:22 -0800 (Tue, 09 Dec 2014) | 2 lines
Changed paths:
   M /trunk/darkplaces/gl_textures.c

gltexture_t->glisdepthstencil fix

------------------------------------------------------------------------
r12106 | eihrul | 2014-12-09 05:30:53 -0800 (Tue, 09 Dec 2014) | 2 lines
Changed paths:
   M /trunk/darkplaces/cl_parse.c
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/meshqueue.c
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/mvm_cmds.c
   M /trunk/darkplaces/r_shadow.c

miscellaneous fixes from graphitemaster

------------------------------------------------------------------------
r12105 | divverent | 2014-12-07 08:39:43 -0800 (Sun, 07 Dec 2014) | 3 lines
Changed paths:
   M /trunk/darkplaces/libcurl.c

curl: do not output requirements for files that are local.

Fixes a bug introduced by r12079.
------------------------------------------------------------------------
r12104 | divverent | 2014-11-26 04:58:32 -0800 (Wed, 26 Nov 2014) | 27 lines
Changed paths:
   M /trunk/darkplaces/sv_main.c

fixes some more Mac OS X buffer overlap errors

Error report: Mac OS X 10.10 (14A389)

Crashed Thread:        0  Dispatch queue: com.apple.main-thread

Exception Type:        EXC_CRASH (SIGABRT)
Exception Codes:       0x0000000000000000, 0x0000000000000000

Application Specific Information:
detected source and destination buffer overlap

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff91017282 __pthread_kill + 10
1   libsystem_c.dylib             	0x00007fff922aab73 abort + 129
2   libsystem_c.dylib             	0x00007fff922aacea abort_report_np + 181
3   libsystem_c.dylib             	0x00007fff922d0dd0 __chk_fail + 48
4   libsystem_c.dylib             	0x00007fff922d0de0 __chk_fail_overlap + 16
5   libsystem_c.dylib             	0x00007fff922d0e11 __chk_overlap + 49
6   libsystem_c.dylib             	0x00007fff922d0e7e __strlcpy_chk + 68
7   darkplaces-sdl                	0x0000000102903b3e SV_UpdateToReliableMessages + 398 (sv_main.c:2480)
8   darkplaces-sdl                	0x00000001029038bb SV_SendClientMessages + 59 (sv_main.c:2575)
9   darkplaces-sdl                	0x000000010278bb5e Host_Main + 3758 (host.c:910)
10  darkplaces-sdl                	0x00000001025be64f main + 239 (sys_sdl.c:223)
11  libdyld.dylib                 	0x00007fff8e7735c9 start + 1

From: nyov <nyov@nexnode.net>
------------------------------------------------------------------------
r12103 | divverent | 2014-11-26 04:58:29 -0800 (Wed, 26 Nov 2014) | 38 lines
Changed paths:
   M /trunk/darkplaces/model_brush.c

fix a buffer overlap with newer mac osx strlcpy

this fails on strcpy overlap detection in newer Mac OSX releases.

Error report: Mac OS X 10.10 (14A389)

Crashed Thread:        0  Dispatch queue: com.apple.main-thread

Exception Type:        EXC_CRASH (SIGABRT)
Exception Codes:       0x0000000000000000, 0x0000000000000000

Application Specific Information:
detected source and destination buffer overlap

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff91017282 __pthread_kill + 10
1   libsystem_c.dylib             	0x00007fff922aab73 abort + 129
2   libsystem_c.dylib             	0x00007fff922aacea abort_report_np + 181
3   libsystem_c.dylib             	0x00007fff922d0dd0 __chk_fail + 48
4   libsystem_c.dylib             	0x00007fff922d0de0 __chk_fail_overlap + 16
5   libsystem_c.dylib             	0x00007fff922d0e11 __chk_overlap + 49
6   libsystem_c.dylib             	0x00007fff922d0e7e __strlcpy_chk + 68
7   darkplaces-sdl                	0x0000000104a3a29a Mod_LoadTextureFromQ3Shader + 74 (model_shared.c:2446)
8   darkplaces-sdl                	0x0000000104a21010 Mod_Q3BSP_Load + 2224 (model_brush.c:5134)
9   darkplaces-sdl                	0x0000000104a1e265 Mod_IBSP_Load + 85 (model_brush.c:7956)
10  darkplaces-sdl                	0x0000000104a3398b Mod_LoadModel + 1419 (model_shared.c:498)
11  darkplaces-sdl                	0x0000000104a37717 Mod_ForName + 55 (model_shared.c:616)
12  darkplaces-sdl                	0x0000000104ad3f28 SV_SpawnServer + 424 (sv_main.c:3284)
13  darkplaces-sdl                	0x00000001049e497f Host_Map_f + 319 (host_cmd.c:394)
14  darkplaces-sdl                	0x00000001049e4bad Host_Changelevel_f + 221 (host_cmd.c:416)
15  darkplaces-sdl                	0x000000010494d6f9 Cmd_ExecuteString + 617 (cmd.c:1936)
16  darkplaces-sdl                	0x000000010494d14d Cbuf_Execute + 781 (cmd.c:368)
17  darkplaces-sdl                	0x000000010494dbd5 Cbuf_Frame + 597 (cmd.c:384)
18  darkplaces-sdl                	0x00000001049e0109 Host_Main + 1305 (host.c:781)
19  darkplaces-sdl                	0x00000001048c2f06 main + 166 (sys_sdl.c:223)
20  libdyld.dylib                 	0x00007fff8e7735c9 start + 1

From: nyov <nyov@nexnode.net>
------------------------------------------------------------------------
r12102 | divverent | 2014-10-16 05:05:04 -0700 (Thu, 16 Oct 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/image.c

Fix _alpha image loading.
------------------------------------------------------------------------
r12101 | divverent | 2014-10-15 05:06:06 -0700 (Wed, 15 Oct 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/makefile

In current gccs, it is -mfpmath=sse, not -fpmath=sse.
------------------------------------------------------------------------
r12100 | divverent | 2014-10-15 04:56:32 -0700 (Wed, 15 Oct 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/prvm_cmds.c

Fix possible endless loop in VM_sprintf.
------------------------------------------------------------------------
r12099 | divverent | 2014-10-09 05:24:14 -0700 (Thu, 09 Oct 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-id_rsa-xonotic
   M /trunk/darkplaces/.travis-script-xonotic.sh

Regenerate SSH key.
------------------------------------------------------------------------
r12098 | divverent | 2014-10-04 13:20:22 -0700 (Sat, 04 Oct 2014) | 3 lines
Changed paths:
   M /trunk/darkplaces/vid_sdl.c

If vid_desktopfullscreen is set, manually initialize window with the current desktop resolution instead of with the default values and then letting sdl correct it automatically when they differ. It caused issues switching from fullscreen to window mode in the first game run

Signed-off-by: terencehill <piuntn@gmail.com>
------------------------------------------------------------------------
r12097 | divverent | 2014-10-04 13:16:54 -0700 (Sat, 04 Oct 2014) | 3 lines
Changed paths:
   M /trunk/darkplaces/vid_sdl.c

Implement proper support for utf8 characters in SDL2

From: terencehill <piuntn@gmail.com>
------------------------------------------------------------------------
r12096 | divverent | 2014-10-04 13:15:47 -0700 (Sat, 04 Oct 2014) | 3 lines
Changed paths:
   M /trunk/darkplaces/vid_sdl.c

SDL2: Make work numeric keypad keys when numlock is off, K_PRINTSCREEN,  K_SCROLLOCK and K_NUMLOCK. Also fix a debug print (event.key.keysym.unicode doesn't exist anymore in SDL2)

From: terencehill <piuntn@gmail.com>
------------------------------------------------------------------------
r12095 | divverent | 2014-10-04 13:12:56 -0700 (Sat, 04 Oct 2014) | 6 lines
Changed paths:
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/r_shadow.c

Cache corona occlusion buffer

Rather than creating and destroying the occlusion buffer every frame, cache it.
This improves performance slightly.

From: Alex Goins <agoins@nvidia.com>
------------------------------------------------------------------------
r12094 | divverent | 2014-10-04 13:12:51 -0700 (Sat, 04 Oct 2014) | 8 lines
Changed paths:
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/dpsoftrast.h
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/glquake.h
   M /trunk/darkplaces/model_brush.h
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/shader_glsl.h
   M /trunk/darkplaces/vid.h
   M /trunk/darkplaces/vid_sdl.c
   M /trunk/darkplaces/vid_shared.c
   M /trunk/darkplaces/vid_wgl.c

Implement GPU-side corona fading

Uses GL_ARB_query_buffer_object to retrieve query results directly into a
buffer. This allows corona fading to be moved into the fragment shader,
preventing a round-trip to the CPU and synchronous rendering. Depending on the
machine's configuration, it can give a dramatic performance boost.

From: Alex Goins <agoins@nvidia.com>
------------------------------------------------------------------------
r12093 | divverent | 2014-08-28 05:47:58 -0700 (Thu, 28 Aug 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/SDLMain.m
   M /trunk/darkplaces/makefile.inc

Disable SDLmain.m for SDL2.
------------------------------------------------------------------------
r12092 | divverent | 2014-08-28 05:47:55 -0700 (Thu, 28 Aug 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/.travis-before_install-xonotic.sh
   M /trunk/darkplaces/.travis-script-xonotic.sh
   M /trunk/darkplaces/makefile.inc

More Travis changes :) Use SDL2 in all builds now.
------------------------------------------------------------------------
r12091 | divverent | 2014-08-27 05:46:22 -0700 (Wed, 27 Aug 2014) | 2 lines
Changed paths:
   A /trunk/darkplaces/.travis-before_install-xonotic.sh
   A /trunk/darkplaces/.travis-id_rsa-xonotic
   A /trunk/darkplaces/.travis-script-xonotic.sh
   A /trunk/darkplaces/.travis.yml

Add Travis-CI integration for Xonotic.

------------------------------------------------------------------------
r12090 | divverent | 2014-08-27 05:45:55 -0700 (Wed, 27 Aug 2014) | 2 lines
Changed paths:
   M /trunk/darkplaces/fs.c
   M /trunk/darkplaces/quakedef.h

Fix build on OS X. Previously, building on OS X always assumed to be on an iDevice.

------------------------------------------------------------------------
r12089 | havoc | 2014-06-17 21:08:58 -0700 (Tue, 17 Jun 2014) | 2 lines
Changed paths:
   M /trunk/darkplaces/model_brush.h

fix a /* warning in a comment

------------------------------------------------------------------------
r12088 | havoc | 2014-06-14 11:48:02 -0700 (Sat, 14 Jun 2014) | 5 lines
Changed paths:
   M /trunk/darkplaces/makefile

raise system requirements to Pentium3 so that we can force the math
pipeline to SSE, this fixes lightmap alignment issues in several
usermade quake maps (where the x87 increased precision was resulting in
different rounding than in the map compiler)

------------------------------------------------------------------------
r12087 | havoc | 2014-06-08 09:57:58 -0700 (Sun, 08 Jun 2014) | 3 lines
Changed paths:
   M /trunk/darkplaces/cl_parse.c
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/image.c
   M /trunk/darkplaces/image.h
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/model_brush.h
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/model_shared.h
   M /trunk/darkplaces/palette.c
   M /trunk/darkplaces/palette.h
   M /trunk/darkplaces/sv_main.c

Fixed many issues with q2bsp support, it now works properly.

Added sv_mapformat_quake2 cvar so that qc can check for this map format and change behavior if needed (also added sv_mapformat_quake3 cvar).
------------------------------------------------------------------------
r12086 | havoc | 2014-06-08 09:14:54 -0700 (Sun, 08 Jun 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/fs.c

Make PAK loading case insensitive for quake2 pak files...
------------------------------------------------------------------------
r12085 | divverent | 2014-06-04 02:08:42 -0700 (Wed, 04 Jun 2014) | 26 lines
Changed paths:
   M /trunk/darkplaces/dpdefs/keycodes.qc
   M /trunk/darkplaces/keys.c
   M /trunk/darkplaces/vid_glx.c
   M /trunk/darkplaces/vid_sdl.c
   M /trunk/darkplaces/vid_wgl.c

Some fixes to the keyboard handler:

------- WGL -------
* Keyboard handler now returns Unicode chars
* Fix numlock key interpreted as pause key
* Fix numlock, scrollock and capslock binds not working
* When numlock is off numeric keypad keys now return K_END, K_DOWNARROW,
* etc... Previously they always returned K_KP_<num>
regardless of numlock state

------- SDL -------
* Simulate press and release events when numlock and capslock get
* pressed, so that they can work similarly to the other keys
(excluding key repetition, it doesn't and will never work). It's a
workaround for the default SDL behaviour with these keys:
it generate a press event when a key gets enabled, a release event when
the key gets disabled. Scrollock already works as a
normal key.
* When numlock is off numeric keypad keys now return K_END, K_DOWNARROW,
* etc... Previously they always returned K_KP_<num>
regardless of numlock state

------- GLX -------
* Add numlock, scrollock and capslock keys

From: terencehill <piuntn@gmail.com>
------------------------------------------------------------------------
r12084 | havoc | 2014-06-01 01:15:00 -0700 (Sun, 01 Jun 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/model_shared.h

Corrected two comments regarding IBSP version of the Q2 bsp format.
------------------------------------------------------------------------
r12083 | havoc | 2014-06-01 01:13:34 -0700 (Sun, 01 Jun 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_main.c
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/image.c
   M /trunk/darkplaces/image.h
   M /trunk/darkplaces/model_alias.c
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/model_brush.h
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/model_shared.h

Added Quake2 BSP support (IBSP38), this is a work in progress.
------------------------------------------------------------------------
r12082 | divverent | 2014-05-29 13:04:10 -0700 (Thu, 29 May 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/libcurl.c

Clarify comment in CURL_fwrite.
------------------------------------------------------------------------
r12081 | havoc | 2014-05-29 13:01:57 -0700 (Thu, 29 May 2014) | 3 lines
Changed paths:
   M /trunk/darkplaces/cap_avi.c
   M /trunk/darkplaces/cap_ogg.c
   M /trunk/darkplaces/cl_main.c
   M /trunk/darkplaces/cl_parse.c
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/cmd.c
   M /trunk/darkplaces/common.c
   M /trunk/darkplaces/console.c
   M /trunk/darkplaces/crypto.c
   M /trunk/darkplaces/csprogs.c
   M /trunk/darkplaces/dpsoftrast.c
   M /trunk/darkplaces/fs.c
   M /trunk/darkplaces/ft2.h
   M /trunk/darkplaces/gl_backend.c
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/gl_textures.c
   M /trunk/darkplaces/glquake.h
   M /trunk/darkplaces/host_cmd.c
   M /trunk/darkplaces/jpeg.c
   M /trunk/darkplaces/keys.c
   M /trunk/darkplaces/libcurl.c
   M /trunk/darkplaces/menu.c
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/model_shared.h
   M /trunk/darkplaces/netconn.c
   M /trunk/darkplaces/prvm_cmds.c
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/snd_main.c
   M /trunk/darkplaces/snd_mem.c
   M /trunk/darkplaces/sv_user.c
   M /trunk/darkplaces/svvm_cmds.c
   M /trunk/darkplaces/sys_linux.c
   M /trunk/darkplaces/sys_sdl.c
   M /trunk/darkplaces/utf8lib.c
   M /trunk/darkplaces/vid_sdl.c

Fixed a large number of WIN64 type conversion warnings.

Changed FS_Write to do multiple write calls if the size exceeds 1GB, this is to accommodate WIN64 where write() takes a UINT rather than size_t.  We have no use of such large writes at this time, so this is a mostly theoretical feature.
------------------------------------------------------------------------
r12080 | havoc | 2014-05-29 12:36:03 -0700 (Thu, 29 May 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/darkplaces-dedicated-vs2012.vcxproj
   M /trunk/darkplaces/darkplaces-sdl-vs2012.vcxproj
   M /trunk/darkplaces/darkplaces-wgl-vs2012.vcxproj

Enable multiprocessor compilation in the VS2012 projects, changed their build directories to not conflict with eachother.
------------------------------------------------------------------------
r12079 | divverent | 2014-05-28 08:14:24 -0700 (Wed, 28 May 2014) | 2 lines
Changed paths:
   M /trunk/darkplaces/csprogs.c
   M /trunk/darkplaces/dpdefs/dpextensions.qc
   M /trunk/darkplaces/fs.c
   M /trunk/darkplaces/prvm_cmds.c
   M /trunk/darkplaces/prvm_offsets.h

whichpack: distinguish file not found from file is physical.
csqc: add cltime global.
------------------------------------------------------------------------
r12078 | havoc | 2014-05-27 14:23:33 -0700 (Tue, 27 May 2014) | 3 lines
Changed paths:
   M /trunk/darkplaces/prvm_cmds.c

change the isserver builtin to just return sv.active rather than
checking maxclients and dedicated

------------------------------------------------------------------------
r12077 | havoc | 2014-05-21 15:23:20 -0700 (Wed, 21 May 2014) | 3 lines
Changed paths:
   M /trunk/darkplaces/menu.c

don't miscount the bgmvolume entry in the menu when CONFIG_CD is not
defined

------------------------------------------------------------------------
r12076 | havoc | 2014-05-13 15:13:15 -0700 (Tue, 13 May 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/collision.c

Changed the collision code used by sv_gameplayfix_nudgeoutofsolid to not consider collision_impactnudge as that is already taken care of by the caller, and the way it was being done would typically reject such collisions anyway.
------------------------------------------------------------------------
r12075 | havoc | 2014-05-13 10:59:02 -0700 (Tue, 13 May 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/collision.c

Removed collision_enternudge, collision_leavenudge, collision_startnudge, collision_endnudge cvars, all replaced with their current value (0) as other values break collisions too badly to be of practical value.
------------------------------------------------------------------------
r12074 | havoc | 2014-05-13 10:43:21 -0700 (Tue, 13 May 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_collision.c
   M /trunk/darkplaces/collision.c
   M /trunk/darkplaces/collision.h
   M /trunk/darkplaces/model_alias.c
   M /trunk/darkplaces/model_brush.c

Removed collision_prefernudgedfraction cvar and trace.realfraction field, this has been 1 for a very long time and it is time to lock in that value, thus trace.realfraction no longer has any reason to exist.
------------------------------------------------------------------------
r12073 | havoc | 2014-05-13 10:03:38 -0700 (Tue, 13 May 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/collision.c

Changed collision_enternudge and collision_leavenudge back to 0 because of massive sticking issues in terrain maps such as the Nexuiz 2.5.2 map ons-reborn.
------------------------------------------------------------------------
r12072 | havoc | 2014-05-07 20:10:57 -0700 (Wed, 07 May 2014) | 6 lines
Changed paths:
   M /trunk/darkplaces/cl_collision.c
   M /trunk/darkplaces/cl_collision.h
   M /trunk/darkplaces/cl_input.c
   M /trunk/darkplaces/cl_main.c
   M /trunk/darkplaces/cl_particles.c
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/collision.c
   M /trunk/darkplaces/collision.h
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/r_explosion.c
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/sbar.c
   M /trunk/darkplaces/server.h
   M /trunk/darkplaces/sv_move.c
   M /trunk/darkplaces/sv_phys.c
   M /trunk/darkplaces/sv_user.c
   M /trunk/darkplaces/svvm_cmds.c
   M /trunk/darkplaces/view.c

Overhauled the tracebox extending code, it now lives in collision.c rather than cl_collision.c/sv_phys.c and has 3 cvars controlling it:
collision_extendmovelength - affects ALL engine traces (physics, etc), this has a higher value because of how important it is to not get stuck in things.
collision_extendtraceboxlength - affects only the qc tracebox builtin.
collision_extendtracelinelength - affects only the qc traceline builtin (in particular it is a bad idea to set this to a high value because it can interfere with trace_inwater/trace_inair reporting).
Changed collision_enternudge/collision_leavenudge to behave more like Quake2/Quake3, this means that you can not sink into a brush (assuming the brush is detected - see collision_extendmovelength).
Some beautification on the RecursiveHullCheck and RecursiveLightPoint code.
------------------------------------------------------------------------
r12071 | havoc | 2014-05-07 20:06:11 -0700 (Wed, 07 May 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rsurf.c

Reworked r_useportalculling to use expanded portal bboxes based on r_nearclip, this resolves an issue where a portal could lie entirely behind the nearclip plane of the frustum, but still need to be recursed.
------------------------------------------------------------------------
r12070 | havoc | 2014-05-07 18:02:39 -0700 (Wed, 07 May 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/model_brush.c

Fixed LightPoint code to deal better with lightmap bounds checking, this resolves several issues with item pickups in specific maps being lit wrong, thanks to jitspoe for discussion that led to this fix.
------------------------------------------------------------------------
r12069 | havoc | 2014-05-07 17:51:07 -0700 (Wed, 07 May 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/sv_phys.c

Fix a compile error when using COLLISION_PARANOID 3.
------------------------------------------------------------------------
r12068 | havoc | 2014-05-07 17:48:59 -0700 (Wed, 07 May 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/sv_phys.c

Fix sv_jumpstep cvar, whose behavior was completely inverted (jump stepping worked with it off, and did not work with it on).
------------------------------------------------------------------------
r12067 | havoc | 2014-05-07 15:02:04 -0700 (Wed, 07 May 2014) | 2 lines
Changed paths:
   M /trunk/darkplaces/vid_sdl.c

fix compile error caused by mixing of SDL2 and SDL1 code

------------------------------------------------------------------------
r12066 | divverent | 2014-05-07 02:42:41 -0700 (Wed, 07 May 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/vid_sdl.c

Turn off alpha blending on vid_softsurface.
------------------------------------------------------------------------
r12065 | havoc | 2014-04-30 18:50:34 -0700 (Wed, 30 Apr 2014) | 2 lines
Changed paths:
   M /trunk/darkplaces/makefile

changed macosx default LINK_LIB_JPEG from shared to dlopen as we still distribute the jpeg62 version with it

------------------------------------------------------------------------
r12062 | divverent | 2014-04-09 06:05:42 -0700 (Wed, 09 Apr 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/dpdefs/dpextensions.qc

Argh, had to update the VM_sprintf extension spec. No code change.
------------------------------------------------------------------------
r12061 | havoc | 2014-04-08 21:35:09 -0700 (Tue, 08 Apr 2014) | 4 lines
Changed paths:
   M /trunk/darkplaces/shader_glsl.h

patch from graphitemaster that changes r_fxaa use of texture2D in
default.glsl to use dp_texture2D instead (which resolves to the correct
texture function on later GL versions)

------------------------------------------------------------------------
r12060 | divverent | 2014-04-05 03:07:18 -0700 (Sat, 05 Apr 2014) | 4 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/makefile.inc

Make r_fxaa also enable postprocessing shaders so only one cvar is
needed to enable FXAA.

From: graphitemaster
------------------------------------------------------------------------
r12059 | divverent | 2014-04-05 03:07:15 -0700 (Sat, 05 Apr 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/shader_glsl.h
   M /trunk/darkplaces/shader_hlsl.h

Properly make the blur conditional on non empty uservecs 1 and 2.
------------------------------------------------------------------------
r12058 | havoc | 2014-03-15 17:06:53 -0700 (Sat, 15 Mar 2014) | 2 lines
Changed paths:
   M /trunk/darkplaces/netconn.c

changed dpmaster.deathmask.net ip4 address, added ip6 address

------------------------------------------------------------------------
r12057 | divverent | 2014-03-15 05:23:41 -0700 (Sat, 15 Mar 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/prvm_edict.c

Fix very stupid typo by me in counting coverage() statements.
------------------------------------------------------------------------
r12056 | divverent | 2014-03-08 09:57:10 -0800 (Sat, 08 Mar 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/dpdefs/csprogsdefs.qc
   M /trunk/darkplaces/dpdefs/dpextensions.qc

Clarify what sprintf does on %1$s %s
------------------------------------------------------------------------
r12055 | havoc | 2014-03-04 15:21:13 -0800 (Tue, 04 Mar 2014) | 3 lines
Changed paths:
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/quakedef.h
   M /trunk/darkplaces/server.h
   M /trunk/darkplaces/sv_main.c

increase MAX_PARTICLEEFFECTNAME and MAX_PARTICLEEFFECTINFO limits
(formerly 256,4096 and now 4096,8192)

------------------------------------------------------------------------
r12054 | havoc | 2014-02-25 18:38:43 -0800 (Tue, 25 Feb 2014) | 2 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

make R_View_UpdateEntityVisible more readable and consistent

------------------------------------------------------------------------
r12053 | havoc | 2014-02-24 15:44:45 -0800 (Mon, 24 Feb 2014) | 3 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

don't skip nearclip plane in R_CullBox as it is possible that the view
is in ortho mode

------------------------------------------------------------------------
r12052 | havoc | 2014-01-29 18:05:50 -0800 (Wed, 29 Jan 2014) | 8 lines
Changed paths:
   M /trunk/darkplaces/r_shadow.c

allow .rtlights files to have style values outside the range
0...MAX_LIGHTSTYLES - in particular, -1 is used by fte for unstyled
lights and this is a compatible behavior, just that the loader was
getting in the way.

for safety the MAX_LIGHTSTYLES comparison has been added to each use of
light->style in rendering.

------------------------------------------------------------------------
r12051 | divverent | 2014-01-24 08:39:06 -0800 (Fri, 24 Jan 2014) | 5 lines
Changed paths:
   M /trunk/darkplaces/crypto.c
   M /trunk/darkplaces/crypto.h
   M /trunk/darkplaces/netconn.c

Fix some d0_blind_id related bugs:

- Higher numbered CAs should have priority over lower numbered CAs,
  making CA 0 the "default" CA.
- Fix the "Authenticated connection to ..." message (no more -@- crap).
------------------------------------------------------------------------
r12050 | divverent | 2014-01-18 03:19:45 -0800 (Sat, 18 Jan 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/vid_wgl.c

Always pass CDS_FULLSCREEN to ChangeDisplaySettings, fixes #1797.
------------------------------------------------------------------------
r12049 | divverent | 2014-01-10 10:53:30 -0800 (Fri, 10 Jan 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/common.h
   M /trunk/darkplaces/vid_sdl.c

sdl2: fix mouse wheel
------------------------------------------------------------------------
r12048 | divverent | 2014-01-10 10:38:11 -0800 (Fri, 10 Jan 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/vid_sdl.c

sdl2: fix compile.
------------------------------------------------------------------------
r12047 | divverent | 2014-01-08 08:02:04 -0800 (Wed, 08 Jan 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/prvm_exec.c
   M /trunk/darkplaces/prvm_execprogram.h

Support statementprofiling in the fast interpreter.
------------------------------------------------------------------------
r12046 | divverent | 2014-01-08 08:02:01 -0800 (Wed, 08 Jan 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/prvm_execprogram.h

Restructure profiling to allow easier statement coverage later.
------------------------------------------------------------------------
r12045 | divverent | 2014-01-08 08:01:58 -0800 (Wed, 08 Jan 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/prvm_execprogram.h

Use PreError() for warnings too. Simpler code!
------------------------------------------------------------------------
r12044 | divverent | 2014-01-07 11:22:59 -0800 (Tue, 07 Jan 2014) | 5 lines
Changed paths:
   M /trunk/darkplaces/prvm_exec.c
   M /trunk/darkplaces/prvm_execprogram.h

Use an explicit jump table for QCVM instruction dispatch.

Also, duplicate the dispatch into the end of each case for additional
speedup (each of these branches gets a separate branch prediction slot
on many CPUs, which pays off quickly).
------------------------------------------------------------------------
r12043 | divverent | 2014-01-07 08:29:29 -0800 (Tue, 07 Jan 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/progsvm.h
   M /trunk/darkplaces/prvm_cmds.c
   M /trunk/darkplaces/prvm_exec.c
   M /trunk/darkplaces/prvm_execprogram.h

Better coverage output.
------------------------------------------------------------------------
r12042 | divverent | 2014-01-07 08:29:25 -0800 (Tue, 07 Jan 2014) | 9 lines
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/dpdefs/csprogsdefs.qc
   M /trunk/darkplaces/dpdefs/dpextensions.qc
   M /trunk/darkplaces/dpdefs/menudefs.qc
   M /trunk/darkplaces/mvm_cmds.c
   M /trunk/darkplaces/progsvm.h
   M /trunk/darkplaces/prvm_cmds.c
   M /trunk/darkplaces/prvm_cmds.h
   M /trunk/darkplaces/prvm_edict.c
   M /trunk/darkplaces/prvm_exec.c
   M /trunk/darkplaces/prvm_execprogram.h
   M /trunk/darkplaces/svvm_cmds.c

COVERAGE! Also fixes prvm always running as PRVMSLOWINTERPRETER :(

Very basic implementation. Needs a persistent store later, I suppose, as
well as better output (e.g. for statements and coverage(), also show
function, file and line).

prvm_coverage 1: report function call coverage
prvm_coverage 2: report coverage() builtin coverage (compiler aided)
prvm_coverage 4: report statement coverage (SLOW)
------------------------------------------------------------------------
r12041 | divverent | 2014-01-07 08:29:21 -0800 (Tue, 07 Jan 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/host_cmd.c
   M /trunk/darkplaces/protocol.c
   M /trunk/darkplaces/prvm_cmds.h

Fix some warnings.
------------------------------------------------------------------------
r12040 | divverent | 2014-01-06 02:00:04 -0800 (Mon, 06 Jan 2014) | 3 lines
Changed paths:
   M /trunk/darkplaces/progsvm.h
   M /trunk/darkplaces/prvm_edict.c
   M /trunk/darkplaces/prvm_exec.c

Patch by graphitemaster to support column number enhanced lno format.

From: Dale Weiler <killfieldengine@gmail.com>
------------------------------------------------------------------------
r12039 | divverent | 2014-01-06 01:49:47 -0800 (Mon, 06 Jan 2014) | 3 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

Disable r_water_hideplayer while in chase camera view

From: Samual Lenks <samual@xonotic.org>
------------------------------------------------------------------------
r12038 | divverent | 2014-01-06 01:48:46 -0800 (Mon, 06 Jan 2014) | 5 lines
Changed paths:
   M /trunk/darkplaces/protocol.c
   M /trunk/darkplaces/sv_main.c

CSQC entity sending rework.

Properly support returning FALSE from a CSQC entity to mean "remove".

From: Rudolf Polzer <divverent@xonotic.org>
------------------------------------------------------------------------
r12037 | divverent | 2014-01-06 01:48:43 -0800 (Mon, 06 Jan 2014) | 3 lines
Changed paths:
   M /trunk/darkplaces/protocol.c
   M /trunk/darkplaces/server.h
   M /trunk/darkplaces/sv_main.c

Kill csqcentityglobalhistory.

From: Rudolf Polzer <divverent@xonotic.org>
------------------------------------------------------------------------
r12036 | divverent | 2014-01-06 01:48:40 -0800 (Mon, 06 Jan 2014) | 3 lines
Changed paths:
   M /trunk/darkplaces/protocol.c

Give CSQC entity scopes names.

From: Rudolf Polzer <divverent@xonotic.org>
------------------------------------------------------------------------
r12035 | divverent | 2014-01-04 04:46:04 -0800 (Sat, 04 Jan 2014) | 1 line
Changed paths:
   M /trunk/darkplaces/libcurl.c

Fix cl_curl_maxspeed 0 + sv_curl_maxspeed > 0.
------------------------------------------------------------------------
r12034 | divverent | 2014-01-03 00:26:05 -0800 (Fri, 03 Jan 2014) | 4 lines
Changed paths:
   M /trunk/darkplaces/netconn.c

Unbreak most of sv_ratelimitlocalplayer.

A redesign to move the rate stuff from function parameters into the
netconn struct needs doing.
------------------------------------------------------------------------
r12033 | divverent | 2013-12-23 02:52:33 -0800 (Mon, 23 Dec 2013) | 4 lines
Changed paths:
   M /trunk/darkplaces/console.c

"log_file_stripcolors" cvar to strip colors from log_file;
Also add condump_stripcolors.

From: nitroxis <nitroxis@wtwrp.de>
------------------------------------------------------------------------
r12032 | divverent | 2013-12-19 05:04:19 -0800 (Thu, 19 Dec 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/protocol.c

ENTITYSIZEPROFILING: also log entity number and sendflags.
------------------------------------------------------------------------
r12031 | havoc | 2013-12-14 17:22:30 -0800 (Sat, 14 Dec 2013) | 7 lines
Changed paths:
   M /trunk/darkplaces/cl_input.c
   M /trunk/darkplaces/csprogs.c
   M /trunk/darkplaces/csprogs.h

Upgrade CL_VM_InputEvent to using floats rather than ints, this keeps
the precision on fractional absolute mouse positions.

Changed CL_VM_InputEvent passing of relative mouse moves to no longer
scale by vid_conwidth, vid_conheight as this goes against the intention
in most cases (where mouse turning or similar is being achieved).

------------------------------------------------------------------------
r12030 | havoc | 2013-12-14 02:15:36 -0800 (Sat, 14 Dec 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/prvm_edict.c

don't try to validate parameters to an opcode that is unrecognized

------------------------------------------------------------------------
r12029 | havoc | 2013-11-29 18:49:09 -0800 (Fri, 29 Nov 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/render.h
   M /trunk/darkplaces/shader_glsl.h
   M /trunk/darkplaces/shader_hlsl.h

Patch from graphitemaster adding r_fxaa cvar, this enables the popular pseudo-antialiasing method in postprocess.
------------------------------------------------------------------------
r12028 | havoc | 2013-11-29 12:14:31 -0800 (Fri, 29 Nov 2013) | 4 lines
Changed paths:
   M /trunk/darkplaces/BSDmakefile
   M /trunk/darkplaces/makefile.inc

patch from Blub to make BSDmakefile work again, this also changes the
build directories from obj/ to build-obj/ due to pmake having a peculiar
fondness for obj/

------------------------------------------------------------------------
r12027 | havoc | 2013-11-19 22:06:41 -0800 (Tue, 19 Nov 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/r_shadow.c

suppress shadow entities when preparing an rtlight with shadows
disabled, this way we don't call R_AnimCache_GetEntity on each one

------------------------------------------------------------------------
r12026 | havoc | 2013-11-03 22:36:48 -0800 (Sun, 03 Nov 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/darkplaces-dedicated-vs2010.vcxproj
   M /trunk/darkplaces/darkplaces-dedicated-vs2012.vcxproj
   M /trunk/darkplaces/darkplaces-sdl-vs2010.vcxproj
   M /trunk/darkplaces/darkplaces-sdl-vs2012.vcxproj
   M /trunk/darkplaces/darkplaces-wgl-vs2010.vcxproj
   M /trunk/darkplaces/darkplaces-wgl-vs2012.vcxproj

enable CONFIG_CD on Visual Studio projects, somehow only CONFIG_MENU was added...  which meant the cd command was missing, so even if hardware cd playback was not wanted it also lost the ability to play music entirely.
------------------------------------------------------------------------
r12025 | havoc | 2013-10-16 13:53:13 -0700 (Wed, 16 Oct 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/cl_input.c

clarify in_pitch_* cvar descriptions about upward/downward values

------------------------------------------------------------------------
r12024 | divverent | 2013-10-13 09:40:38 -0700 (Sun, 13 Oct 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

Software tcmod/tcgen: skip if pass needs no texcoords. Fixes #1326.
------------------------------------------------------------------------
r12023 | divverent | 2013-10-11 07:43:19 -0700 (Fri, 11 Oct 2013) | 7 lines
Changed paths:
   M /trunk/darkplaces/netconn.c
   M /trunk/darkplaces/netconn.h

Netconn: when an encrypted connection is used, randomly set one or more of three unused NETFLAGs.

When AES encryption is enabled, this will then work around substring
matching in routers/IPS thanks to CBC and our method of IV selection.
See "startkeylogger". Note that this neither improves nor weakens
security - SSL e.g. has the very issue we're fixing here because it is
based on TCP, and thus resends always are identical payloads.
------------------------------------------------------------------------
r12022 | divverent | 2013-10-10 10:15:03 -0700 (Thu, 10 Oct 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/dpdefs/menudefs.qc

Update m_draw prototype in dpdefs.
------------------------------------------------------------------------
r12021 | divverent | 2013-10-10 10:12:47 -0700 (Thu, 10 Oct 2013) | 11 lines
Changed paths:
   M /trunk/darkplaces/cvar.c
   M /trunk/darkplaces/dpdefs/menudefs.qc
   M /trunk/darkplaces/menu.c
   M /trunk/darkplaces/menu.h
   M /trunk/darkplaces/mvm_cmds.c
   M /trunk/darkplaces/netconn.c
   M /trunk/darkplaces/netconn.h
   M /trunk/darkplaces/prvm_offsets.h

Add SLIF_CATEGORY for the server list, and a menu QC function to set it.

Callback:
float m_gethostcachecategory(float entry_id) {
	// Is supposed to use gethostcachestring() etc. and return a
	// category integer.
	// The server list is sorted by this category first if
	// SLSF_CATEGORIES is set in the sort flags.
}

From: Samual Lenks <samual@xonotic.org>
------------------------------------------------------------------------
r12020 | divverent | 2013-10-10 10:09:20 -0700 (Thu, 10 Oct 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/dpdefs/menudefs.qc
   M /trunk/darkplaces/mvm_cmds.c

Allow refreshserverlist() to also clear the list like net_slist command.

Usage: refreshserverlist(TRUE);
------------------------------------------------------------------------
r12019 | divverent | 2013-10-10 09:53:28 -0700 (Thu, 10 Oct 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/host.c

sv_checkforpacketsduringsleep: perform a netconn master server frame
immediately. Fixes ping view in server browser.
------------------------------------------------------------------------
r12018 | divverent | 2013-10-09 05:55:05 -0700 (Wed, 09 Oct 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/libcurl.c

Fix cl_curl_enabled 0.
------------------------------------------------------------------------
r12017 | divverent | 2013-09-30 12:52:54 -0700 (Mon, 30 Sep 2013) | 4 lines
Changed paths:
   M /trunk/darkplaces/cl_particles.c

support "declaring" particle effects at the top of the effectinfo file

Now "effect EFFECTNAME" without any fields set is harmless; the slot it creates
will be used by a later "effect EFFECTNAME" definition.
------------------------------------------------------------------------
r12016 | divverent | 2013-09-29 04:47:50 -0700 (Sun, 29 Sep 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/host.c

Initialize host_dirtytime.
------------------------------------------------------------------------
r12015 | havoc | 2013-09-26 16:27:19 -0700 (Thu, 26 Sep 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/darkplaces-dedicated-vs2010.vcxproj
   M /trunk/darkplaces/darkplaces-dedicated-vs2012.vcxproj
   M /trunk/darkplaces/darkplaces-dedicated.vcproj
   M /trunk/darkplaces/darkplaces-sdl-vs2010.vcxproj
   M /trunk/darkplaces/darkplaces-sdl-vs2012.vcxproj
   M /trunk/darkplaces/darkplaces-sdl.vcproj
   M /trunk/darkplaces/darkplaces-wgl-vs2010.vcxproj
   M /trunk/darkplaces/darkplaces-wgl-vs2012.vcxproj
   M /trunk/darkplaces/darkplaces-wgl.vcproj
   M /trunk/darkplaces/vid_sdl.c

fix several visual studio projects which did not have CONFIG_MENU added
------------------------------------------------------------------------
r12014 | havoc | 2013-09-26 13:54:23 -0700 (Thu, 26 Sep 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/common.c

fix a typo

------------------------------------------------------------------------
r12013 | havoc | 2013-09-26 13:47:40 -0700 (Thu, 26 Sep 2013) | 9 lines
Changed paths:
   M /trunk/darkplaces/common.c
   M /trunk/darkplaces/common.h
   M /trunk/darkplaces/host_cmd.c
   M /trunk/darkplaces/netconn.c

added GAME_SSAMMO
added another column to gameinfo for the network filter name (gamename
for master server), and now replaces spaces with _ characters
automatically when using -customgamename, added
-customgamenetworkfiltername to override this if desired

this is necessary to resolve an issue where games whose names contain
spaces were not being supported by dpmaster

------------------------------------------------------------------------
r12012 | havoc | 2013-09-21 11:30:38 -0700 (Sat, 21 Sep 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

restore the wrapping behavior on tcMod scroll for compatibility reasons
(this matches Quake3 logic)

------------------------------------------------------------------------
r12011 | divverent | 2013-09-20 00:22:34 -0700 (Fri, 20 Sep 2013) | 7 lines
Changed paths:
   M /trunk/darkplaces/vid_glx.c
   M /trunk/darkplaces/vid_sdl.c

GLX: Fix desktopfullscreen size when we actually switched to it.

Should fix a few possible issues with getresolution(-1) on a multihead
setup with some window managers.

Also, remove a superfluous memory allocation on GLX when not using
DPSOFTRAST.
------------------------------------------------------------------------
r12010 | divverent | 2013-09-20 00:15:58 -0700 (Fri, 20 Sep 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/vid_wgl.c

Fix a compile error on win32 I introduced.
------------------------------------------------------------------------
r12009 | divverent | 2013-09-19 05:19:24 -0700 (Thu, 19 Sep 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/cl_collision.c
   M /trunk/darkplaces/cl_input.c
   M /trunk/darkplaces/cl_main.c
   M /trunk/darkplaces/cl_parse.c
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/common.c
   M /trunk/darkplaces/common.h
   M /trunk/darkplaces/console.c
   M /trunk/darkplaces/host.c
   M /trunk/darkplaces/netconn.c
   M /trunk/darkplaces/sbar.c
   M /trunk/darkplaces/sv_main.c

Rework game specific hacks to have a special group for Nexuiz-derived games.

From: Rudolf Polzer <divverent@xonotic.org>
------------------------------------------------------------------------
r12008 | divverent | 2013-09-19 05:19:20 -0700 (Thu, 19 Sep 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/common.c
   M /trunk/darkplaces/common.h

Game definitions for Vore Tournament

From: MirceaKitsune <sonichedgehog_hyperblast00@yahoo.com>
------------------------------------------------------------------------
r12007 | divverent | 2013-09-19 04:49:40 -0700 (Thu, 19 Sep 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c

TEMPHACK_origin is no longer needed. Begone!
------------------------------------------------------------------------
r12006 | divverent | 2013-09-18 02:33:21 -0700 (Wed, 18 Sep 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/mvm_cmds.c
   M /trunk/darkplaces/vid.h
   M /trunk/darkplaces/vid_agl.c
   M /trunk/darkplaces/vid_glx.c
   M /trunk/darkplaces/vid_null.c
   M /trunk/darkplaces/vid_sdl.c
   M /trunk/darkplaces/vid_wgl.c

vid_desktopfullscreen improvements; allow querying the desktop mode
------------------------------------------------------------------------
r12005 | divverent | 2013-09-17 12:38:35 -0700 (Tue, 17 Sep 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/menu.c
   M /trunk/darkplaces/vid.h
   M /trunk/darkplaces/vid_glx.c
   M /trunk/darkplaces/vid_sdl.c
   M /trunk/darkplaces/vid_shared.c
   M /trunk/darkplaces/vid_wgl.c

rename netwmfullscreen to desktopfullscreen; implement in other drivers (except agl)
------------------------------------------------------------------------
r12004 | havoc | 2013-09-16 18:17:53 -0700 (Mon, 16 Sep 2013) | 5 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

reworked tcmod to wrap shadertime every 9.1 hours (32768 seconds) rather
than attempting to fixup precision issues in tcmod scroll, which was
breaking shaders that had other tcmod effects after tcmod scroll (or if
they used clampmap)

------------------------------------------------------------------------
r12003 | havoc | 2013-09-15 11:54:47 -0700 (Sun, 15 Sep 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/csprogs.c

set world.absmin and world.absmax in csqc

------------------------------------------------------------------------
r12002 | divverent | 2013-09-12 05:43:08 -0700 (Thu, 12 Sep 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/prvm_edict.c

Fix loading of common.LANGUAGE.po.
------------------------------------------------------------------------
r12001 | divverent | 2013-09-11 07:58:18 -0700 (Wed, 11 Sep 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/prvm_edict.c

.po support: support common.<language>.po as secondary translation source independent from progs filename
------------------------------------------------------------------------
r12000 | divverent | 2013-08-29 05:55:48 -0700 (Thu, 29 Aug 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/dpdefs/csprogsdefs.qc

remove this movetype from CSQC. How did it get there...
------------------------------------------------------------------------
r11999 | divverent | 2013-08-29 05:40:35 -0700 (Thu, 29 Aug 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/dpdefs/csprogsdefs.qc
   M /trunk/darkplaces/dpdefs/keycodes.qc
   M /trunk/darkplaces/dpdefs/menudefs.qc
   M /trunk/darkplaces/dpdefs/progsdefs.qc

sync dpdefs
------------------------------------------------------------------------
r11998 | divverent | 2013-08-22 07:45:18 -0700 (Thu, 22 Aug 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/crypto.c

fix bug in Crypto_RetrieveLocalKey

From: Jan Behrens <zykure@web.de>
------------------------------------------------------------------------
r11997 | divverent | 2013-08-08 03:15:09 -0700 (Thu, 08 Aug 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/makefile

fix typo, sorry
------------------------------------------------------------------------
r11996 | divverent | 2013-08-08 02:42:21 -0700 (Thu, 08 Aug 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/makefile

Make d0_rijndael library optional again.
------------------------------------------------------------------------
r11995 | divverent | 2013-08-06 06:40:35 -0700 (Tue, 06 Aug 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/csprogs.c
   M /trunk/darkplaces/menu.c
   M /trunk/darkplaces/svvm_cmds.c

In prog reset functions, do not call functions unless prog->loaded.

This fixes segfaults in case progs loading itself may have caused Host_Error.
------------------------------------------------------------------------
r11994 | divverent | 2013-08-03 09:03:26 -0700 (Sat, 03 Aug 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/makefile

fix DP_FS_BASEDIR escaping

From: Rudolf Polzer <divverent@xonotic.org>
------------------------------------------------------------------------
r11993 | divverent | 2013-08-03 05:48:23 -0700 (Sat, 03 Aug 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_demo.c
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/snd_mix.c

Fix name of CONFIG_VIDEO_CAPTURE macro.
------------------------------------------------------------------------
r11992 | divverent | 2013-08-03 05:48:18 -0700 (Sat, 03 Aug 2013) | 5 lines
Changed paths:
   M /trunk/darkplaces/.gitignore
   M /trunk/darkplaces/BSDmakefile
   M /trunk/darkplaces/cl_demo.c
   M /trunk/darkplaces/cl_main.c
   M /trunk/darkplaces/cl_parse.c
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/host.c
   M /trunk/darkplaces/host_cmd.c
   M /trunk/darkplaces/keys.c
   M /trunk/darkplaces/makefile
   M /trunk/darkplaces/makefile.inc
   M /trunk/darkplaces/menu.c
   M /trunk/darkplaces/netconn.c
   M /trunk/darkplaces/progsvm.h
   M /trunk/darkplaces/prvm_cmds.c
   M /trunk/darkplaces/prvm_edict.c
   M /trunk/darkplaces/prvm_exec.c
   M /trunk/darkplaces/quakedef.h
   M /trunk/darkplaces/snd_main.c
   M /trunk/darkplaces/snd_mix.c
   M /trunk/darkplaces/vid_shared.c
   M /trunk/darkplaces/vid_wgl.c

Revert "Revert "Build in subdirs"", as the issues seem to be ironed out now.
Revert "Revert "Make cdda optional, server does not need to play music" because it", as its requirements are there now.
Do not include menu QC support in server builds.

Author: Nikoli
------------------------------------------------------------------------
r11991 | divverent | 2013-07-29 03:50:09 -0700 (Mon, 29 Jul 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/cl_parse.c
   M /trunk/darkplaces/cl_particles.c
   M /trunk/darkplaces/clvm_cmds.c

audit all uses of CL_ParticleEffect and CL_ParticleTrail and state box/trail intention

Should fix Nexuiz.
------------------------------------------------------------------------
r11990 | divverent | 2013-07-29 03:50:06 -0700 (Mon, 29 Jul 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/cl_particles.c

Treat attempts to draw trails with pointparticles as zero length trails.

This means they will get dlight, and count/countabsolute do get applied.
------------------------------------------------------------------------
r11989 | divverent | 2013-07-28 06:58:09 -0700 (Sun, 28 Jul 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/cl_particles.c

cl_particles_forcetraileffects: emulate old trail behaviour (Xonotic 0.7 compatibility).

When this is set, trail effects are always drawn, even if a box is requested.
------------------------------------------------------------------------
r11988 | havoc | 2013-07-27 17:11:33 -0700 (Sat, 27 Jul 2013) | 4 lines
Changed paths:
   M /trunk/darkplaces/common.c

added FORCEGAME define for building an engine that runs a specific game
regardless of executable name (this basically overrides the executable
name check)

------------------------------------------------------------------------
r11987 | havoc | 2013-07-27 17:10:50 -0700 (Sat, 27 Jul 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/world.c

fix an unused variable warning caused by USEODE

------------------------------------------------------------------------
r11986 | divverent | 2013-07-27 03:36:19 -0700 (Sat, 27 Jul 2013) | 8 lines
Changed paths:
   M /trunk/darkplaces/BSDmakefile
   M /trunk/darkplaces/cl_parse.c
   M /trunk/darkplaces/host.c
   M /trunk/darkplaces/makefile
   M /trunk/darkplaces/makefile.inc
   M /trunk/darkplaces/menu.c
   M /trunk/darkplaces/prvm_cmds.c
   M /trunk/darkplaces/snd_main.c
   M /trunk/darkplaces/vid_shared.c
   M /trunk/darkplaces/vid_wgl.c

Revert "Make cdda optional, server does not need to play music" because it
depends on having separate build directories. No hard feelings, Nikoli, when
separate build directories work again, feel free to revert this revert.

This reverts commit 97b79884ee55276e90c4dd60f9bfde8b9dbbff68.

Conflicts:
	makefile.inc
------------------------------------------------------------------------
r11985 | divverent | 2013-07-27 03:24:22 -0700 (Sat, 27 Jul 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_main.c
   M /trunk/darkplaces/cl_particles.c
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/prvm_offsets.h

Separate box and trail particles. Makes Xonotic's Nex beam possible again.
------------------------------------------------------------------------
r11984 | divverent | 2013-07-27 03:06:26 -0700 (Sat, 27 Jul 2013) | 9 lines
Changed paths:
   M /trunk/darkplaces/.gitignore
   M /trunk/darkplaces/BSDmakefile
   M /trunk/darkplaces/makefile
   M /trunk/darkplaces/makefile.inc

Revert "Build in subdirs"

This reverts commit f41e93d3e84e082d4728e3d6a9aadb3ca686a9b9.

Conflicts:
	BSDmakefile
	makefile.inc

From: Matthias Krüger <matthias.krueger@famsik.de>
------------------------------------------------------------------------
r11983 | havoc | 2013-07-27 02:29:35 -0700 (Sat, 27 Jul 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/makefile

use DP_LINK_ZLIB=dlopen on mingw build to reduce compile-time
dependencies

------------------------------------------------------------------------
r11982 | havoc | 2013-07-26 12:01:50 -0700 (Fri, 26 Jul 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/BSDmakefile
   M /trunk/darkplaces/DPiOS.xcodeproj/project.pbxproj
   M /trunk/darkplaces/darkplaces-dedicated-vs2010.vcxproj
   M /trunk/darkplaces/darkplaces-dedicated-vs2012.vcxproj
   M /trunk/darkplaces/darkplaces-dedicated.vcproj
   M /trunk/darkplaces/darkplaces-sdl-vs2010.vcxproj
   M /trunk/darkplaces/darkplaces-sdl-vs2012.vcxproj
   M /trunk/darkplaces/darkplaces-sdl.dsp
   M /trunk/darkplaces/darkplaces-sdl.vcproj
   M /trunk/darkplaces/darkplaces-wgl-vs2010.vcxproj
   M /trunk/darkplaces/darkplaces-wgl-vs2012.vcxproj
   M /trunk/darkplaces/darkplaces-wgl.vcproj
   M /trunk/darkplaces/darkplaces.dsp
   M /trunk/darkplaces/makefile
   M /trunk/darkplaces/makefile.inc
   M /trunk/darkplaces/snd_main.c
   M /trunk/darkplaces/snd_mem.c
   D /trunk/darkplaces/snd_modplug.c
   D /trunk/darkplaces/snd_modplug.h

removed modplug support, the library is too insecure and barely used by
anyone

------------------------------------------------------------------------
r11981 | nikoli | 2013-07-26 01:19:12 -0700 (Fri, 26 Jul 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/BSDmakefile
   M /trunk/darkplaces/cl_parse.c
   M /trunk/darkplaces/host.c
   M /trunk/darkplaces/makefile
   M /trunk/darkplaces/makefile.inc
   M /trunk/darkplaces/menu.c
   M /trunk/darkplaces/prvm_cmds.c
   M /trunk/darkplaces/snd_main.c
   M /trunk/darkplaces/vid_shared.c
   M /trunk/darkplaces/vid_wgl.c

Make cdda optional, server does not need to play music


------------------------------------------------------------------------
r11980 | nikoli | 2013-07-25 21:27:29 -0700 (Thu, 25 Jul 2013) | 5 lines
Changed paths:
   M /trunk/darkplaces/.gitignore
   M /trunk/darkplaces/BSDmakefile
   M /trunk/darkplaces/makefile
   M /trunk/darkplaces/makefile.inc

Build in subdirs
    
Now this command works fine:
make cl-debug sdl-release sv-release-profile -j9

------------------------------------------------------------------------
r11979 | nikoli | 2013-07-24 09:27:58 -0700 (Wed, 24 Jul 2013) | 8 lines
Changed paths:
   M /trunk/darkplaces/BSDmakefile
   M /trunk/darkplaces/crypto.c
   M /trunk/darkplaces/makefile
   M /trunk/darkplaces/makefile.inc
   M /trunk/darkplaces/prvm_cmds.c
   M /trunk/darkplaces/snd_modplug.c
   M /trunk/darkplaces/world.c
   M /trunk/darkplaces/world.h

Update build system, fix and enable ODE by default

Fixed crash when running in Hardened Gentoo with libode installed.
Fixed building and running with USEODE disabled.
Use same LINK_TO_NAME, LIB_NAME, CFLAGS_NAME style for dependencies.
Link to libz and libode by default.


------------------------------------------------------------------------
r11978 | nikoli | 2013-07-24 09:13:57 -0700 (Wed, 24 Jul 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/builddate.c

Add ability to reproduce build
------------------------------------------------------------------------
r11977 | divverent | 2013-07-24 04:44:30 -0700 (Wed, 24 Jul 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/sys_shared.c

make clock_gettime default (since 2.6.28 it is NTP-adjusted)
------------------------------------------------------------------------
r11976 | divverent | 2013-07-22 07:47:00 -0700 (Mon, 22 Jul 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_screen.c

fix alpha screenshots
------------------------------------------------------------------------
r11975 | divverent | 2013-07-22 07:39:25 -0700 (Mon, 22 Jul 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/makefile.inc

fix typo leading to DP_PHYSICS_ODE not being detectable
------------------------------------------------------------------------
r11974 | vortex | 2013-07-21 15:04:34 -0700 (Sun, 21 Jul 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/sys.h
   M /trunk/darkplaces/vid_sdl.c

Fix C++ typecast/linkage specification errors.
------------------------------------------------------------------------
r11973 | havoc | 2013-07-16 22:44:37 -0700 (Tue, 16 Jul 2013) | 6 lines
Changed paths:
   M /trunk/darkplaces/DPiOS.xcodeproj/project.pbxproj
   A /trunk/darkplaces/DPiOS.xcodeproj/project.xcworkspace
   A /trunk/darkplaces/DPiOS.xcodeproj/project.xcworkspace/contents.xcworkspacedata
   A /trunk/darkplaces/DPiOS.xcodeproj/project.xcworkspace/xcuserdata
   M /trunk/darkplaces/Info.plist
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/fs.c
   M /trunk/darkplaces/gl_backend.c
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/gl_textures.c
   M /trunk/darkplaces/glquake.h
   M /trunk/darkplaces/image_png.c
   M /trunk/darkplaces/jpeg.c
   M /trunk/darkplaces/quakedef.h
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/r_textures.h
   M /trunk/darkplaces/screen.h
   M /trunk/darkplaces/snd_modplug.c
   M /trunk/darkplaces/sys_sdl.c
   M /trunk/darkplaces/sys_shared.c
   M /trunk/darkplaces/vid.h
   M /trunk/darkplaces/vid_sdl.c
   M /trunk/darkplaces/vid_shared.c

Steel Storm additions for mobile (EluanCM)
engine support for Android (EluanCM's port, some cleanup by Forest Hale)
engine support for iPhoneOS (Forest Hale)

credit: EluanCM, myself (Forest Hale)

------------------------------------------------------------------------
r11972 | havoc | 2013-07-16 21:07:25 -0700 (Tue, 16 Jul 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/snd_sdl.c

moved #include <SDL.h> above #include "quakedef.h"

------------------------------------------------------------------------
r11971 | havoc | 2013-07-16 21:05:48 -0700 (Tue, 16 Jul 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/gl_draw.c

fix an unused variable warning with USE_GLES2

------------------------------------------------------------------------
r11970 | havoc | 2013-07-16 21:03:07 -0700 (Tue, 16 Jul 2013) | 4 lines
Changed paths:
   M /trunk/darkplaces/cl_parse.c
   M /trunk/darkplaces/keys.c

added #ifndef DP_MOBILETOUCH on the command history and ip logging

credit: EluanCM

------------------------------------------------------------------------
r11969 | havoc | 2013-07-16 21:00:01 -0700 (Tue, 16 Jul 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/thread_sdl.c

we need to #include <SDL.h> before #include "quakedef.h"

------------------------------------------------------------------------
r11968 | havoc | 2013-07-16 20:59:09 -0700 (Tue, 16 Jul 2013) | 4 lines
Changed paths:
   M /trunk/darkplaces/cmd.c
   M /trunk/darkplaces/cmd.h

Cmd_ExecuteString now calls Cbuf_LockThreadMutex

credit: EluanCM

------------------------------------------------------------------------
r11967 | havoc | 2013-07-16 20:54:31 -0700 (Tue, 16 Jul 2013) | 5 lines
Changed paths:
   M /trunk/darkplaces/ft2.c

new #define DP_FREETYPE_STATIC for compiling with freetype linked
directly rather than runtime loaded

credit: EluanCM

------------------------------------------------------------------------
r11966 | divverent | 2013-07-13 03:15:35 -0700 (Sat, 13 Jul 2013) | 4 lines
Changed paths:
   M /trunk/darkplaces/cl_input.c
   M /trunk/darkplaces/cl_main.c
   M /trunk/darkplaces/cl_parse.c
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/cvar.c
   M /trunk/darkplaces/host.c
   M /trunk/darkplaces/host_cmd.c
   M /trunk/darkplaces/netconn.c
   M /trunk/darkplaces/netconn.h
   M /trunk/darkplaces/server.h
   M /trunk/darkplaces/sv_main.c

New rate burst handling; cvars: cl_rate_burstsize, net_usesizelimit, net_burstreserve

This supports some kind of packet size bursting to give better experience at
small rates. Can be controlled by the client.
------------------------------------------------------------------------
r11965 | divverent | 2013-07-08 02:39:13 -0700 (Mon, 08 Jul 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/libcurl.c
   M /trunk/darkplaces/libcurl.h

implement curl --cachepic and curl --skinframe (experimental)

which can load textures from the web
------------------------------------------------------------------------
r11964 | havoc | 2013-07-06 23:42:11 -0700 (Sat, 06 Jul 2013) | 4 lines
Changed paths:
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/csprogs.c
   M /trunk/darkplaces/render.h

fix a serious issue with CSQC frametime being non-zero on both calls
when using stereo rendering, it is now zero on the second eye so that
frametime does not lie

------------------------------------------------------------------------
r11963 | divverent | 2013-06-29 04:21:01 -0700 (Sat, 29 Jun 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/crypto.c

oops... fix nul termination. luckily not exploitable.
------------------------------------------------------------------------
r11962 | havoc | 2013-06-26 23:55:10 -0700 (Wed, 26 Jun 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/gl_backend.c

reenabled index buffers on GLES2 path

------------------------------------------------------------------------
r11961 | havoc | 2013-06-26 23:20:52 -0700 (Wed, 26 Jun 2013) | 4 lines
Changed paths:
   M /trunk/darkplaces/gl_backend.c

fix severe (crashing) bugs with two calls to qglDrawElements when using
index buffers (this bug was hidden by gl_mesh_drawrangeelements being 1
by default)

------------------------------------------------------------------------
r11960 | havoc | 2013-06-26 22:57:31 -0700 (Wed, 26 Jun 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/gl_backend.c

remove cvar gl_mesh_prefer_short_elements because many draw calls do not
even provide an element3i to use

------------------------------------------------------------------------
r11959 | havoc | 2013-06-26 22:53:59 -0700 (Wed, 26 Jun 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/gl_backend.c
   M /trunk/darkplaces/gl_rmain.c

allow use of cvar gl_vbo_dynamicindex in RENDERPATH_GLES2 

------------------------------------------------------------------------
r11958 | havoc | 2013-06-18 19:47:18 -0700 (Tue, 18 Jun 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/gl_backend.c
   M /trunk/darkplaces/gl_backend.h
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/render.h

further optimizations for gl_vbo_dynamicvertex and gl_vbo_dynamicindex

------------------------------------------------------------------------
r11957 | havoc | 2013-06-18 18:42:17 -0700 (Tue, 18 Jun 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/gl_backend.c
   M /trunk/darkplaces/gl_backend.h

gl_vbo_dynamicvertex and gl_vbo_dynamicindex now use R_BufferData_Store
rather than the much slower path they used before

------------------------------------------------------------------------
r11956 | havoc | 2013-06-18 18:27:59 -0700 (Tue, 18 Jun 2013) | 13 lines
Changed paths:
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/gl_backend.c
   M /trunk/darkplaces/gl_rmain.c

some cleanup of glDelete calls to guard against bugs caused by GL
changing the binding when we delete a currently active object

fix a major resource leak by calling R_FrameData_NewFrame and
R_BufferData_NewFrame earlier so that they work when disconnected

improved gl_vbostats output

clarify some logic related to r_batch_dynamicbuffer

don't bother destroying a temporary vertex buffer that we end up
destroying as part of the array cleanup

------------------------------------------------------------------------
r11955 | havoc | 2013-06-18 16:01:15 -0700 (Tue, 18 Jun 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

fix a critical bug with r_restart or vid_restart in R_BufferData_Reset
where it did not properly reset all buffers

------------------------------------------------------------------------
r11954 | havoc | 2013-06-18 14:08:14 -0700 (Tue, 18 Jun 2013) | 4 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/render.h

renamed r_bufferdatasize_ cvars to r_buffermegs_ to give them new good
values, as the old cvar increase logic was badly bugged and would
arbitrarily increase them when not necessary

------------------------------------------------------------------------
r11953 | havoc | 2013-06-18 13:51:30 -0700 (Tue, 18 Jun 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/render.h

removed allowfail flag on R_BufferData_Store and made cvar management
more consistent, increased the buffer cycle to 3 frames

------------------------------------------------------------------------
r11952 | divverent | 2013-05-29 09:53:08 -0700 (Wed, 29 May 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/image_png.c

image_png: libpng16 support (by graphitemaster)
------------------------------------------------------------------------
r11951 | divverent | 2013-05-25 07:08:53 -0700 (Sat, 25 May 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/lhnet.c
   M /trunk/darkplaces/lhnet.h
   M /trunk/darkplaces/netconn.c

Implement DSCP for ToS according to RFC2474 / RFC4594

From: Merlijn Hofstra <merlijn@Merlijns-MacBook-Air.local>
------------------------------------------------------------------------
r11950 | havoc | 2013-05-21 23:45:43 -0700 (Tue, 21 May 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/gl_backend.c

clarify the code when gl_mesh_prefer_short_elements is off

------------------------------------------------------------------------
r11949 | divverent | 2013-05-08 03:41:01 -0700 (Wed, 08 May 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/shader_glsl.h
   M /trunk/darkplaces/shader_hlsl.h

order postprocess code properly (so blur does not cancel bloom)
------------------------------------------------------------------------
r11948 | divverent | 2013-05-06 02:54:55 -0700 (Mon, 06 May 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/thread_pthread.c

fix a floating around mutexattr object
------------------------------------------------------------------------
r11947 | divverent | 2013-05-06 02:50:57 -0700 (Mon, 06 May 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/thread_pthread.c

fix a possible pthread crash
------------------------------------------------------------------------
r11946 | havoc | 2013-05-04 21:04:34 -0700 (Sat, 04 May 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c

VM_CL_findradius now uses World_EntitiesInBox as it should

------------------------------------------------------------------------
r11945 | divverent | 2013-04-19 02:40:43 -0700 (Fri, 19 Apr 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_particles.c

fix endless loop with gcc 4.8
------------------------------------------------------------------------
r11944 | eihrul | 2013-04-18 10:30:25 -0700 (Thu, 18 Apr 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/r_shadow.c

OPENGL_ORIENTATION -> MATRIX4x4_OPENGLORIENTATION

------------------------------------------------------------------------
r11943 | havoc | 2013-04-17 00:13:52 -0700 (Wed, 17 Apr 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/glquake.h
   M /trunk/darkplaces/vid_shared.c

set vid_stereobuffer cvar based on whether GL_STEREO is true after setting the mode
------------------------------------------------------------------------
r11942 | havoc | 2013-04-16 19:46:57 -0700 (Tue, 16 Apr 2013) | 4 lines
Changed paths:
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/gl_textures.c
   M /trunk/darkplaces/snd_main.c

fix a severe texture corruption and crash case when using vid_dx9 1 is used with vid_sRGB 1
work around a crash when using vid_dx9 1 with vid_stereobuffer 1 (this needs a better fix, D3D9 does not support this)
fix a warning in C++ where a bit flag mask was being passed as a bool

------------------------------------------------------------------------
r11941 | havoc | 2013-04-16 19:33:45 -0700 (Tue, 16 Apr 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/qtypes.h

add prvm_uint_t type

------------------------------------------------------------------------
r11940 | havoc | 2013-04-16 15:51:33 -0700 (Tue, 16 Apr 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/prvm_exec.c
   M /trunk/darkplaces/prvm_execprogram.h

optimized vm by using cached local variables instead of accessing prog->
fields all the time

------------------------------------------------------------------------
r11939 | havoc | 2013-04-16 15:17:09 -0700 (Tue, 16 Apr 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/prvm_execprogram.h

added prvm_uint_t for bounds check tests in the vm

------------------------------------------------------------------------
r11938 | havoc | 2013-04-16 14:57:17 -0700 (Tue, 16 Apr 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/prvm_execprogram.h

use unsigned comparisons for most of the boundschecks in the vm

------------------------------------------------------------------------
r11937 | divverent | 2013-04-16 01:51:32 -0700 (Tue, 16 Apr 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/netconn.c

ipv6 dpmaster.sudo.rm-f.org has moved
------------------------------------------------------------------------
r11936 | havoc | 2013-04-15 20:24:09 -0700 (Mon, 15 Apr 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/sv_main.c

clarify a comment

------------------------------------------------------------------------
r11935 | havoc | 2013-04-15 20:22:39 -0700 (Mon, 15 Apr 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/cl_particles.c

when using engine particles (not effectinfo), prevent spawning particles
for EFFECT_EF_FLAME and EFFECT_EF_STARDUST when paused

------------------------------------------------------------------------
r11934 | havoc | 2013-04-15 20:16:17 -0700 (Mon, 15 Apr 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

fix two very ambiguous for loops that calculate camerawidth and
cameraheight

------------------------------------------------------------------------
r11933 | havoc | 2013-04-15 20:09:01 -0700 (Mon, 15 Apr 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/vid.h

use int not qboolean for glshaderversion

------------------------------------------------------------------------
r11932 | eihrul | 2013-04-01 08:58:00 -0700 (Mon, 01 Apr 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/shader_glsl.h

move extension enables to the top of the shader to comply with spec

------------------------------------------------------------------------
r11931 | eihrul | 2013-04-01 08:54:53 -0700 (Mon, 01 Apr 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/shader_glsl.h

enable UBO extension for skeletal

------------------------------------------------------------------------
r11930 | vortex | 2013-03-28 13:24:13 -0700 (Thu, 28 Mar 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/host_cmd.c
   M /trunk/darkplaces/progsvm.h
   M /trunk/darkplaces/prvm_cmds.c
   M /trunk/darkplaces/zone.c
   M /trunk/darkplaces/zone.h

Rewritten SVQC stringbuffer saving routines (which is part of yet unfinished databuffers extension). Changes are backwards compatible with old savefile format. Now, once saved stringbuffers are found in extended savegame section, all string buffers allocated by worldspawn()/entityspawn (which is processed prior to savegame parsing) are deleted, and stringbuffers are restored from savegamefile with their original handles.
------------------------------------------------------------------------
r11929 | eihrul | 2013-03-26 15:19:01 -0700 (Tue, 26 Mar 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/gl_rsurf.c

disable depthfirst rendering on animated models since it doesn't work and should theoretically have little performance benefit (and most likely performance detriment)

------------------------------------------------------------------------
r11928 | eihrul | 2013-03-26 14:01:54 -0700 (Tue, 26 Mar 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/mod_skeletal_animatevertices_generic.c

fix boneposerelative address

------------------------------------------------------------------------
r11927 | eihrul | 2013-03-26 12:34:00 -0700 (Tue, 26 Mar 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/mod_skeletal_animatevertices_generic.c
   M /trunk/darkplaces/model_alias.c
   M /trunk/darkplaces/model_alias.h

factor out skeletal animation transform generation so that it can be reused

------------------------------------------------------------------------
r11926 | havoc | 2013-03-24 11:20:15 -0700 (Sun, 24 Mar 2013) | 4 lines
Changed paths:
   M /trunk/darkplaces/cl_collision.c
   M /trunk/darkplaces/collision.h
   M /trunk/darkplaces/sv_phys.c

reworked the MOVETYPE_WALK and MOVETYPE_STEP sticking logic so that it
only cares about world when deciding to be stuck, this means if you get
into a bmodel entity you can still move out of it

------------------------------------------------------------------------
r11925 | havoc | 2013-03-04 17:05:14 -0800 (Mon, 04 Mar 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

don't call glGetUniformBlockIndex without GL_ARB_uniform_buffer_object
as the pointer is NULL (this crashed OpenGL 2.0-3.0 drivers)

------------------------------------------------------------------------
r11924 | havoc | 2013-03-02 17:59:37 -0800 (Sat, 02 Mar 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/svvm_cmds.c

restrict which CHANNELFLAG_ values can be used in sound7 builtin, to
keep qc from using internal-only ones

------------------------------------------------------------------------
r11923 | havoc | 2013-03-01 20:57:07 -0800 (Fri, 01 Mar 2013) | 4 lines
Changed paths:
   M /trunk/darkplaces/server.h
   M /trunk/darkplaces/sv_phys.c
   M /trunk/darkplaces/svvm_cmds.c

changed MOVETYPE_STEP and MOVETYPE_WALK to match Quake behavior (unable
to move when allsolid - but also check SUPERCONTENTS_SOLID), this makes
hip2m3 shalrath work again

------------------------------------------------------------------------
r11922 | havoc | 2013-03-01 16:42:01 -0800 (Fri, 01 Mar 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

fix C++ compile error

------------------------------------------------------------------------
r11920 | havoc | 2013-02-28 03:41:40 -0800 (Thu, 28 Feb 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/gl_backend.c
   M /trunk/darkplaces/gl_backend.h
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/gl_rsurf.c
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/model_shared.h
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/render.h

implemented r_batch_dynamicbuffer which allows the rsurface batching
code to produce dynamic vertex/index buffers using R_BufferData_Store

------------------------------------------------------------------------
r11919 | divverent | 2013-02-28 03:39:47 -0800 (Thu, 28 Feb 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/snd_main.c
   M /trunk/darkplaces/sound.h
   M /trunk/darkplaces/svvm_cmds.c

sound7(): properly support channel flags on client; reassign sound flags so FORCELOOP is now 2 (and FULLVOLUME is 16); note that these flags only work on csqc for now
------------------------------------------------------------------------
r11918 | havoc | 2013-02-28 01:46:44 -0800 (Thu, 28 Feb 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c

restore flags feature in csqc sound7 builtin, so that mods can use
CHANNELFLAG_FORCELOOP and others as before

------------------------------------------------------------------------
r11917 | havoc | 2013-02-28 01:44:12 -0800 (Thu, 28 Feb 2013) | 5 lines
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/prvm_offsets.h

csqc sound7 call now looks at the global variable sound_starttime to
calculate a startposition from, this allows a sound to be played at a
later time (delayed) or an earlier time (for instance restoring a
dialogue sound in-progress when loading a savegame)

------------------------------------------------------------------------
r11916 | havoc | 2013-02-28 01:36:29 -0800 (Thu, 28 Feb 2013) | 5 lines
Changed paths:
   M /trunk/darkplaces/cmd.c

changed the default sv_gameplayfix_ cvar values based on GAME_,
GAME_NORMAL (quake) and derivatives now default them to 0 for better
compatibility and avoiding gameplay changes, non-quake games such as
GAME_NEXUIZ and others are unaffected (still default to 1 there)

------------------------------------------------------------------------
r11915 | havoc | 2013-02-28 01:30:03 -0800 (Thu, 28 Feb 2013) | 7 lines
Changed paths:
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/gl_backend.c
   M /trunk/darkplaces/gl_backend.h
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/glquake.h
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/model_shared.h
   M /trunk/darkplaces/render.h
   M /trunk/darkplaces/shader_glsl.h
   M /trunk/darkplaces/vid.h
   M /trunk/darkplaces/vid_shared.c

implemented use of GL_ARB_uniform_buffer_object for r_glsl_skeletal
added R_BufferData_ system which allows arbitrary vertex/index/uniform
buffers to be dynamically built during a frame (in the same way as the
R_FrameData_ system), this has vastly better performance than uploading
them individually and code should be migrated to use it as appropriate
vid.support.glshaderversion added (typically 140)

------------------------------------------------------------------------
r11914 | havoc | 2013-02-27 16:21:59 -0800 (Wed, 27 Feb 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/model_shared.c

implemented loading of the RMQe variant of BSP2 ("2PSB")

------------------------------------------------------------------------
r11913 | havoc | 2013-02-27 16:21:22 -0800 (Wed, 27 Feb 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/sv_main.c

fix typo in cvar description (grude -> crude)

------------------------------------------------------------------------
r11912 | havoc | 2013-02-27 16:21:01 -0800 (Wed, 27 Feb 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/console.c
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/model_shared.h

implemented loading of the RMQe variant of BSP2 ("2PSB")

------------------------------------------------------------------------
r11911 | divverent | 2013-02-27 05:30:07 -0800 (Wed, 27 Feb 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/crypto.c

fix another warning in crypto.c
------------------------------------------------------------------------
r11910 | divverent | 2013-02-27 05:30:04 -0800 (Wed, 27 Feb 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c

remove unused variable
------------------------------------------------------------------------
r11909 | divverent | 2013-02-27 03:38:50 -0800 (Wed, 27 Feb 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/sound.h
   M /trunk/darkplaces/svvm_cmds.c

rename CHANFLAG_RELIABLE to SOUNDFLAG_RELIABLE to match dpdefs; remove accidental flags passing in CL_sound()
------------------------------------------------------------------------
r11908 | divverent | 2013-02-25 04:28:46 -0800 (Mon, 25 Feb 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/menu.c
   M /trunk/darkplaces/menu.h

Add a cvar to change menu progs filename

From: Mario <mario.mario@y7mail.com>
------------------------------------------------------------------------
r11907 | havoc | 2013-02-24 20:40:39 -0800 (Sun, 24 Feb 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/server.h
   M /trunk/darkplaces/sv_main.c
   M /trunk/darkplaces/sv_phys.c

removed cvar sv_gameplayfix_stepwhilejumping which wasn't needed
(sv_jumpstep is no longer dependent on this cvar)

------------------------------------------------------------------------
r11906 | divverent | 2013-02-24 08:59:37 -0800 (Sun, 24 Feb 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/cl_parse.c
   M /trunk/darkplaces/console.c

Nevermind, we can't remove that STX char... just add \{3} for our purposes

From: Samual Lenks <samual@xonotic.org>
------------------------------------------------------------------------
r11905 | divverent | 2013-02-24 08:59:33 -0800 (Sun, 24 Feb 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/cl_parse.c
   M /trunk/darkplaces/console.c

Fix bug with cl_parse.c putting extra \2 in the Con_Printf() line

From: Samual Lenks <samual@xonotic.org>
------------------------------------------------------------------------
r11904 | divverent | 2013-02-24 08:59:30 -0800 (Sun, 24 Feb 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/console.c

Lets add the ability to have silent messages sent to the chatbox, this is so that it can later replace the console output in Xonotic

From: Samual <samual@xonotic.org>
------------------------------------------------------------------------
r11903 | havoc | 2013-02-23 13:55:11 -0800 (Sat, 23 Feb 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/cl_screen.c

fix C++ compile error

------------------------------------------------------------------------
r11902 | havoc | 2013-02-23 04:23:39 -0800 (Sat, 23 Feb 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

fix bug where particle textures scroll in GL11/GL13 paths

------------------------------------------------------------------------
r11901 | havoc | 2013-02-23 03:08:31 -0800 (Sat, 23 Feb 2013) | 9 lines
Changed paths:
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/model_alias.c
   M /trunk/darkplaces/r_shadow.c

added entity caching stats in graph
optimized logic for animcache and dynamic batching
optimized r_shadows code which was often casting shadows from entities
it did not animcache, and these entities didn't need to cast anyway,
imposed an artificial limit of 1024 entities in r_shadows code...
now exactly determines if models are animated at load (except iqm which
is trusted), and the isanimated flag is not needed for animating a
skeletal model with skeletonobject

------------------------------------------------------------------------
r11900 | havoc | 2013-02-22 23:38:19 -0800 (Fri, 22 Feb 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/cl_screen.c

removed frames last second report in r_speeds graph

------------------------------------------------------------------------
r11899 | havoc | 2013-02-22 23:37:10 -0800 (Fri, 22 Feb 2013) | 5 lines
Changed paths:
   M /trunk/darkplaces/cl_particles.c
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/collision.c
   M /trunk/darkplaces/draw.h
   M /trunk/darkplaces/gl_backend.c
   M /trunk/darkplaces/gl_draw.c
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/gl_rsurf.c
   M /trunk/darkplaces/host.c
   M /trunk/darkplaces/r_shadow.c

changed r_refdef.stats struct to be an array indexed by r_stat_* enums
added r_speeds_graph and associated cvars, this will visually graph any
chosen renderer statistics (8 allowed at one time)
added a lot of additional statistics for the batcher

------------------------------------------------------------------------
r11898 | havoc | 2013-02-22 23:34:07 -0800 (Fri, 22 Feb 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/cl_particles.c

added velocity-oriented blood decals, cvar is cl_decals_newsystem_bloodsmears

------------------------------------------------------------------------
r11897 | havoc | 2013-02-16 21:05:28 -0800 (Sat, 16 Feb 2013) | 7 lines
Changed paths:
   M /trunk/darkplaces/model_brush.c

changed Q1BSP traceline to only use the surface-hitting variant if
sv_gameplayfix_q1bsptracelinereportstexture is on, because in one of
negke's maps a set of items are crushed by a pusher and are expected to
fall through the sky brush they are sitting on, which does not happen if
the sky surface is considered solid, but in any other situation this
should be reported as solid

------------------------------------------------------------------------
r11896 | havoc | 2013-02-15 12:51:04 -0800 (Fri, 15 Feb 2013) | 1 line
Changed paths:
   A /trunk/darkplaces/darkplaces-dedicated-vs2010.vcxproj
   A /trunk/darkplaces/darkplaces-sdl-vs2010.vcxproj
   A /trunk/darkplaces/darkplaces-wgl-vs2010.vcxproj

added missing VS2010 projects
------------------------------------------------------------------------
r11895 | havoc | 2013-02-07 06:22:17 -0800 (Thu, 07 Feb 2013) | 1 line
Changed paths:
   D /trunk/darkplaces/darkplaces-2010.sln
   M /trunk/darkplaces/darkplaces-dedicated-vs2012.vcxproj
   D /trunk/darkplaces/darkplaces-dedicated.vcxproj
   M /trunk/darkplaces/darkplaces-sdl-vs2012.vcxproj
   D /trunk/darkplaces/darkplaces-sdl.vcxproj
   A /trunk/darkplaces/darkplaces-vs2010.sln
   M /trunk/darkplaces/darkplaces-vs2012.sln
   M /trunk/darkplaces/darkplaces-wgl-vs2012.vcxproj
   D /trunk/darkplaces/darkplaces-wgl.vcxproj
   A /trunk/darkplaces/vs2010_win32.props
   A /trunk/darkplaces/vs2010_win64.props
   A /trunk/darkplaces/vs2012_win32.props
   A /trunk/darkplaces/vs2012_win64.props

added props files for vs2010 and vs2012, changed name of darkplaces-2010.sln to darkplaces-vs2010.sln and renamed the vcproj files similarly to darkplaces-sdl-vs2010.vcxproj and such.
------------------------------------------------------------------------
r11894 | havoc | 2013-02-07 05:36:55 -0800 (Thu, 07 Feb 2013) | 1 line
Changed paths:
   A /trunk/darkplaces/darkplaces-dedicated-vs2012.vcxproj
   A /trunk/darkplaces/darkplaces-sdl-vs2012.vcxproj
   A /trunk/darkplaces/darkplaces-vs2012.sln
   A /trunk/darkplaces/darkplaces-wgl-vs2012.vcxproj

added MSVC 2012 projects
------------------------------------------------------------------------
r11893 | havoc | 2013-02-07 05:00:33 -0800 (Thu, 07 Feb 2013) | 1 line
Changed paths:
   A /trunk/darkplaces/darkplaces-2010.sln
   A /trunk/darkplaces/darkplaces-dedicated.vcxproj
   A /trunk/darkplaces/darkplaces-sdl.vcxproj
   A /trunk/darkplaces/darkplaces-wgl.vcxproj

added MSVC++ 2010 projects
------------------------------------------------------------------------
r11892 | havoc | 2013-02-07 04:59:53 -0800 (Thu, 07 Feb 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/fs.c
   M /trunk/darkplaces/gl_rmain.c

fix a sizeof using an array index variable that is never initialized (harmless but the variable is unused by actual code and thus causes a warning)
declare macros for ID3DXBuffer_ functions because they were removed in a DX SDK update
------------------------------------------------------------------------
r11891 | havoc | 2013-02-07 04:06:40 -0800 (Thu, 07 Feb 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

fix another C++ compile error

------------------------------------------------------------------------
r11890 | havoc | 2013-02-07 03:42:21 -0800 (Thu, 07 Feb 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

fix a Mem_Alloc call that needs a type cast in C++

------------------------------------------------------------------------
r11889 | havoc | 2013-02-07 03:40:40 -0800 (Thu, 07 Feb 2013) | 10 lines
Changed paths:
   M /trunk/darkplaces/dpsoftrast.c
   M /trunk/darkplaces/dpsoftrast.h
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/render.h
   M /trunk/darkplaces/shader_glsl.h
   M /trunk/darkplaces/shader_hlsl.h

changed format of builtin shader strings to use comma separated lines,
this should fix compilation on MSVC where default.glsl exceeded 65535
character limit
removed MODE_SHOWDEPTH from shaders and code because it is not used and
is not likely to ever be used anyway
reworked shadermodeinfo_t to only have one filename rather than separate
filenames for vertex and fragment shader
reworked r_glsl_dumpshader to cope with multiple shader filenames and
unified some code for glsl and hlsl text processing

------------------------------------------------------------------------
r11888 | eihrul | 2013-02-07 03:16:38 -0800 (Thu, 07 Feb 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/dpsoftrast.c

remove unused macro

------------------------------------------------------------------------
r11887 | divverent | 2013-01-25 11:59:31 -0800 (Fri, 25 Jan 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

r_showsurfaces + r_glsl_skeletal doesn't work currently, so blacklist the combination for now
------------------------------------------------------------------------
r11886 | divverent | 2013-01-23 04:52:13 -0800 (Wed, 23 Jan 2013) | 5 lines
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/svvm_cmds.c

skel_build: fix wrong 4th matrix row of skeleton matrices

Matrix4x4_Scale doesn't affect the 4th row, but Matrix4x4_Accumulate
does, leading to wrong result. This broke weapon to player attachment
when the player has a skeletonobject.
------------------------------------------------------------------------
r11884 | divverent | 2013-01-22 03:28:19 -0800 (Tue, 22 Jan 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/gl_rsurf.c
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/render.h

fix r_depthfirst 2 with r_glsl_skeletal 1
------------------------------------------------------------------------
r11883 | divverent | 2013-01-20 13:11:58 -0800 (Sun, 20 Jan 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/shader_glsl.h

Fix typos in GPU skeletal; explain the crossproduct hack
------------------------------------------------------------------------
r11882 | havoc | 2013-01-16 08:54:25 -0800 (Wed, 16 Jan 2013) | 6 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/render.h

implemented a fallback case for r_glsl_skeletal 1 when dynamicvertex
occurs (the batch code will apply the skeletal deforms to the batch, to
ensure proper functionality with deformvertexes and such)
added r_batch_debugdynamicvertexpath cvar which is useful for debugging
skeletal fallback issues

------------------------------------------------------------------------
r11881 | havoc | 2013-01-16 06:23:31 -0800 (Wed, 16 Jan 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/dpsoftrast.h
   M /trunk/darkplaces/gl_backend.c
   M /trunk/darkplaces/gl_backend.h
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/model_alias.c
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/model_shared.h
   M /trunk/darkplaces/render.h
   M /trunk/darkplaces/shader_glsl.h

implemented gpu-skinning (vertex shader skeletal animation), can be
disabled by turning off the r_glsl_skeletal cvar

------------------------------------------------------------------------
r11880 | divverent | 2013-01-13 12:12:03 -0800 (Sun, 13 Jan 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/prvm_exec.c
   M /trunk/darkplaces/prvm_execprogram.h

make MUL_VF and MUL_FV friendlier for compilers, and fix segfaul in LOAD_V

From: Wolfgang Bumiller <blub@speed.at>
------------------------------------------------------------------------
r11879 | havoc | 2013-01-11 17:50:07 -0800 (Fri, 11 Jan 2013) | 2 lines
Changed paths:
   M /trunk/darkplaces/prvm_edict.c

cast to etype_t to avoid g++ compiler errors

------------------------------------------------------------------------
r11878 | divverent | 2013-01-10 02:24:33 -0800 (Thu, 10 Jan 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/prvm_execprogram.h

fix a typo in the watchpoints code that warns
------------------------------------------------------------------------
r11877 | havoc | 2013-01-09 21:36:54 -0800 (Wed, 09 Jan 2013) | 6 lines
Changed paths:
   M /trunk/darkplaces/cl_particles.c

fix effectinfo.txt trail effects which were honoring the (time-based)
count parameter, trailspacing now completely overrides the count
parameter as was assumed by the previous change (11539) that passed time
as count, this only affected network entities (.traileffectnum or
.effects or .modelflags) but was clearly broken

------------------------------------------------------------------------
r11876 | havoc | 2013-01-09 18:58:16 -0800 (Wed, 09 Jan 2013) | 4 lines
Changed paths:
   M /trunk/darkplaces/cl_demo.c
   M /trunk/darkplaces/cl_screen.c

patch from roboman2444 :
new cvar cl_capturevideo_demo_stop which makes video capture automatically
end when demo playback ends

------------------------------------------------------------------------
r11875 | divverent | 2013-01-09 04:19:15 -0800 (Wed, 09 Jan 2013) | 1 line
Changed paths:
   M /trunk/darkplaces/progsvm.h
   M /trunk/darkplaces/prvm_edict.c
   M /trunk/darkplaces/prvm_execprogram.h

Make watchpoints data type aware; now vector watchpoints work too.
------------------------------------------------------------------------
r11874 | divverent | 2013-01-08 04:37:43 -0800 (Tue, 08 Jan 2013) | 12 lines
Changed paths:
   M /trunk/darkplaces/progsvm.h
   M /trunk/darkplaces/prvm_cmds.c
   M /trunk/darkplaces/prvm_edict.c
   M /trunk/darkplaces/prvm_exec.c
   M /trunk/darkplaces/prvm_execprogram.h

Breakpoints and watchpoints

"Break" on statement: prvm_breakpoint server 12345
"Break" on function: prvm_breakpoint server ClientConnect
Watch for global change: prvm_globalwatchpoint server time
Watch for entity field change: prvm_edictwatchpoint server 1 health

There can be only one of each kind. To clear, do:

prvm_breakpoint server
prvm_globalwatchpoint server
prvm_edictwatchpoint server
------------------------------------------------------------------------
r11873 | havoc | 2013-01-08 04:29:24 -0800 (Tue, 08 Jan 2013) | 4 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/render.h

reworked some code for BATCHNEED_NOGAPS to be more consistent and made
the comments more clear about its behavior (firstvertex is 0, no gaps),
no longer using BATCHNEED_NOGAPS in a couple places

------------------------------------------------------------------------
r11872 | havoc | 2013-01-08 03:19:58 -0800 (Tue, 08 Jan 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/gl_rsurf.c

flag a few more things (depth-only draws, shadowmap draws) as allowing
r_batch_multidraw to work

------------------------------------------------------------------------
r11871 | havoc | 2013-01-08 02:56:58 -0800 (Tue, 08 Jan 2013) | 6 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/render.h

added r_batch_multidraw and r_batch_multidraw_mintriangles cvars, this
code defaults on, restoring the old rendering path that used multiple
glDrawRangeElements calls for surface batching rather than copying index
data, on high poly maps this has a positive impact, on low poly maps I
was unable to find a difference in fps either way

------------------------------------------------------------------------
r11870 | divverent | 2013-01-02 00:27:19 -0800 (Wed, 02 Jan 2013) | 3 lines
Changed paths:
   M /trunk/darkplaces/host.c
   M /trunk/darkplaces/host_cmd.c
   M /trunk/darkplaces/netconn.c
   M /trunk/darkplaces/server.h
   M /trunk/darkplaces/sv_main.c
   M /trunk/darkplaces/sv_phys.c
   M /trunk/darkplaces/sv_user.c

server: ignore out of order prespawn/spawn/begin commands

This fixes disconnection issues for clients joining during map change.
------------------------------------------------------------------------
r11869 | divverent | 2012-12-31 11:10:23 -0800 (Mon, 31 Dec 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/vid_glx.c

slightly speed up vid_glx by better XShm handling
------------------------------------------------------------------------
r11868 | eihrul | 2012-12-24 17:26:12 -0800 (Mon, 24 Dec 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/vid_sdl.c
   M /trunk/darkplaces/vid_shared.c
   M /trunk/darkplaces/vid_wgl.c

allow framebuffer objects to be used where non-power of two textures are not required

------------------------------------------------------------------------
r11867 | havoc | 2012-12-22 02:32:38 -0800 (Sat, 22 Dec 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/r_shadow.c

fixed coronas not being rendered with MATERIALFLAG_NODEPTHTEST

------------------------------------------------------------------------
r11866 | havoc | 2012-12-21 23:49:40 -0800 (Fri, 21 Dec 2012) | 4 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/model_alias.c
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/model_shared.h
   M /trunk/darkplaces/model_sprite.c

fix bug with transparency sorting introduced by vortex in r11822 where
.transparentsort was not initialized in a lot of materials, which meant
TRANSPARENTSORT_SKY was used rather than TRANSPARENTSORT_DISTANCE

------------------------------------------------------------------------
r11865 | havoc | 2012-12-21 22:19:30 -0800 (Fri, 21 Dec 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/cl_parse.c
   M /trunk/darkplaces/cmd.c
   M /trunk/darkplaces/common.c
   M /trunk/darkplaces/common.h
   M /trunk/darkplaces/host_cmd.c
   M /trunk/darkplaces/menu.c
   M /trunk/darkplaces/sbar.c
   M /trunk/darkplaces/sv_main.c

added GAME_QUOTH to use the hipnotic hud and workarounds with the quoth
folder instead of hipnotic

------------------------------------------------------------------------
r11864 | havoc | 2012-12-21 20:35:03 -0800 (Fri, 21 Dec 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/common.c
   M /trunk/darkplaces/common.h
   M /trunk/darkplaces/sbar.c

removed GAME_SOM as this game was never finished or released

------------------------------------------------------------------------
r11863 | havoc | 2012-12-21 20:07:06 -0800 (Fri, 21 Dec 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/menu.c

don't set r_hdr in the menu presets for lighting quality, the cvar has
been removed

------------------------------------------------------------------------
r11862 | divverent | 2012-12-20 03:37:38 -0800 (Thu, 20 Dec 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/prvm_exec.c

use LNO files for backtraces (by Blub)
------------------------------------------------------------------------
r11861 | divverent | 2012-12-20 03:05:54 -0800 (Thu, 20 Dec 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

properly use the D3DX C interface
------------------------------------------------------------------------
r11860 | divverent | 2012-12-20 03:05:48 -0800 (Thu, 20 Dec 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/vid_sdl.c

only include SDL_syswm.h if really necessary
------------------------------------------------------------------------
r11859 | divverent | 2012-12-13 06:44:12 -0800 (Thu, 13 Dec 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/svvm_cmds.c

skel_build: normalize the per-bone matrices

Looks a lot better if animations are "mismatched" in some evil ways.
------------------------------------------------------------------------
r11858 | eihrul | 2012-12-07 18:31:28 -0800 (Fri, 07 Dec 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/shader_glsl.h

additional high quality shadowmap filter that uses the shadow sampler rather than texture gathers

------------------------------------------------------------------------
r11857 | eihrul | 2012-12-01 05:08:38 -0800 (Sat, 01 Dec 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/shader_glsl.h

faster shadowmap sampler filter

------------------------------------------------------------------------
r11856 | eihrul | 2012-12-01 05:04:49 -0800 (Sat, 01 Dec 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/model_brush.c

silence more warnings

------------------------------------------------------------------------
r11855 | eihrul | 2012-12-01 04:58:17 -0800 (Sat, 01 Dec 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/dpsoftrast.c

silence some warnings

------------------------------------------------------------------------
r11854 | eihrul | 2012-09-29 00:20:13 -0700 (Sat, 29 Sep 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/r_shadow.c

ensure shadowing quality keeps track of r_fb.usedepthtextures

------------------------------------------------------------------------
r11853 | divverent | 2012-09-27 03:25:09 -0700 (Thu, 27 Sep 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/host_cmd.c

fix rcon crash
------------------------------------------------------------------------
r11852 | divverent | 2012-09-26 05:48:42 -0700 (Wed, 26 Sep 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/world.c

use library versions 2 and 3 of ODE too. It seems compatible.
------------------------------------------------------------------------
r11851 | divverent | 2012-09-26 00:35:01 -0700 (Wed, 26 Sep 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/dpdefs/csprogsdefs.qc
   M /trunk/darkplaces/dpdefs/menudefs.qc
   M /trunk/darkplaces/mvm_cmds.c

support DP_QC_ENTITYDATA in menuqc too
------------------------------------------------------------------------
r11850 | vortex | 2012-09-23 02:42:43 -0700 (Sun, 23 Sep 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_screen.c

scr_loadingscreen_background: fix double-applied gamma.
------------------------------------------------------------------------
r11849 | divverent | 2012-09-20 02:26:48 -0700 (Thu, 20 Sep 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_parse.c

add a cast to fix compile error
------------------------------------------------------------------------
r11848 | divverent | 2012-09-19 08:13:14 -0700 (Wed, 19 Sep 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/cl_parse.c
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/csprogs.c
   M /trunk/darkplaces/menu.c
   M /trunk/darkplaces/progsvm.h
   M /trunk/darkplaces/prvm_edict.c
   M /trunk/darkplaces/sv_main.c

buffer csprogs downloads and load csprogs from the buffer instead of a file, if available

This fixes csprogs-from-demo loading if dlcache is not writable
------------------------------------------------------------------------
r11847 | divverent | 2012-09-19 03:22:05 -0700 (Wed, 19 Sep 2012) | 4 lines
Changed paths:
   M /trunk/darkplaces/cl_screen.c

cl_loadingscreen_fps: fix it on Linux

Sys_DirtyTime returns double, float doesn't have enough accuracy to hold
a gettimeofday() result, which caused VERY seldom loading screen updates
------------------------------------------------------------------------
r11846 | divverent | 2012-09-19 03:02:57 -0700 (Wed, 19 Sep 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/host.c

turn off session locking if running -readonly

because locking obviously fails when readonly
------------------------------------------------------------------------
r11845 | divverent | 2012-09-18 04:57:22 -0700 (Tue, 18 Sep 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/fs.c

command line option -readonly to turn off all writing
------------------------------------------------------------------------
r11844 | vortex | 2012-09-17 06:58:17 -0700 (Mon, 17 Sep 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/render.h

New cvar r_shadows_shadowmapbias to customize bias of fake shadows. Default is -1 - use r_shadow_shadowmapping_bias.
------------------------------------------------------------------------
r11843 | havoc | 2012-09-06 22:28:06 -0700 (Thu, 06 Sep 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/model_brush.h

upgrade some memory formats to unsigned int from unsigned short for BSP2
maps

------------------------------------------------------------------------
r11842 | divverent | 2012-09-06 11:43:49 -0700 (Thu, 06 Sep 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/console.c

special character translation: don't generate control characters from non-control characters!

qfont_table entry 10 e.g. causes U+E00A to be turned into a newline. DO NOT WANT.
------------------------------------------------------------------------
r11841 | vortex | 2012-08-31 18:46:04 -0700 (Fri, 31 Aug 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/gl_draw.c

New cvar scr_loadingscreen_picture to customize loading pic.
GAME_BLOODOMNICIDE: allow to load low quality version pics (ones used to get sizes) from locale/.
------------------------------------------------------------------------
r11840 | vortex | 2012-08-09 11:38:54 -0700 (Thu, 09 Aug 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_screen.c

New cvar scr_loadingscreen_maxfps (default 10) which restricts maximum number of loading screen updates per second. This will halve loading times of quake maps with vid_vsync 1 as it really spends more time on drawing loading screen than on actual loading there.
------------------------------------------------------------------------
r11839 | havoc | 2012-08-05 16:24:06 -0700 (Sun, 05 Aug 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/prvm_edict.c

relax PRVM_EDICT_NUM error checking on saving a savegame so that
honey.bsp can save game

------------------------------------------------------------------------
r11838 | havoc | 2012-07-31 22:30:31 -0700 (Tue, 31 Jul 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/gl_backend.c
   M /trunk/darkplaces/glquake.h

fix some compile errors and warnings with USE_GLES2

------------------------------------------------------------------------
r11837 | vortex | 2012-07-28 13:18:26 -0700 (Sat, 28 Jul 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

gl_lightmaps: value of 2 keeps normalmaps.
------------------------------------------------------------------------
r11836 | havoc | 2012-07-25 00:45:10 -0700 (Wed, 25 Jul 2012) | 4 lines
Changed paths:
   M /trunk/darkplaces/cvar.c

fix an infinite loop if an engine cvar is being restored, that did not
exist at init (but it still warns about it), thanks to Omega for
debugging this

------------------------------------------------------------------------
r11835 | havoc | 2012-07-21 17:50:49 -0700 (Sat, 21 Jul 2012) | 5 lines
Changed paths:
   M /trunk/darkplaces/cl_input.c

don't double-apply slowmo when playing back non-darkplaces demos (this
fixes the bug where if you changed slowmo during a demo to a low value
and back it would often take a long time to reach the next frame before
applying the new value)

------------------------------------------------------------------------
r11834 | havoc | 2012-07-21 17:49:35 -0700 (Sat, 21 Jul 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

fix bloom rendering bugs caused by lingering state from transparent
entity rendering (this bug was hidden by r_coronas before)

------------------------------------------------------------------------
r11833 | havoc | 2012-07-21 15:27:19 -0700 (Sat, 21 Jul 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/host.c

don't honor cl.paused or host_framerate in demo playback (to fix Malice
intro demos which otherwise get paused and stay there)

------------------------------------------------------------------------
r11832 | divverent | 2012-06-27 05:31:50 -0700 (Wed, 27 Jun 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/keys.c

don't put lines starting with rcon_password in the history
------------------------------------------------------------------------
r11831 | havoc | 2012-06-22 21:54:58 -0700 (Fri, 22 Jun 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/collision.c

fix for hip1m1 gold key door - favor earlier entity result in cliptrace
combining (use of < operator preferred over <=)

------------------------------------------------------------------------
r11830 | divverent | 2012-06-22 04:12:36 -0700 (Fri, 22 Jun 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/prvm_cmds.c

uri_postbuf: copy the content-type, do not keep a reference to qc
------------------------------------------------------------------------
r11829 | divverent | 2012-06-15 01:08:38 -0700 (Fri, 15 Jun 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/collision.c
   M /trunk/darkplaces/gl_rsurf.c
   M /trunk/darkplaces/mathlib.h
   M /trunk/darkplaces/portals.c
   M /trunk/darkplaces/r_shadow.c

rename a macro with misleading name, as TriangleOverlapsBox doesn't check for actual triangle/box overlap, but just whether an overlap is possible at all using a bbox check. No functional changes, just search/replace.
------------------------------------------------------------------------
r11828 | havoc | 2012-06-14 19:14:09 -0700 (Thu, 14 Jun 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/r_sprites.c

fix two crashes introduced by vortex ( r11822 ) on sprites and nomodels

------------------------------------------------------------------------
r11827 | divverent | 2012-06-10 10:07:15 -0700 (Sun, 10 Jun 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/model_shared.c

fix a misleading error "Mod_ForName: NULL name"

as that one means empty name, not NULL
------------------------------------------------------------------------
r11826 | divverent | 2012-06-10 09:45:08 -0700 (Sun, 10 Jun 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/dpdefs/csprogsdefs.qc
   M /trunk/darkplaces/dpdefs/dpextensions.qc

sync dpdefs with xonotic
------------------------------------------------------------------------
r11825 | divverent | 2012-06-06 07:07:46 -0700 (Wed, 06 Jun 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/zone.c

Mem_Realloc: allow the pool to be NULL in which case the block's previous pool is used
------------------------------------------------------------------------
r11824 | havoc | 2012-05-27 16:23:12 -0700 (Sun, 27 May 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

added note about multi-gpu on the descriptions of r_motionblur and
r_damageblur cvars

------------------------------------------------------------------------
r11823 | havoc | 2012-05-27 16:22:45 -0700 (Sun, 27 May 2012) | 4 lines
Changed paths:
   M /trunk/darkplaces/r_shadow.c

disable r_coronas by default
disable r_coronas_occlusionquery by default (bad performance, especially
on multi-gpu)

------------------------------------------------------------------------
r11822 | vortex | 2012-05-24 10:32:00 -0700 (Thu, 24 May 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/cl_particles.c
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/gl_rsurf.c
   M /trunk/darkplaces/meshqueue.c
   M /trunk/darkplaces/meshqueue.h
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/model_shared.h
   M /trunk/darkplaces/r_explosion.c
   M /trunk/darkplaces/r_lightning.c
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/r_sprites.c

New shader keyword dptransparentsort (can be "sky", "distance", "hud") which forces one of transparent sort techniques. EF_NODEPTHTEST and RENDER_WORLDOBJECT entity flags have greater priority and override shader-set transparent sort technique.
New cvar q3shader_force_terrain_alphaflag which sets TEXF_ALPHA on both vertextextureblend textures (fixes r_glsl_vertextextureblend_usebothalphas).
------------------------------------------------------------------------
r11821 | eihrul | 2012-05-20 07:24:52 -0700 (Sun, 20 May 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/shader_glsl.h

slightly cheaper linear PCF sequence

------------------------------------------------------------------------
r11820 | eihrul | 2012-05-18 21:17:00 -0700 (Fri, 18 May 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/shader_glsl.h

use texture gather emulation for the shadowmap sampler path, and use it by default instead of texture gather

------------------------------------------------------------------------
r11819 | divverent | 2012-05-16 00:44:52 -0700 (Wed, 16 May 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

fix alphatest surfaces in GL11 path
------------------------------------------------------------------------
r11818 | divverent | 2012-05-16 00:44:42 -0700 (Wed, 16 May 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

multiple fog fixes for GL11/GL13 render path
------------------------------------------------------------------------
r11817 | divverent | 2012-05-15 03:32:51 -0700 (Tue, 15 May 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/prvm_cmds.c

reorder printf fields
------------------------------------------------------------------------
r11816 | divverent | 2012-05-13 12:08:32 -0700 (Sun, 13 May 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/quakedef.h

workaround for broken libc on mingw32

mingw32-gcc claims to be C99, but its sprintf() isn't
------------------------------------------------------------------------
r11815 | havoc | 2012-05-05 14:29:07 -0700 (Sat, 05 May 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/model_alias.c
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/view.c

fix some int to bool conversion warnings on MSVS2008
------------------------------------------------------------------------
r11814 | havoc | 2012-05-05 14:24:08 -0700 (Sat, 05 May 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/shader_glsl.h

redesigned r_celoutlines shader code to be a shadowing method rather than edge detect, looks better now
------------------------------------------------------------------------
r11813 | divverent | 2012-04-29 08:49:56 -0700 (Sun, 29 Apr 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/prvm_edict.c

fix a stupid overrun in OP_DONE/OP_RETURN when trying to return one of the last two globals
------------------------------------------------------------------------
r11812 | vortex | 2012-04-24 12:05:21 -0700 (Tue, 24 Apr 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rsurf.c
   M /trunk/darkplaces/r_sprites.c

R_MeshQueue_AddTransparent: Switch checks for RENDER_NODEPTHTEST and RENDER_WORLDOBJECT so RENDER_WORLDOBJECT keeps it's sorting index even if have RENDER_NODEPTHTEST.
------------------------------------------------------------------------
r11811 | divverent | 2012-04-21 06:46:27 -0700 (Sat, 21 Apr 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/makefile.inc

add extra var DP_GMP_STATIC_LIBDIR
------------------------------------------------------------------------
r11810 | divverent | 2012-04-20 01:46:33 -0700 (Fri, 20 Apr 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/host.c
   M /trunk/darkplaces/prvm_cmds.c
   M /trunk/darkplaces/quakedef.h

VM_sprintf: use intmax_t for integer types
------------------------------------------------------------------------
r11809 | divverent | 2012-04-20 01:20:43 -0700 (Fri, 20 Apr 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/svvm_cmds.c

fix ReadPicture/WritePicture for sizes > 32k
------------------------------------------------------------------------
r11808 | havoc | 2012-04-19 18:56:30 -0700 (Thu, 19 Apr 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c

fix a few more redundancies with PRVM_64

------------------------------------------------------------------------
r11807 | havoc | 2012-04-19 18:40:13 -0700 (Thu, 19 Apr 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/prvm_cmds.c
   M /trunk/darkplaces/svvm_cmds.c

fix several issues with PRVM_64, mostly cleaning up (int) casts

------------------------------------------------------------------------
r11806 | divverent | 2012-04-19 13:27:57 -0700 (Thu, 19 Apr 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/crypto.c

fix a warning that was there for a while
------------------------------------------------------------------------
r11805 | divverent | 2012-04-19 13:27:53 -0700 (Thu, 19 Apr 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_collision.c
   M /trunk/darkplaces/cl_parse.c
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/common.c
   M /trunk/darkplaces/csprogs.c
   M /trunk/darkplaces/dpsoftrast.c
   M /trunk/darkplaces/ft2.c
   M /trunk/darkplaces/gl_backend.c
   M /trunk/darkplaces/gl_draw.c
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/host.c
   M /trunk/darkplaces/image.c
   M /trunk/darkplaces/model_alias.c
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/protocol.c
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/snd_mix.c

remove some more dead code
------------------------------------------------------------------------
r11804 | divverent | 2012-04-19 13:27:45 -0700 (Thu, 19 Apr 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_input.c
   M /trunk/darkplaces/dpsoftrast.c
   M /trunk/darkplaces/gl_rmain.c

remove some more dead code ("Dead Increment" bugs from clang-analyzer); however, many of these were kept there as they help making code more readable/maintainable (e.g. incrementing data pointer after the LAST read from a model)
------------------------------------------------------------------------
r11803 | divverent | 2012-04-19 12:55:26 -0700 (Thu, 19 Apr 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/cap_ogg.c
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/world.c

remove some dead initializations that clang-analyzer found (verified)
------------------------------------------------------------------------
r11802 | divverent | 2012-04-19 12:52:58 -0700 (Thu, 19 Apr 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/vid_glx.c

handle the unlikely case of qglXSwapIntervalSGI becoming invalid after GL restart (found by clang-analyzer)
------------------------------------------------------------------------
r11801 | divverent | 2012-04-19 12:48:29 -0700 (Thu, 19 Apr 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/quakedef.h
   M /trunk/darkplaces/sys.h

mark Host_Error as noreturn to help static analysis
------------------------------------------------------------------------
r11800 | havoc | 2012-04-19 04:48:07 -0700 (Thu, 19 Apr 2012) | 4 lines
Changed paths:
   M /trunk/darkplaces/prvm_edict.c

changed PRVM_ValueString (used by prvm_global, prvm_globals, prvm_edict,
prvm_edicts) to print floats and vectors with more precision (using the
FLOAT_LOSSLESS_FORMAT and VECTOR_LOSSLESS_FORMAT macros previously added)

------------------------------------------------------------------------
r11799 | havoc | 2012-04-19 02:18:21 -0700 (Thu, 19 Apr 2012) | 4 lines
Changed paths:
   M /trunk/darkplaces/prvm_execprogram.h

fix severe bugs with the PRVM_64 support, which affected both modes of
operation (PRVM_64 defined or not) - the OP_LOAD_ operations were
converting between float and int unintentionally

------------------------------------------------------------------------
r11798 | havoc | 2012-04-19 02:17:39 -0700 (Thu, 19 Apr 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/menu.c

fix some redundant int to float to double casts when using PRVM_64

------------------------------------------------------------------------
r11797 | divverent | 2012-04-19 01:06:50 -0700 (Thu, 19 Apr 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/image_png.c

fix writing using libpng15
------------------------------------------------------------------------
r11796 | havoc | 2012-04-17 14:29:58 -0700 (Tue, 17 Apr 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/sv_phys.c
   M /trunk/darkplaces/world.c

fix two bugs introduced in r11402 that broke dm6 teleporters and many
other triggers (was using overly padded mins and maxs)

------------------------------------------------------------------------
r11795 | havoc | 2012-04-15 06:12:25 -0700 (Sun, 15 Apr 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/qtypes.h

disable PRVM_64 until the bugs are worked out

------------------------------------------------------------------------
r11794 | havoc | 2012-04-12 00:08:45 -0700 (Thu, 12 Apr 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/cl_particles.c

fix a use of Cmd_Argv(1) as a dpsnprintf format string

------------------------------------------------------------------------
r11793 | divverent | 2012-04-11 07:14:31 -0700 (Wed, 11 Apr 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/quakedef.h

fix a typo
------------------------------------------------------------------------
r11792 | divverent | 2012-04-11 06:34:44 -0700 (Wed, 11 Apr 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/prvm_edict.c
   M /trunk/darkplaces/quakedef.h

PRVM_64: make savegames precision-loss-less
------------------------------------------------------------------------
r11791 | divverent | 2012-04-11 03:58:16 -0700 (Wed, 11 Apr 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/prvm_edict.c

fix "strings go past end of file" check
------------------------------------------------------------------------
r11790 | havoc | 2012-04-08 20:06:33 -0700 (Sun, 08 Apr 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/progsvm.h

fix PRVM_E_INT which was severely bugged

------------------------------------------------------------------------
r11789 | divverent | 2012-04-06 11:20:32 -0700 (Fri, 06 Apr 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

properly check for bloom being active

From: Rudolf Polzer <divverent@alientrap.org>
------------------------------------------------------------------------
r11788 | divverent | 2012-04-06 11:20:27 -0700 (Fri, 06 Apr 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

Create a cvar which changes brightness when r_bloom is enabled. This is useful to tweak overall scene brightness when bloom is on, so that it matches the same brightness and the over-brightening caused by bloom can be somewhat canceled.

From: MirceaKitsune <sonichedgehog_hyperblast00@yahoo.com>
------------------------------------------------------------------------
r11787 | havoc | 2012-04-04 21:14:10 -0700 (Wed, 04 Apr 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/server.h

use prvm_vec_t for spawn_parms storage

------------------------------------------------------------------------
r11786 | havoc | 2012-04-04 00:07:59 -0700 (Wed, 04 Apr 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/qtypes.h

enable PRVM_64 define

------------------------------------------------------------------------
r11785 | havoc | 2012-04-04 00:04:45 -0700 (Wed, 04 Apr 2012) | 8 lines
Changed paths:
   M /trunk/darkplaces/cl_collision.c
   M /trunk/darkplaces/cl_main.c
   M /trunk/darkplaces/cl_particles.c
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/common.c
   M /trunk/darkplaces/common.h
   M /trunk/darkplaces/csprogs.c
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/host.c
   M /trunk/darkplaces/host_cmd.c
   M /trunk/darkplaces/mathlib.c
   M /trunk/darkplaces/mathlib.h
   M /trunk/darkplaces/matrixlib.h
   M /trunk/darkplaces/menu.c
   M /trunk/darkplaces/model_shared.h
   M /trunk/darkplaces/mvm_cmds.c
   M /trunk/darkplaces/progsvm.h
   M /trunk/darkplaces/prvm_cmds.c
   M /trunk/darkplaces/prvm_cmds.h
   M /trunk/darkplaces/prvm_edict.c
   M /trunk/darkplaces/prvm_exec.c
   M /trunk/darkplaces/prvm_execprogram.h
   M /trunk/darkplaces/qtypes.h
   M /trunk/darkplaces/quakedef.h
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/r_shadow.h
   M /trunk/darkplaces/render.h
   M /trunk/darkplaces/sv_main.c
   M /trunk/darkplaces/sv_move.c
   M /trunk/darkplaces/sv_phys.c
   M /trunk/darkplaces/sv_user.c
   M /trunk/darkplaces/svvm_cmds.c
   M /trunk/darkplaces/vid_sdl.c
   M /trunk/darkplaces/world.c

added PRVM_64 define which upgrades the QC VM to double precision
variables (such that levels can run for more than 24 hours without
time precision breakdown, and bit arithmetic can be done on 52 bit flags
rather than 23 bit flags)
changed csqc setmodel builtin to do setsize as well (like on server)
fixed multiple bugs where csqc builtins were passing right as left in a
matrix conversion

------------------------------------------------------------------------
r11784 | divverent | 2012-04-01 06:46:01 -0700 (Sun, 01 Apr 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/snd_mix.c

put comment about wrong cppcheck warning (apparently got confused about scope of different "channel" vars)
------------------------------------------------------------------------
r11783 | divverent | 2012-04-01 06:45:58 -0700 (Sun, 01 Apr 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/snd_3dras.c

fix out of buffer access in snd_3dras
------------------------------------------------------------------------
r11782 | divverent | 2012-04-01 06:45:55 -0700 (Sun, 01 Apr 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/sbar.c
   M /trunk/darkplaces/sys_win.c

set right include path for two #include commands
------------------------------------------------------------------------
r11781 | divverent | 2012-04-01 06:45:52 -0700 (Sun, 01 Apr 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/snd_3dras.c

another NULL dereference fixed
------------------------------------------------------------------------
r11780 | divverent | 2012-04-01 06:45:48 -0700 (Sun, 01 Apr 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

remove pointless NULL checks in gl_rmain as they can never hit without code crashing elsewhere; also, the pointer can never be NULL anyway
------------------------------------------------------------------------
r11779 | divverent | 2012-04-01 06:30:20 -0700 (Sun, 01 Apr 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/cmd.c
   M /trunk/darkplaces/cvar.c

slightly simplify cmd and cvar code (also silences a - false - cppcheck error)
------------------------------------------------------------------------
r11778 | divverent | 2012-04-01 06:30:16 -0700 (Sun, 01 Apr 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_video_jamdecode.c
   M /trunk/darkplaces/cl_video_libavw.c

fix NULL dereference in jam and avw video playback when out of memory
------------------------------------------------------------------------
r11777 | divverent | 2012-04-01 06:20:46 -0700 (Sun, 01 Apr 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/model_shared.c

fix a NULL pointer dereference in modeldecompile
------------------------------------------------------------------------
r11776 | divverent | 2012-04-01 02:36:32 -0700 (Sun, 01 Apr 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_video_libavw.c

FIX LINEFEEDS :(
------------------------------------------------------------------------
r11775 | divverent | 2012-04-01 02:36:28 -0700 (Sun, 01 Apr 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/lhnet.c

Turn off RFC 1149 on systems that have it enabled.

We got massive reports of lags on systems supporting this protocol.
------------------------------------------------------------------------
r11773 | eihrul | 2012-03-23 19:11:20 -0700 (Fri, 23 Mar 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/r_shadow.c

R_Shadow_CullFrustumSide fixes

------------------------------------------------------------------------
r11772 | havoc | 2012-03-21 17:48:23 -0700 (Wed, 21 Mar 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/cl_video_libavw.c

hush more warnings

------------------------------------------------------------------------
r11771 | havoc | 2012-03-21 17:44:28 -0700 (Wed, 21 Mar 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/cl_particles.c
   M /trunk/darkplaces/prvm_cmds.c

mark some functions as static to hush warnings
changed a VM_Warning to fix a format warning

------------------------------------------------------------------------
r11770 | havoc | 2012-03-21 16:18:16 -0700 (Wed, 21 Mar 2012) | 5 lines
Changed paths:
   M /trunk/darkplaces/collision.c
   M /trunk/darkplaces/collision.h

implemented collision_triangle_axialsides cvar (default 1, matching
existing behavior)
implemented collision_triangle_bevelsides cvar (default 1, this changes
the side planes of triangles to be a 45 degree slope)

------------------------------------------------------------------------
r11769 | havoc | 2012-03-21 06:22:32 -0700 (Wed, 21 Mar 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_video_libavw.c

fixed compilation on MSVS2008 - do not use stdint.h
------------------------------------------------------------------------
r11768 | vortex | 2012-03-20 15:02:40 -0700 (Tue, 20 Mar 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/r_shadow.c

r_editlights: added r_editlights_drawproperties cvar and read-only cvars for selected light properties (QC-based editor can query them).
------------------------------------------------------------------------
r11767 | vortex | 2012-03-20 14:55:04 -0700 (Tue, 20 Mar 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/dpdefs/dpextensions.qc
   M /trunk/darkplaces/mvm_cmds.c
   M /trunk/darkplaces/progsvm.h
   M /trunk/darkplaces/prvm_cmds.c
   M /trunk/darkplaces/prvm_cmds.h
   M /trunk/darkplaces/svvm_cmds.c

Work-in-progress extension: DP_QC_STRINGBUFFERS_EXT_WIP. 
------------------------------------------------------------------------
r11766 | vortex | 2012-03-20 13:56:05 -0700 (Tue, 20 Mar 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_video.c
   M /trunk/darkplaces/cl_video.h
   M /trunk/darkplaces/cl_video_jamdecode.c
   A /trunk/darkplaces/cl_video_libavw.c
   M /trunk/darkplaces/dpvsimpledecode.c
   M /trunk/darkplaces/dpvsimpledecode.h

Introducing LibAvW - a wrapper DLL to play videos using libav. Basic support includes extraction of video frames (sound files should be placed as separate .ogg's) and scaling. No ABI requirements (wrapper takes all dirty code). LibAvW can be found at: svn://svn.icculus.org/razorwind/trunk/dplibavw .
------------------------------------------------------------------------
r11765 | vortex | 2012-03-20 13:46:03 -0700 (Tue, 20 Mar 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_particles.c

cl_particles_reloadeffects <filename> - reload effects from custom effect file
------------------------------------------------------------------------
r11764 | divverent | 2012-03-18 14:20:27 -0700 (Sun, 18 Mar 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/svvm_cmds.c

checkpvs: use the right worldmodel
------------------------------------------------------------------------
r11763 | divverent | 2012-03-18 13:20:43 -0700 (Sun, 18 Mar 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

document that celshading and celoutlines currently require GL2
------------------------------------------------------------------------
r11762 | havoc | 2012-03-18 12:07:28 -0700 (Sun, 18 Mar 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/cl_main.c
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/csprogs.c
   M /trunk/darkplaces/progsvm.h
   M /trunk/darkplaces/prvm_cmds.c
   M /trunk/darkplaces/sv_phys.c
   M /trunk/darkplaces/svvm_cmds.c

VM_FrameBlendFromFrameGroupBlend was using cl.time even on server

------------------------------------------------------------------------
r11761 | eihrul | 2012-03-18 10:16:46 -0700 (Sun, 18 Mar 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/r_shadow.c

fix usage of linear filter when using shadowmap sampler

------------------------------------------------------------------------
r11760 | divverent | 2012-03-15 22:49:43 -0700 (Thu, 15 Mar 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/netconn.c

fix a typo in challenge flood protection
------------------------------------------------------------------------
r11758 | divverent | 2012-03-12 23:44:51 -0700 (Mon, 12 Mar 2012) | 5 lines
Changed paths:
   M /trunk/darkplaces/netconn.c

fix an unlikely crypto downgrade attack found during audit

if DP3 and earlier protocols are active, a malicious client may intervene
during connect with an authenticated player's connect and downgrade to
unauthenticated NQ protocol
------------------------------------------------------------------------
r11757 | divverent | 2012-03-12 23:44:47 -0700 (Mon, 12 Mar 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/netconn.c
   M /trunk/darkplaces/server.h

also block floods of getstatus, getinfo, getchallenge
------------------------------------------------------------------------
r11756 | havoc | 2012-03-12 19:26:31 -0700 (Mon, 12 Mar 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/svvm_cmds.c

use prog->progs_mempool for server DP_SKELETONOBJECTS storage, not
cls.levelmempool

------------------------------------------------------------------------
r11754 | divverent | 2012-03-12 02:21:55 -0700 (Mon, 12 Mar 2012) | 6 lines
Changed paths:
   M /trunk/darkplaces/cl_parse.c
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/gl_draw.c
   M /trunk/darkplaces/host.c
   M /trunk/darkplaces/screen.h
   M /trunk/darkplaces/sv_main.c
   M /trunk/darkplaces/vid_shared.c

introducing "scr_loadingscreen_firstforstartup"

make first loading.tga screen a special startup splash-screen,
that shows only once on client startup

From: nyov <nyov@nexnode.net>
------------------------------------------------------------------------
r11753 | divverent | 2012-03-10 04:54:55 -0800 (Sat, 10 Mar 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/dpsoftrast.c

dpsoftrast: SHADERMODE_GENERIC SHADERPERMUTATION_ALPHAKILL too
------------------------------------------------------------------------
r11752 | divverent | 2012-03-10 04:39:29 -0800 (Sat, 10 Mar 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/dpsoftrast.h
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/shader_glsl.h
   M /trunk/darkplaces/shader_hlsl.h

allow MATERIALFLAG_CAMERA to fade out
------------------------------------------------------------------------
r11751 | divverent | 2012-03-09 11:08:04 -0800 (Fri, 09 Mar 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/mathlib.c

try to really fix vectorvectors to be 100% equivalent to makevectors(flippitch(vectoangles(v)))
------------------------------------------------------------------------
r11749 | havoc | 2012-03-08 20:48:36 -0800 (Thu, 08 Mar 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/cl_demo.c
   M /trunk/darkplaces/cl_parse.c
   M /trunk/darkplaces/cmd.c
   M /trunk/darkplaces/gl_rsurf.c
   M /trunk/darkplaces/gl_textures.c
   M /trunk/darkplaces/prvm_edict.c

patch from Klaus Silveira cleaning up several inefficient and redundant
code bits

------------------------------------------------------------------------
r11748 | havoc | 2012-03-08 20:48:02 -0800 (Thu, 08 Mar 2012) | 4 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

fixed a severely bugged check of R_BlendFuncFlags
removed a redundant lightmap update loop
thanks to Klaus Silveira for pointing out these issues

------------------------------------------------------------------------
r11747 | havoc | 2012-03-08 20:25:25 -0800 (Thu, 08 Mar 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/makefile.inc

use CFLAGS_ODE on prvm_cmd.c because it checks ODE_DYNAMIC and ODE_STATIC defines
------------------------------------------------------------------------
r11746 | havoc | 2012-03-08 20:22:41 -0800 (Thu, 08 Mar 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/prvm_cmds.c

fix compile error where no extern was defined for ode_dll
------------------------------------------------------------------------
r11744 | divverent | 2012-03-08 06:01:06 -0800 (Thu, 08 Mar 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/prvm_cmds.c
   M /trunk/darkplaces/world.c
   M /trunk/darkplaces/world.h

fix checkextension based ODE detection for QC code
------------------------------------------------------------------------
r11740 | divverent | 2012-03-01 06:34:32 -0800 (Thu, 01 Mar 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/model_alias.c

add a flag to forcibly turn off skeletal animation for benchmarking
------------------------------------------------------------------------
r11739 | divverent | 2012-03-01 05:32:55 -0800 (Thu, 01 Mar 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/console.c

Con_ClearNotify: only hide notify, not chat
------------------------------------------------------------------------
r11737 | divverent | 2012-02-28 03:52:14 -0800 (Tue, 28 Feb 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c

fix a stupid type error.

Why doesn't PRVM_EDICT_NUM(prvm_edict_t *) warn?!?
------------------------------------------------------------------------
r11736 | divverent | 2012-02-28 03:06:10 -0800 (Tue, 28 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_input.c
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/clvm_cmds.c

runstandardplayerphysics: ignore the passed edict for player physics (consistent to legacy prediction)
------------------------------------------------------------------------
r11735 | havoc | 2012-02-27 10:31:30 -0800 (Mon, 27 Feb 2012) | 4 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/render.h

fix for .alpha and other effects on sprites that use the same frame,
they were all reusing the same alpha value, probably also broke
interpolation at the same time

------------------------------------------------------------------------
r11734 | havoc | 2012-02-26 07:06:40 -0800 (Sun, 26 Feb 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/snd_wav.c

byteswap S16LE sound data on load once, not twice :)

------------------------------------------------------------------------
r11730 | divverent | 2012-02-24 06:43:49 -0800 (Fri, 24 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/sv_main.c

remove redundant check
------------------------------------------------------------------------
r11729 | divverent | 2012-02-24 06:42:30 -0800 (Fri, 24 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/host.c
   M /trunk/darkplaces/sv_main.c

don't accumulate time reports for the first 10 seconds of a match so things can settle
------------------------------------------------------------------------
r11728 | divverent | 2012-02-24 05:34:16 -0800 (Fri, 24 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/host.c

add missing variable
------------------------------------------------------------------------
r11727 | divverent | 2012-02-24 04:28:41 -0800 (Fri, 24 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/host.c
   M /trunk/darkplaces/sv_main.c

also count timing info when nobody is playing
------------------------------------------------------------------------
r11724 | havoc | 2012-02-23 04:17:32 -0800 (Thu, 23 Feb 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/vid_sdl.c

use stickmouse code when SDL2 relative mouse fails

------------------------------------------------------------------------
r11723 | havoc | 2012-02-23 04:06:18 -0800 (Thu, 23 Feb 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/thread_sdl.c
   M /trunk/darkplaces/vid_sdl.c

work with SDL2

------------------------------------------------------------------------
r11722 | divverent | 2012-02-23 02:35:46 -0800 (Thu, 23 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/netconn.c

I moved the IPv6 master server to another server. Sorry for that.
------------------------------------------------------------------------
r11719 | havoc | 2012-02-21 11:21:05 -0800 (Tue, 21 Feb 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/sv_main.c

use both .items2 and serverflags in items stat, to finally fix the runes
missing on the hud bug

------------------------------------------------------------------------
r11718 | divverent | 2012-02-21 04:03:12 -0800 (Tue, 21 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/zone.c

fix a stupid typo
------------------------------------------------------------------------
r11717 | divverent | 2012-02-21 03:49:25 -0800 (Tue, 21 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/zone.c

no need to waste a full page
------------------------------------------------------------------------
r11716 | divverent | 2012-02-21 03:32:57 -0800 (Tue, 21 Feb 2012) | 5 lines
Changed paths:
   M /trunk/darkplaces/zone.c

crazy feature: -DFILE_BASED_MALLOC=1

replaces malloc/free calls by mmap/munmap of file backed store.

Best used with -DMEMCLUMPING=1
------------------------------------------------------------------------
r11715 | havoc | 2012-02-20 11:36:01 -0800 (Mon, 20 Feb 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/model_brush.c

fix the compiler error fo' reals this time

------------------------------------------------------------------------
r11713 | havoc | 2012-02-20 11:34:16 -0800 (Mon, 20 Feb 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/model_brush.c

fix compile error

------------------------------------------------------------------------
r11712 | divverent | 2012-02-20 11:25:50 -0800 (Mon, 20 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/makefile.inc

we don't use DGA any more, so why -lxxf86dga
------------------------------------------------------------------------
r11711 | havoc | 2012-02-20 11:21:23 -0800 (Mon, 20 Feb 2012) | 4 lines
Changed paths:
   M /trunk/darkplaces/bspfile.h
   M /trunk/darkplaces/common.c
   M /trunk/darkplaces/common.h
   M /trunk/darkplaces/console.c
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/model_shared.h
   M /trunk/darkplaces/wad.c
   M /trunk/darkplaces/wad.h

added Q1 BSP2 format support, compatible with hmap2
Q1BSP loader is now based on MSG_Read functions to make it very
extensible

------------------------------------------------------------------------
r11708 | divverent | 2012-02-20 07:11:32 -0800 (Mon, 20 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/mathlib.c

add a note about a VectorVectors bug
------------------------------------------------------------------------
r11707 | divverent | 2012-02-20 06:54:40 -0800 (Mon, 20 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/draw.h
   M /trunk/darkplaces/gl_draw.c

fix broken use of + and | in drawflags
------------------------------------------------------------------------
r11703 | divverent | 2012-02-20 04:28:09 -0800 (Mon, 20 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/image.c

fix a crash when JPEG loading when alpha image is corrupt
------------------------------------------------------------------------
r11702 | vortex | 2012-02-18 16:43:54 -0800 (Sat, 18 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_backend.c

Fix shader compile log again. Print error in any case, warnings only if developer, all other if developer_extra.
------------------------------------------------------------------------
r11701 | vortex | 2012-02-18 14:09:50 -0800 (Sat, 18 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_backend.c

Fixed shader compile log to use Con_DPrintf.
------------------------------------------------------------------------
r11700 | havoc | 2012-02-18 13:52:00 -0800 (Sat, 18 Feb 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

remove some undesired else's that break r_celshading and r_celoutlines

------------------------------------------------------------------------
r11699 | vortex | 2012-02-18 11:30:20 -0800 (Sat, 18 Feb 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/matrixlib.c
   M /trunk/darkplaces/matrixlib.h
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/progs.h
   M /trunk/darkplaces/prvm_offsets.h
   M /trunk/darkplaces/world.c

ODE: rewrite scale support to scale collision mesh. Now mass center and object bounds is derived from real collision mesh box, not model/entity box. Added experimental code for Convex Hull geometry (off by default). Also autodisabling was fixed to exclude collisions between disabled objects which gives a huge speedup on dCollide* phase. Increased defaults for damping and autodisable.
Matrixlib: removed  Matrix4x4_OriginScale3 which was added for ODE offsetmatrix scale, since it's not used by it anymore, its removed.
------------------------------------------------------------------------
r11698 | divverent | 2012-02-18 05:48:09 -0800 (Sat, 18 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/quakedef.h
   M /trunk/darkplaces/sys_shared.c

always allow -nosse and -nosse2 flags to change SSE status
------------------------------------------------------------------------
r11697 | vortex | 2012-02-18 04:29:05 -0800 (Sat, 18 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/mathlib.c

VectorVectors: renormalize 'up' vector as it seems to be unnormalized in some cases (a test case - spawning of large-scaled oriented particle).
------------------------------------------------------------------------
r11696 | divverent | 2012-02-18 03:19:13 -0800 (Sat, 18 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/thread_pthread.c
   M /trunk/darkplaces/thread_sdl.c
   M /trunk/darkplaces/thread_win.c

actually fix the barrier typecasts... these really need to be volatile due to the b->called counter
------------------------------------------------------------------------
r11695 | vortex | 2012-02-18 02:23:32 -0800 (Sat, 18 Feb 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/draw.h
   M /trunk/darkplaces/gl_draw.c
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/gl_textures.c
   M /trunk/darkplaces/r_textures.h

Add an optional DRAW_NOGAMMA flag for R_DrawQSuperPic (disable glslgamma for that pic).
r_texture_dds_load_logfailure: 1 only prints required diffuse textures, 2 keeps old behavior - prints all missing textures (including normalmap, gloss, pants, shirt, mask.
------------------------------------------------------------------------
r11694 | vortex | 2012-02-18 02:05:58 -0800 (Sat, 18 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/thread_sdl.c

fix type cast
------------------------------------------------------------------------
r11693 | vortex | 2012-02-18 02:04:23 -0800 (Sat, 18 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/thread_sdl.c

fix type cast
------------------------------------------------------------------------
r11692 | divverent | 2012-02-16 13:04:22 -0800 (Thu, 16 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/thread.h
   M /trunk/darkplaces/thread_null.c
   M /trunk/darkplaces/thread_pthread.c
   M /trunk/darkplaces/thread_sdl.c
   M /trunk/darkplaces/thread_win.c

Add support for barriers to the threading interface; fix skeletal animation appearing as part of visibility in r_speeds 2
------------------------------------------------------------------------
r11691 | havoc | 2012-02-16 12:14:15 -0800 (Thu, 16 Feb 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

fix typos

------------------------------------------------------------------------
r11690 | havoc | 2012-02-15 15:34:35 -0800 (Wed, 15 Feb 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/shader_glsl.h

added r_celshading cvar and GLSL shader code
added r_celoutlines cvar and GLSL shader code

------------------------------------------------------------------------
r11687 | eihrul | 2012-02-12 12:30:58 -0800 (Sun, 12 Feb 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

make sure depth test is disabled before rendering bloom

------------------------------------------------------------------------
r11686 | eihrul | 2012-02-12 12:17:59 -0800 (Sun, 12 Feb 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

fix some weird incidental finding in the bloom code

------------------------------------------------------------------------
r11685 | divverent | 2012-02-12 00:42:00 -0800 (Sun, 12 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/image_png.c

also support 1.2 again
------------------------------------------------------------------------
r11684 | divverent | 2012-02-12 00:23:43 -0800 (Sun, 12 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/image_png.c

implement the libpng longjmp hack properly. png_jmpbuf is actually a macro!
------------------------------------------------------------------------
r11683 | divverent | 2012-02-12 00:16:11 -0800 (Sun, 12 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/image_png.c

bring back old glibc workaround
------------------------------------------------------------------------
r11682 | divverent | 2012-02-12 00:14:26 -0800 (Sun, 12 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/image_png.c

fix jump buffer type
------------------------------------------------------------------------
r11681 | eihrul | 2012-02-11 10:28:01 -0800 (Sat, 11 Feb 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/mod_skeletal_animatevertices_generic.c
   M /trunk/darkplaces/mod_skeletal_animatevertices_sse.c

dual quat -> matrix optimizations

------------------------------------------------------------------------
r11680 | eihrul | 2012-02-11 09:43:20 -0800 (Sat, 11 Feb 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/mod_skeletal_animatevertices_sse.c

fix multiply for skeleton objects

------------------------------------------------------------------------
r11679 | eihrul | 2012-02-11 09:25:12 -0800 (Sat, 11 Feb 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/mod_skeletal_animatevertices_sse.c

skeleton object openglorientation fix

------------------------------------------------------------------------
r11678 | eihrul | 2012-02-11 09:16:42 -0800 (Sat, 11 Feb 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/mod_skeletal_animatevertices_sse.c

SIMD-ize the matrix multiplication in AnimateVertices

------------------------------------------------------------------------
r11677 | divverent | 2012-02-11 07:55:36 -0800 (Sat, 11 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/image_png.c

support libpng 1.5.0
------------------------------------------------------------------------
r11676 | divverent | 2012-02-10 06:00:22 -0800 (Fri, 10 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/lhnet.c

add a static to an unprototyped internal function to shut off warning
------------------------------------------------------------------------
r11675 | divverent | 2012-02-10 06:00:18 -0800 (Fri, 10 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/crypto.c
   M /trunk/darkplaces/netconn.c

fix two seriously wrong memset calls possibly causing crypto connections to fail, or bogus servers in the server list
------------------------------------------------------------------------
r11674 | divverent | 2012-02-10 06:00:13 -0800 (Fri, 10 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/cmd.c
   M /trunk/darkplaces/server.h

fix clang warnings for unused result of *_LockThreadMutex
------------------------------------------------------------------------
r11673 | divverent | 2012-02-10 06:00:04 -0800 (Fri, 10 Feb 2012) | 4 lines
Changed paths:
   M /trunk/darkplaces/cl_parse.c
   M /trunk/darkplaces/console.c
   M /trunk/darkplaces/fs.c

fix a few clang warnings that try to hint to buffer overruns

except that these were not overruns (see context in code), but just redundant
strlen calls for allocating and then copying
------------------------------------------------------------------------
r11672 | divverent | 2012-02-09 06:51:09 -0800 (Thu, 09 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/host.c

use togglemenu 1 to enable menu at startup
------------------------------------------------------------------------
r11671 | divverent | 2012-02-07 14:17:32 -0800 (Tue, 07 Feb 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/prvm_cmds.c

allow GET requests to be signed too (typo fix)
------------------------------------------------------------------------
r11670 | eihrul | 2012-02-07 09:15:36 -0800 (Tue, 07 Feb 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/mod_skeletal_animatevertices_sse.c

spaces -> tabs

------------------------------------------------------------------------
r11669 | eihrul | 2012-02-07 09:13:12 -0800 (Tue, 07 Feb 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/mod_skeletal_animatevertices_generic.c
   M /trunk/darkplaces/mod_skeletal_animatevertices_sse.c

use dual quaternions for frame blends

------------------------------------------------------------------------
r11667 | eihrul | 2012-02-04 11:42:46 -0800 (Sat, 04 Feb 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/matrixlib.c
   M /trunk/darkplaces/matrixlib.h
   M /trunk/darkplaces/mod_skeletal_animatevertices_generic.c
   M /trunk/darkplaces/mod_skeletal_animatevertices_sse.c
   M /trunk/darkplaces/model_alias.c
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/model_shared.h
   M /trunk/darkplaces/protocol.c
   M /trunk/darkplaces/protocol.h
   M /trunk/darkplaces/svvm_cmds.c

convert pose6s data to pose7s data to resolve quaternion W coordinate precision issues

------------------------------------------------------------------------
r11666 | havoc | 2012-02-04 01:46:50 -0800 (Sat, 04 Feb 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/draw.h
   M /trunk/darkplaces/gl_draw.c

added cvars r_nearest_2d and r_nearest_conchars which let you force all
2d pics (including conchars) to nearest filtering, or just conchars

------------------------------------------------------------------------
r11665 | havoc | 2012-01-31 14:36:33 -0800 (Tue, 31 Jan 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/snd_main.c

moved S_FreeSfx call in S_StopChannel to be in a safer place

------------------------------------------------------------------------
r11664 | divverent | 2012-01-31 00:49:09 -0800 (Tue, 31 Jan 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_textures.c

fix a compile error; don't reallocate if target is same size (not sure if that can ever happen though)
------------------------------------------------------------------------
r11663 | eihrul | 2012-01-30 13:50:20 -0800 (Mon, 30 Jan 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/dpsoftrast.c

ensure texture is not null before adjusting bind counter

------------------------------------------------------------------------
r11662 | divverent | 2012-01-30 13:39:54 -0800 (Mon, 30 Jan 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_textures.c

properly handle !vid.support.arb_texture_non_power_of_two in DDS upload (fixes segfault with dpsoftrast in xonotic effects-low.cfg)
------------------------------------------------------------------------
r11661 | havoc | 2012-01-28 09:59:05 -0800 (Sat, 28 Jan 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/prvm_edict.c

remove a confusing #if

------------------------------------------------------------------------
r11660 | divverent | 2012-01-26 09:24:57 -0800 (Thu, 26 Jan 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/gl_textures.c

fix avgcolor calculation when loading dds

Fixes "black screen with r_showsurfaces 3" bug
------------------------------------------------------------------------
r11659 | havoc | 2012-01-26 08:35:07 -0800 (Thu, 26 Jan 2012) | 4 lines
Changed paths:
   M /trunk/darkplaces/model_alias.c

change mdl texcoord loading to not have a .5 pixel offset, this now
matches winquake (complete top row and left column are used, bottom row
and right column are not because the texcoords would be off the skin)

------------------------------------------------------------------------
r11658 | divverent | 2012-01-24 13:47:10 -0800 (Tue, 24 Jan 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/dpdefs/csprogsdefs.qc
   M /trunk/darkplaces/dpdefs/menudefs.qc
   M /trunk/darkplaces/gl_draw.c
   M /trunk/darkplaces/prvm_cmds.c

remove PRECACHE_PIC_NOCLAMP because it currently has no chance to work
------------------------------------------------------------------------
r11657 | divverent | 2012-01-24 13:47:07 -0800 (Tue, 24 Jan 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/gl_draw.c

Revert "don't compare texflags in Draw_CachePic_Flags simply because usage of pics doesn't have a way to specify the flags you want, so "anything matches" is a good strategy here" because I just noticed it was a bad idea (R_BeginPolygon vs line drawing).

This reverts commit b561aa07fda3f8aef74c4e4799ea81ef8c479e2a.
------------------------------------------------------------------------
r11656 | divverent | 2012-01-24 13:45:05 -0800 (Tue, 24 Jan 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_draw.c

don't compare texflags in Draw_CachePic_Flags simply because usage of pics doesn't have a way to specify the flags you want, so "anything matches" is a good strategy here
------------------------------------------------------------------------
r11655 | divverent | 2012-01-24 13:28:53 -0800 (Tue, 24 Jan 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/dpdefs/csprogsdefs.qc
   M /trunk/darkplaces/dpdefs/menudefs.qc
   M /trunk/darkplaces/prvm_cmds.c

update dpdefs; support flags to precache_pic
------------------------------------------------------------------------
r11654 | divverent | 2012-01-24 12:41:31 -0800 (Tue, 24 Jan 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/model_shared.c

mod_obj_orientation: affect modeldecompile too
------------------------------------------------------------------------
r11653 | divverent | 2012-01-24 12:41:27 -0800 (Tue, 24 Jan 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/draw.h
   M /trunk/darkplaces/gl_draw.c

add a (yet unused) CACHEPICFLAG_MIPMAP
------------------------------------------------------------------------
r11652 | divverent | 2012-01-22 13:01:16 -0800 (Sun, 22 Jan 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/vid_sdl.c
   M /trunk/darkplaces/vid_shared.c
   M /trunk/darkplaces/vid_wgl.c

WORKAROUND: turn off vid.support.ext_framebuffer_object if nonpoweroftwo is not supported because FBO rendering with non-npot is currently massively broken

Please revert this commit when fixing the issue.
------------------------------------------------------------------------
r11651 | divverent | 2012-01-19 14:51:21 -0800 (Thu, 19 Jan 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/crypto.c

Revert "note that in some cases, crypto_aeslevel changes need crypto_reload to apply (namely, for the server info string)" because I am stupid, this is already solved by code editing the first character

This reverts commit 9a55aaeb89cf823297d40821f9558daed16c87f1.
------------------------------------------------------------------------
r11650 | divverent | 2012-01-19 14:50:29 -0800 (Thu, 19 Jan 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/crypto.c

note that in some cases, crypto_aeslevel changes need crypto_reload to apply (namely, for the server info string)
------------------------------------------------------------------------
r11649 | eihrul | 2012-01-16 13:33:09 -0800 (Mon, 16 Jan 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/dpsoftrast.c
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/vid_shared.c

flip dpsoftrast's texture memory layout so it matches the framebuffer orientation (allows r_viewfbo and r_bloom to work)
however, r_viewfbo and r_bloom in combination are still broken on GPUs/dpsoftrast without non-power-of-2 textures due to not matching the position DP's bloom expects them to be located at

------------------------------------------------------------------------
r11648 | divverent | 2012-01-16 01:19:27 -0800 (Mon, 16 Jan 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/vid_shared.c

workaround for upside down bug in dpsoftrast: turn off FBO support for dpsoftrast
------------------------------------------------------------------------
r11647 | divverent | 2012-01-15 07:18:32 -0800 (Sun, 15 Jan 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/shader_glsl.h
   M /trunk/darkplaces/shader_hlsl.h

offsetmapping LOD: at least 3 steps!
------------------------------------------------------------------------
r11646 | divverent | 2012-01-15 06:14:19 -0800 (Sun, 15 Jan 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/shader_glsl.h
   M /trunk/darkplaces/shader_hlsl.h

fix scale issue with offsetmapping LOD due to calculated fractional steps count
------------------------------------------------------------------------
r11645 | eihrul | 2012-01-14 04:18:57 -0800 (Sat, 14 Jan 2012) | 2 lines
Changed paths:
   M /trunk/darkplaces/r_shadow.c

better ATI detection

------------------------------------------------------------------------
r11644 | divverent | 2012-01-09 12:02:47 -0800 (Mon, 09 Jan 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/server.h
   M /trunk/darkplaces/sv_main.c

force a send if movesequence changed
------------------------------------------------------------------------
r11643 | divverent | 2012-01-09 07:12:09 -0800 (Mon, 09 Jan 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_input.c
   M /trunk/darkplaces/sv_phys.c

fix c/s consistency of sv_gameplayfix_nogravityonground and sv_gameplayfix_gravityunaffectedbyticrate
------------------------------------------------------------------------
r11642 | divverent | 2012-01-09 05:32:43 -0800 (Mon, 09 Jan 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/view.c

add a missing line from the previous commit
------------------------------------------------------------------------
r11641 | divverent | 2012-01-09 05:29:32 -0800 (Mon, 09 Jan 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/view.c

fix issues with V_CalcRefdef in CSQC and stereo view
------------------------------------------------------------------------
r11640 | divverent | 2012-01-09 04:30:23 -0800 (Mon, 09 Jan 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/view.c

use a param for velocity too
------------------------------------------------------------------------
r11639 | divverent | 2012-01-09 04:30:20 -0800 (Mon, 09 Jan 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/view.c

fix a typo, removing use of cl.viewangles
------------------------------------------------------------------------
r11638 | divverent | 2012-01-09 04:30:17 -0800 (Mon, 09 Jan 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/view.c

add TODO markers, possibly for WIP3 version of V_CalcRefdef extension
------------------------------------------------------------------------
r11637 | divverent | 2012-01-09 04:17:11 -0800 (Mon, 09 Jan 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/dpdefs/csprogsdefs.qc
   M /trunk/darkplaces/svvm_cmds.c
   M /trunk/darkplaces/view.c

DP_CSQC_V_CALCREFDEF_WIP2
------------------------------------------------------------------------
r11636 | divverent | 2012-01-09 04:17:07 -0800 (Mon, 09 Jan 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/view.c

add viewmodel info too
------------------------------------------------------------------------
r11635 | divverent | 2012-01-09 03:18:23 -0800 (Mon, 09 Jan 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/view.c

VectorCopy vieworg and viewangles in intermission too

From: Samual <samual@xonotic.org>
------------------------------------------------------------------------
r11634 | havoc | 2012-01-03 20:36:21 -0800 (Tue, 03 Jan 2012) | 4 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

if vertex texture blending is used with a _glow texture, make sure both
layers have a valid _glow texture to render with (otherwise substitute
black in their place)

------------------------------------------------------------------------
r11633 | havoc | 2012-01-03 17:23:47 -0800 (Tue, 03 Jan 2012) | 3 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

check rsurface.texture->backgroundglowtexture as well when deciding
whether to enable the GLSL code for _glow texture

------------------------------------------------------------------------
r11632 | divverent | 2012-01-03 14:07:54 -0800 (Tue, 03 Jan 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/prvm_cmds.c

argh, sorry for broken copypasta
------------------------------------------------------------------------
r11631 | divverent | 2012-01-03 08:32:45 -0800 (Tue, 03 Jan 2012) | 1 line
Changed paths:
   M /trunk/darkplaces/prvm_cmds.c

getimagesize(): return '0 0 0' for missing texture (previously the size of the notexture, that is, '16 16 0')
------------------------------------------------------------------------
r11630 | divverent | 2012-01-03 04:00:40 -0800 (Tue, 03 Jan 2012) | 5 lines
Changed paths:
   M /trunk/darkplaces/libcurl.c

allow control over User-Agent:

cl_curl_useragent 0 turns it off
-DHTTP_USER_AGENT="Foo" overrides the engineversion part
cl_curl_useragent_append bar appends stuff ("Foo bar")
------------------------------------------------------------------------
r11629 | vortex | 2011-12-31 09:11:35 -0800 (Sat, 31 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/world.c

Try fix ode_body cast.
------------------------------------------------------------------------
r11628 | divverent | 2011-12-31 05:32:02 -0800 (Sat, 31 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_main.c
   M /trunk/darkplaces/csprogs.c
   M /trunk/darkplaces/csprogs.h
   M /trunk/darkplaces/dpdefs/dpextensions.qc
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/protocol.h
   M /trunk/darkplaces/svvm_cmds.c

EF_DYNAMICMODELLIGHT
------------------------------------------------------------------------
r11627 | divverent | 2011-12-31 04:19:58 -0800 (Sat, 31 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/view.c

fix a typo in V_CalcRefdef regarding csqc view entities
------------------------------------------------------------------------
r11626 | vortex | 2011-12-31 01:53:16 -0800 (Sat, 31 Dec 2011) | 9 lines
Changed paths:
   M /trunk/darkplaces/dpdefs/dpextensions.qc
   M /trunk/darkplaces/matrixlib.c
   M /trunk/darkplaces/matrixlib.h
   M /trunk/darkplaces/progs.h
   M /trunk/darkplaces/prvm_cmds.c
   M /trunk/darkplaces/prvm_offsets.h
   M /trunk/darkplaces/world.c
   M /trunk/darkplaces/world.h

ODE stuff: 
1) Cleaned up capsule/cylinder setup code. New geomtypes - axis-oriented cylinder (x, y, z) and capsule, the only difference from original cylinder/capsule is that leading axis is fixed for these types, allowing to set cylinder with length lesser than diameter. Axis oriented
capsule is not that useful (as there is no capsule which height is lesser than radius, so it's going to fix radius to match), but could be useful is some cases.
2) GEOMTYPE_TRIMESH now supports .scale and .modelscale_vec (q3map2's per-axis scale).
3) New cvar physics_ode_contact_maxpoints (default 16, can be up to 32) to control default maximum number of contact points between two objects, and new .maxcontacts entity field to control maximum number of contacts it could have with other entities, setting it to low value (5 or 10) gains speed with large stacks of GEOMTYPE_TRIMESH, but makes collision more grude, use it on debris and such stuff.
4) At engine startup, print configuration (extensions string) ODE was built with.
5) physics_ode_constantstep is rewritten to do what actually it should do - it tries to run physics with constant time step, making more ODE iterations to match frametime. So it allows to run physics at 50 FPS, 100 fps no matter what rendering fps are, with some restrictions. physics_ode_iterationsperframe has no effect when using constantstep.
6) New GEOMTYPE_NONE that makes object to be entirely ignored by ODE. Also SOLID_NOT and SOLID_TRIGGER defaults to GEOMTYPE_NONE (if geomtype is 0).
7) Added basic forces in same manner as joints (entities with .forcetype), physics_addforce() and physics_addtorgue() is now deprecated as they cant work with multiple ODE iterations per frame.
------------------------------------------------------------------------
r11625 | divverent | 2011-12-30 12:11:07 -0800 (Fri, 30 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/dpdefs/csprogsdefs.qc
   M /trunk/darkplaces/dpdefs/menudefs.qc

some fixes for dpdefs
------------------------------------------------------------------------
r11624 | havoc | 2011-12-27 20:11:29 -0800 (Tue, 27 Dec 2011) | 2 lines
Changed paths:
   M /trunk/darkplaces/common.c

change GAME_STEELSTORM2 to be after GAME_STEELSTORM again

------------------------------------------------------------------------
r11623 | havoc | 2011-12-27 18:46:39 -0800 (Tue, 27 Dec 2011) | 2 lines
Changed paths:
   M /trunk/darkplaces/common.c

swap order of GAME_STEELSTORM and GAME_STEELSTORM2 in detection list

------------------------------------------------------------------------
r11622 | divverent | 2011-12-26 07:54:33 -0800 (Mon, 26 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_input.c
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/clvm_cmds.c

make CSQC support the >0.05s/<0.0005s handling of standard player physics so CSQC code doesn't have to
------------------------------------------------------------------------
r11621 | divverent | 2011-12-23 14:39:32 -0800 (Fri, 23 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/model_brush.c

mod_obj_orientation cvar: 1 = DP's previous behaviour, 0 = leave coordinates alone (q3map2 compatible)
------------------------------------------------------------------------
r11620 | vortex | 2011-12-21 07:20:10 -0800 (Wed, 21 Dec 2011) | 6 lines
Changed paths:
   M /trunk/darkplaces/csprogs.c
   M /trunk/darkplaces/dpdefs/dpextensions.qc
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/model_shared.h
   M /trunk/darkplaces/progs.h
   M /trunk/darkplaces/prvm_offsets.h
   M /trunk/darkplaces/server.h
   M /trunk/darkplaces/world.c

Cumulative patch:
Fix RF_MODELLIGHT (was broken and dont work same way engine does it). 
Fix bug in physics_ode_constantstep 1 (integer division, huh). 
Added new geomtype field for ODE physics - sets collision shape, SOLID_PHYSICS_ are not deprecated (but keeped for compatibility reasons), as geomtype is a more correct way to set collision shape (allows to set both SOLID_CORPSE and trimesh collisions for instance).
Fixed support of custinfoparms.txt as some recent change in shader code seemed to broke it.

------------------------------------------------------------------------
r11619 | divverent | 2011-12-20 12:16:30 -0800 (Tue, 20 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_input.c

oops, didn't want this debug spam to be committed
------------------------------------------------------------------------
r11618 | divverent | 2011-12-20 12:14:36 -0800 (Tue, 20 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_input.c
   M /trunk/darkplaces/clvm_cmds.c

if(developer_extra.integer) Con_DPrintf("VM_CL_gettagindex(entity #%i): tag \"%s\" not found\n", PRVM_NUM_FOR_EDICT(ent), tag_name);
------------------------------------------------------------------------
r11617 | divverent | 2011-12-18 07:29:05 -0800 (Sun, 18 Dec 2011) | 3 lines
Changed paths:
   M /trunk/darkplaces/model_shared.c

skip skip

This is referring to "surfaceparm skip".
------------------------------------------------------------------------
r11616 | divverent | 2011-12-15 13:04:33 -0800 (Thu, 15 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/shader_glsl.h
   M /trunk/darkplaces/shader_hlsl.h

r_water, MODE_REFRACTION: support alphaGen vertex for fading out water
------------------------------------------------------------------------
r11615 | divverent | 2011-12-13 12:44:37 -0800 (Tue, 13 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/dpsoftrast.h
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/model_brush.h
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/shader_glsl.h
   M /trunk/darkplaces/shader_hlsl.h

support alphaGen vertex
------------------------------------------------------------------------
r11614 | divverent | 2011-12-13 12:20:03 -0800 (Tue, 13 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/dpsoftrast.h
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/render.h

get rid of 3 permutation bits
------------------------------------------------------------------------
r11613 | divverent | 2011-12-12 00:37:47 -0800 (Mon, 12 Dec 2011) | 3 lines
Changed paths:
   M /trunk/darkplaces/dpdefs/menudefs.qc
   M /trunk/darkplaces/menu.c

m_toggle takes a parameter, fix its definition

Signed-off-by: terencehill <piuntn@gmail.com>
------------------------------------------------------------------------
r11612 | divverent | 2011-12-11 22:13:32 -0800 (Sun, 11 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/dpdefs/dpextensions.qc
   M /trunk/darkplaces/prvm_cmds.c
   M /trunk/darkplaces/utf8lib.c
   M /trunk/darkplaces/utf8lib.h

VM_sprintf: support color codes in %s
------------------------------------------------------------------------
r11611 | divverent | 2011-12-11 04:42:44 -0800 (Sun, 11 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/cmd.c

if no varfunc is left, NULL it
------------------------------------------------------------------------
r11610 | divverent | 2011-12-10 00:37:14 -0800 (Sat, 10 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/cmd.c

alias expansion, cvar expansion: support optional arguments
------------------------------------------------------------------------
r11609 | vortex | 2011-12-09 15:10:16 -0800 (Fri, 09 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/thread.h
   M /trunk/darkplaces/thread_sdl.c
   M /trunk/darkplaces/thread_win.c

Add THREADDISABLE define to make builds with whole threading system disabled.
------------------------------------------------------------------------
r11608 | divverent | 2011-12-09 05:42:02 -0800 (Fri, 09 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/crypto.c

fix stupid typo
------------------------------------------------------------------------
r11607 | divverent | 2011-12-09 04:53:21 -0800 (Fri, 09 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/crypto.c

for crypto keys, also write an easy to share text file with its fingerprint and status
------------------------------------------------------------------------
r11606 | divverent | 2011-12-09 04:53:18 -0800 (Fri, 09 Dec 2011) | 4 lines
Changed paths:
   M /trunk/darkplaces/crypto.c

While I'm reworking this anyway: also write a file key_0-public-fp.txt

containing the public key fingerprint for a key when loading/keygenning. Helps
with submitting your key to websites.
------------------------------------------------------------------------
r11605 | divverent | 2011-12-09 04:53:16 -0800 (Fri, 09 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/crypto.c
   M /trunk/darkplaces/crypto.h
   M /trunk/darkplaces/dpdefs/menudefs.qc
   M /trunk/darkplaces/mvm_cmds.c

blind_id: rework of keygen to be able to save an unsigned key
------------------------------------------------------------------------
r11604 | vortex | 2011-12-08 15:22:00 -0800 (Thu, 08 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/prvm_offsets.h
   M /trunk/darkplaces/world.c

ODE: experimental 'erp' field for per-entity control of Error Restitution (was only controlled globally by cvar). For more sharp collisions it helps to set high ERP for small objects and low or 0 on big ones (as high ERP on large and high-mass objects tends to explode pretty badly).
------------------------------------------------------------------------
r11603 | vortex | 2011-12-08 15:13:04 -0800 (Thu, 08 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/csprogs.c

RF_MODELLIGHT compatible with getlight() - assuming light direction is worldspace and transforming it into modelspace.
------------------------------------------------------------------------
r11602 | havoc | 2011-12-08 11:48:03 -0800 (Thu, 08 Dec 2011) | 3 lines
Changed paths:
   M /trunk/darkplaces/cl_parse.c
   M /trunk/darkplaces/protocol.c

print E5_COMPLEXANIMATION and E5_TRAILEFFECTNUM in
developer_networkentities, also print bytes per entity update

------------------------------------------------------------------------
r11601 | havoc | 2011-12-07 20:51:02 -0800 (Wed, 07 Dec 2011) | 3 lines
Changed paths:
   M /trunk/darkplaces/world.c

disable VorteX's broken physics_ode_constantstep code by setting the
cvar to 0 by default

------------------------------------------------------------------------
r11600 | havoc | 2011-12-07 05:17:06 -0800 (Wed, 07 Dec 2011) | 2 lines
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

r_showbboxes now shows SOLID_CORPSE as orange

------------------------------------------------------------------------
r11599 | havoc | 2011-12-05 04:21:35 -0800 (Mon, 05 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/r_shadow.c

fixed a crash with r_shadow_bouncegrid 2 when also using r_shadow_deferred, made the light draw skipping for r_shadow_bouncegrid 2 a bit more elegant
------------------------------------------------------------------------
r11598 | divverent | 2011-12-04 09:21:42 -0800 (Sun, 04 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/makefile
   M /trunk/darkplaces/makefile.inc

move the hack to makefile, as it's using a GNU make feature
------------------------------------------------------------------------
r11597 | divverent | 2011-12-04 09:20:59 -0800 (Sun, 04 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/makefile.inc

makefile: if a .h file in dependency file is missing (cl_gecko.h), ignore the error and continue anyway
------------------------------------------------------------------------
r11596 | divverent | 2011-12-04 06:48:17 -0800 (Sun, 04 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/csprogs.c

we now no longer need the auto RENDER_EXTERIORMODEL hack
------------------------------------------------------------------------
r11595 | divverent | 2011-12-04 06:48:14 -0800 (Sun, 04 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/csprogs.c

make player_localnum and player_localentnum conform to FTEQW
------------------------------------------------------------------------
r11594 | divverent | 2011-12-04 05:40:41 -0800 (Sun, 04 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/csprogs.c

fix CSQC view entity handling
------------------------------------------------------------------------
r11593 | divverent | 2011-12-03 04:21:12 -0800 (Sat, 03 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/host.c

add cl_minfps_force cvar to run minfps code even during timedemo
------------------------------------------------------------------------
r11592 | divverent | 2011-12-03 04:06:49 -0800 (Sat, 03 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

cl_minfps: apply r_refdef.view.quality to reliefmapping LOD distance if reliefmapping LOD is enabled
------------------------------------------------------------------------
r11591 | divverent | 2011-12-03 04:06:45 -0800 (Sat, 03 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/host.c

transform: make hysteresis one-sided, no behaviour change
------------------------------------------------------------------------
r11590 | divverent | 2011-12-03 00:53:50 -0800 (Sat, 03 Dec 2011) | 4 lines
Changed paths:
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/host.c

new cl_minfps logic that seems a lot more successful at attaining target fps

The new approach is quite similar to r_viewscale_fpsscaling; possibly, that
logic then can be changed to use r_refdef.view.quality instead at a later time
------------------------------------------------------------------------
r11589 | divverent | 2011-12-02 03:17:01 -0800 (Fri, 02 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_particles.c

fix a typo... why didn't compiler error
------------------------------------------------------------------------
r11588 | divverent | 2011-12-02 03:13:00 -0800 (Fri, 02 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_particles.c

effectinfo: lightcorona <alphascale> <sizescale> (default: lightcorona 1 0.25)
------------------------------------------------------------------------
r11587 | divverent | 2011-12-02 02:30:00 -0800 (Fri, 02 Dec 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/csprogs.c

CSQC: propagate automatic RENDER_EXTERIORMODEL inherited from local player ent
------------------------------------------------------------------------
r11586 | eihrul | 2011-12-01 11:39:23 -0800 (Thu, 01 Dec 2011) | 2 lines
Changed paths:
   M /trunk/darkplaces/console.c

check for valid socket in Con_Rcon_Redirect_Flush

------------------------------------------------------------------------
r11585 | havoc | 2011-11-30 01:55:48 -0800 (Wed, 30 Nov 2011) | 3 lines
Changed paths:
   M /trunk/darkplaces/r_shadow.c

added r_shadow_shadowmapping_useshadowsampler cvar for performance
testing of whether this intrinsic feature is faster or not

------------------------------------------------------------------------
r11584 | havoc | 2011-11-30 01:30:08 -0800 (Wed, 30 Nov 2011) | 2 lines
Changed paths:
   M /trunk/darkplaces/shader_glsl.h

fix GLSL compile errors caused by use of * 64 rather than * 64.0 (oops)

------------------------------------------------------------------------
r11583 | havoc | 2011-11-30 01:15:09 -0800 (Wed, 30 Nov 2011) | 3 lines
Changed paths:
   M /trunk/darkplaces/vid_shared.c

bind to GL_ARB_framebuffer_object functions correctly - unlike almost
everything else, these lack the ARB suffix (issue 8 in the spec)

------------------------------------------------------------------------
r11582 | havoc | 2011-11-29 22:19:30 -0800 (Tue, 29 Nov 2011) | 3 lines
Changed paths:
   M /trunk/darkplaces/common.c

since motorsep put steelstorm2 after steelstorm, change the commandline
search order so that it picks the last one

------------------------------------------------------------------------
r11581 | motorsep | 2011-11-29 21:56:32 -0800 (Tue, 29 Nov 2011) | 2 lines
Changed paths:
   M /trunk/darkplaces/common.c
   M /trunk/darkplaces/common.h

+ Added Steel Storm 2 and Tomes of Mephistopheles games

------------------------------------------------------------------------
r11580 | divverent | 2011-11-26 06:09:58 -0800 (Sat, 26 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/model_brush.c

fix lightmapscale logic for sRGB lightmaps to actually work the way one may "expect" (color 128 is neutral)
------------------------------------------------------------------------
r11579 | divverent | 2011-11-26 05:54:55 -0800 (Sat, 26 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/host_cmd.c

fix a stupid typo in pausable checking code
------------------------------------------------------------------------
r11578 | divverent | 2011-11-26 03:51:58 -0800 (Sat, 26 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/prvm_offsets.h

runstandardplayerphysics: also implement the no-args case
------------------------------------------------------------------------
r11577 | divverent | 2011-11-26 03:51:55 -0800 (Sat, 26 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/dpdefs/csprogsdefs.qc

more bugfix
------------------------------------------------------------------------
r11576 | divverent | 2011-11-26 03:32:55 -0800 (Sat, 26 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/dpdefs/csprogsdefs.qc

make dpdefs capable to compile Xonotic
------------------------------------------------------------------------
r11575 | divverent | 2011-11-26 02:40:54 -0800 (Sat, 26 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/dpdefs/dpextensions.qc

we need max with ...
------------------------------------------------------------------------
r11574 | divverent | 2011-11-26 02:40:51 -0800 (Sat, 26 Nov 2011) | 1 line
Changed paths:
   A /trunk/darkplaces/dpdefs/keycodes.qc
   M /trunk/darkplaces/dpdefs/menudefs.qc

dpdefs: lots of improvements
------------------------------------------------------------------------
r11573 | divverent | 2011-11-26 00:41:59 -0800 (Sat, 26 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/dpdefs/progsdefs.qc

remove dpmod stuff here
------------------------------------------------------------------------
r11572 | divverent | 2011-11-26 00:22:30 -0800 (Sat, 26 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/csprogs.h
   M /trunk/darkplaces/dpdefs/csprogsdefs.qc

move VF_MAINVIEW and VF_MINFPS_QUALITY to DP's extension range (4xx)
------------------------------------------------------------------------
r11571 | divverent | 2011-11-25 05:13:06 -0800 (Fri, 25 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

fix another bug with HDR bloom
------------------------------------------------------------------------
r11570 | divverent | 2011-11-25 05:13:02 -0800 (Fri, 25 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c

fix r_bloom_colorexponent with fbo (fixed version doesn't support npot exponents, but non fixed version does them wrong too)
------------------------------------------------------------------------
r11569 | divverent | 2011-11-25 03:59:43 -0800 (Fri, 25 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/model_brush.c

fix typo
------------------------------------------------------------------------
r11568 | divverent | 2011-11-25 03:50:28 -0800 (Fri, 25 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/crypto.c

fix a bug in handling "accept" for crypto connections
------------------------------------------------------------------------
r11567 | divverent | 2011-11-25 03:46:26 -0800 (Fri, 25 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/model_brush.c
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/model_shared.h

introduce a lightmap scale for models, and use this for the sRGB fallback instead (better quality)
------------------------------------------------------------------------
r11566 | divverent | 2011-11-22 22:36:30 -0800 (Tue, 22 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/crypto.c
   M /trunk/darkplaces/netconn.c

crypto: some simplifications; also apply policies properly to NQ legacy accept messages
------------------------------------------------------------------------
r11565 | divverent | 2011-11-19 04:50:40 -0800 (Sat, 19 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_main.c
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/csprogs.c
   M /trunk/darkplaces/csprogs.h
   M /trunk/darkplaces/dpdefs/csprogsdefs.qc
   M /trunk/darkplaces/snd_main.c
   M /trunk/darkplaces/svvm_cmds.c
   M /trunk/darkplaces/view.c

support viewentity to be shared; DP_CSQC_V_CALCREFDEF
------------------------------------------------------------------------
r11564 | divverent | 2011-11-18 03:02:25 -0800 (Fri, 18 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/host.c

make locksession a bit more robust by calling FS_CreatePath just in case
------------------------------------------------------------------------
r11563 | divverent | 2011-11-17 05:08:33 -0800 (Thu, 17 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/dpdefs/csprogsdefs.qc
   M /trunk/darkplaces/svvm_cmds.c

document DP_CSQC_MINFPS_QUALITY
------------------------------------------------------------------------
r11562 | divverent | 2011-11-17 05:06:21 -0800 (Thu, 17 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/csprogs.h

expose r_refdef.view.quality to CSQC R_SetView VF_MINFPS_QUALITY
------------------------------------------------------------------------
r11561 | divverent | 2011-11-15 06:36:30 -0800 (Tue, 15 Nov 2011) | 3 lines
Changed paths:
   M /trunk/darkplaces/cl_particles.c

new effectinfo keywords: relativeoriginoffset, relativevelocityoffset

they take parameters <forward> <right> <up> and are relative to beam/trail direction or average velocity
------------------------------------------------------------------------
r11560 | divverent | 2011-11-15 06:14:27 -0800 (Tue, 15 Nov 2011) | 3 lines
Changed paths:
   M /trunk/darkplaces/model_brush.h
   M /trunk/darkplaces/model_shared.c
   M /trunk/darkplaces/model_shared.h

actually USE surfaceparms parsed from the shaders (when on models)

the old code loaded them but never converted them from "parms" to "flags", which is the only ones the engine uses
------------------------------------------------------------------------
r11559 | divverent | 2011-11-14 13:22:06 -0800 (Mon, 14 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/view.c

fix another bug in grounded V_CalcRefDef
------------------------------------------------------------------------
r11558 | divverent | 2011-11-14 13:18:51 -0800 (Mon, 14 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_screen.c

hopefully fix the r_stereo bug
------------------------------------------------------------------------
r11557 | divverent | 2011-11-14 12:42:20 -0800 (Mon, 14 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/view.c

ground R_CalcRefdef when the player entity is shared
------------------------------------------------------------------------
r11556 | divverent | 2011-11-14 06:30:49 -0800 (Mon, 14 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c

match FTEQW more closely in runstandardplayerphysics
------------------------------------------------------------------------
r11555 | divverent | 2011-11-14 01:31:55 -0800 (Mon, 14 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/snd_main.c

CSQC: track client-side entities for sounds issued for the server-side matching entity
------------------------------------------------------------------------
r11554 | divverent | 2011-11-14 01:18:06 -0800 (Mon, 14 Nov 2011) | 3 lines
Changed paths:
   M /trunk/darkplaces/cl_input.c
   M /trunk/darkplaces/view.c

factor V_CalcRefdef into two functions

with the later goal of making it callable after CSQC prediction
------------------------------------------------------------------------
r11553 | divverent | 2011-11-13 07:07:49 -0800 (Sun, 13 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_input.c

always set movement_velocity even for unpredicted moves
------------------------------------------------------------------------
r11552 | havoc | 2011-11-12 18:39:46 -0800 (Sat, 12 Nov 2011) | 2 lines
Changed paths:
   M /trunk/darkplaces/cl_demo.c

fix C++ compile error (missing cast)

------------------------------------------------------------------------
r11551 | divverent | 2011-11-12 11:52:01 -0800 (Sat, 12 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/prvm_offsets.h

support pmove_flags (the actual flag values may be wrong, someone please find the CSQC spec about them)
------------------------------------------------------------------------
r11550 | divverent | 2011-11-12 11:10:28 -0800 (Sat, 12 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c

we don't need ALL those fields I marked with ???
------------------------------------------------------------------------
r11549 | divverent | 2011-11-12 11:08:03 -0800 (Sat, 12 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_input.c
   M /trunk/darkplaces/client.h
   M /trunk/darkplaces/clvm_cmds.c

an attempt to do CL_runplayerphysics, not working properly yet
------------------------------------------------------------------------
r11548 | divverent | 2011-11-12 09:15:42 -0800 (Sat, 12 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/csprogs.c

make it possible to unset effects for CSQC entities
------------------------------------------------------------------------
r11547 | divverent | 2011-11-12 06:39:15 -0800 (Sat, 12 Nov 2011) | 1 line
Changed paths:
   M /trunk/darkplaces/cl_demo.c

-benchmarkruns: show a report of min/median/max of the benchmarks at the end
------------------------------------------------------------------------
r11546 | divverent | 2011-11-12 03:17:38 -0800 (Sat, 12 Nov 2011) | 14 lines
Changed paths:
   M /trunk/darkplaces/protocol.c
   M /trunk/darkplaces/sv_main.c

complexanimation now beginning to be suitable for SVQC use

- only set E5_COMPLEXANIMATION flag when required to save a LOT of bandwidth
- don't also send a legacy frame number when using complex animation to save a bit more
- no more support of "anims that start in the future", use a QC think function to handle them
- fix wraparound logic for complex animation (if a model animation is shorter than 30 sec, it won't jerk when playing the same anim for over a minute)

Bandwidth use per update message:
- simple anim: 1 byte
- 1 blends: 5 bytes
- 2 blends: 11 bytes
- 3 blends: 16 bytes
- 4 blends: 21 bytes
- skeletonobject: 4 + 12*bonecount bytes
------------------------------------------------------------------------
r11545 | havoc | 2011-11-10 09:05:43 -0800 (Thu, 10 Nov 2011) | 3 lines
Changed paths:
   M /trunk/darkplaces/prvm_cmds.c

removed a model->numframes <= 1 check which broke animated models with a
